# Nyheder i NVDA

## 2024.4

Denne udgivelse indeholder en række forbedringer i Microsoft Office, punktskrift, og dokumentformatering.

Det er nu muligt at trykke to gange på kommandoen til at opplyse den aktuelle kommentar for at læse kommentaren eller noten i gennemsynstilstand, når man er i Word eller Excel.
Du kan nu bruge kommandoen, der lader dig vælge tekst med læsemarkøren, til at vælge tekst i PowerPoint.
NVDA viser heller ikke længere uønskede tegn på punkt, når række- eller kolonneoverskrifter vises i tabeller i Word ved brug af objektmodellen.

NVDA kan nu konfigureres til at rapportere skrifttypeattributter med tale eller punktskrift, uafhængigt af hinanden.

En ny indstilling er tilføjet for at konfigurere timeout for udførelse af kommandoer med flere tryk, såsom kommandoen til rapportering af tid og dato.

Du kan nu konfigurere, hvordan NVDA viser tekstformatering, og ligeledes indstille NVDA til at vise starten af afsnit på punkt.
NVDA kan nu sige tegnet ved markøren, når markøren flyttes med markørknapperne på et punktdisplay.
Brug af markørknapper er blevet mere stabil, og disse fungerer nu også i PowerPoint.
Alle cellelinjer vil nu blive brugt, når du bruger et punktdisplay med flere linjer via HID braille.
NVDA er ikke længere ustabil efter genstart af NVDA under en automatisk Braille-Bluetooth-scanning.

Den krævede minimum version af Poedit der virker med NVDA er nu version 3.5.

eSpeak NG er blevet opdateret og understøttelse af sprogene færøsk og Xextan er blevet tilføjet.

LibLouis er blevet opdateret og der er tilføjet nye punkttabeller for thailandsk og græsk international punktskrift med enkeltcellede accentuerede bogstaver.

Der har også været en række rettelser, herunder til musesporing i Firefox, og taletilstanden "Efter behov".

### Nye funktioner

* Nye funktioner for punkt:
  * Det er nu muligt at ændre den måde, NVDA viser visse formateringsattributter i braille.
    De tilgængelige indstillinger er:
    * Liblouis (standard): Bruger formateringsmarkører defineret i den valgte punkttabel.
    * Tags: Bruger start- og slut-tags til at angive, hvor visse skrifttypeattributter begynder og slutter. (# 16864)
  * Når indstillingen "Læs efter afsnit" er aktiveret, kan NVDA nu konfigureres til at angive starten af afsnit på punkt. (# 16895, @ nvdaes)
  * Ved brug af en markørknap kan NVDA nu automatisk læse tegnet op ved markøren. (# 8072, @ LeonarddeR)
    * Denne indstilling er som standard slået fra.
      Du kan aktivere "Oplæs tegn, når markørknapper flytter markøren i tekst" i NVDAs indstillinger for punkt.
* Kommandoen kommentar i Microsoft Word og noter kommando i Microsoft Excel kan nu trykkes to gange for at vise kommentaren eller note i gennemsynstilstand. (# 16800, # 16878, @ Cary- Rowen)
* NVDA kan nu konfigureres til at rapportere skrifttypeattributter med tale eller punktskrift, uafhængigt af hinanden. (#16755)
* Timeout til at udføre flere tastetryk er nu konfigurerbar; dette kan være særligt nyttigt for personer med nedsat fingerfærdighed. (#11929, @CyrilleB79)

### Ændringer

* Kommandolinjeparametrene `-c`/`--config-path` og `--disable-addons` fungerer nu, når man starter en opdatering i NVDA. (#16937)
* Komponentopdateringer:
  * Opdateret LibLouis punktskriftsoversætter til [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080, #, @codeofdusk)
    * Rettet oversættelse af numre i spansk punktskrift.
    * Nye punkttabeller:
      * Thailandsk niveau 1
      * Græsk international punktskrift (1-celle accenterede bogstaver)
    * Omdøbte tabeller:
      * "Thailandsk sekspunkt" blev omdøbt til "Thailandsk niveau 0" af konsistensårsager.
      * Den eksisterende "græske internationale braille" tabel blev omdøbt til "græsk international braille (2-celle accenterede bogstaver)" for at præcisere sondringen mellem de to græske systemer.
  * eSpeak NG er blevet opdateret til 1.52-dev commit `961454ff`. (#16775)
    * Tilføjede de nye sprog færøske og Xextan.
* Ved brug af et punktdisplay bestående af flere linjer via HID standard- braille- driver, vil alle cellelinjer blive brugt. (# 16993, @ alexmoon)
* NVDAs understøttelse for PoEdit er blevet forbedret og betyder, at den minimale version, der understøttes, er version 3.5. (#16889, @LeonarddeR)

### Fejlrettelser

* Rettelser til punkt:
  * Det er nu muligt at benytte markørknapperne til at flytte markøren i Microsoft PowerPoint. (#9101)
  * Ved adgang til Microsoft Word uden UI Automation, udsender NVDA ikke længere uønskede tegn i tabeloverskrifter defineret med kommandoerne til indstilling af række- og kolonneoverskrifter. (# 7212)
  * Seika Notetaker driver generere nu korrekt punktinput for mellemrum, backspace og punkter med mellemrum/backspace-kommandoer. (#16642, @school510587)
  * Markørknap-funktionen er nu meget mere pålidelig, når en linje indeholder en eller flere Unicode-variationsvælgere eller dekomponerede tegn. (#10960, @mltony, @LeonarddeR)
  * NVDA fejler ikke længere, når du panorere et punktdisplay fremad i tomme redigeringsfelter. (#12885)
  * NVDA er ikke længere ustabil efter genstart af NVDA under en automatisk Braille-Bluetooth-scanning. (#16933)
* Det er nu muligt at bruge kommandoerne til at vælge tekst med læsemarkøren i Microsoft PowerPoint. (#17004)
* Når taletilstanden "Efter behov" benyttes, vil NVDA ikke længere tale, når en besked åbnes i Outlook, når en ny side er indlæst i en browser, eller når der vises et nyt dias i en PowerPoint. (# 16825, @ CyrilleB79)
* I Mozilla Firefox rapporteres teksten nu pålideligt, når musen bevæges over tekst efter et link. (#15990)
* NVDA fejler ikke længere, når en meddelelse bliver vist i gennemsynstilstand (f. eks ved at trykke `NVDA+f` to gange). (#16806, @LeonarddeR)
* Opdatering af NVDA, mens tilføjelsesopdateringer afventer, resulterer ikke længere i, at tilføjelsen fjernes. (#16837)
* Det er nu muligt at interagere med dropdown-lister til datavalidering i Microsoft Excel 365. (#15138)
* NVDA er ikke utroligt langsom, når der piles op og ned i store filer i VS Code. (#17039)
* NVDA holder ikke længere op med at svare, hvis man holder en piletast nede i lang tid, når man er i gennemsynstilstand, særligt i Microsoft Word og Microsoft Outlook. (#16812)
* NVDA læser ikke længere den sidste linje, når markøren er på næstsidste linje i et flerlinjet redigeringsfelt i Java-applikationer. (#17027)

### Ændringer for udviklere

Se venligst [udviklervejledningen](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for oplysninger om NVDAs API-afviklings- og fjernelsesproces.

* Komponentopdateringer:
  * Opdateret py2exe til 0.13.0.2 (#16907, @dpy013)
  * Opdateret setuptools til 72.0 (#16907, @dpy013)
  * Opdateret Ruff til 0.5.6. (#16868, @LeonarddeR)
  * Opdateret nh3 til 0.2.18 (#17020, @dpy013)
* Tilføjet en `.editorconfig` fil til NVDAs repository, så nogle IDE'er opfange grundlæggende NVDA-kodestilregler som standard. (#16795, @LeonarddeR)
* Tilføjet understøttelse for tilpassede udtaleordbøger. (#16739, #16823, @LeonarddeR)
  * Ordbøger kan placeres i mapper for det pågældende sprog via en tilføjelse (f.eks `locale\en`).
  * Ordbog-metadata kan tilføjes til en valgfri `symbolDictionaries` sektion i add-on manifest.
  * Læs afsnittet [Custom speech symbol dictionaries section i udviklerguiden](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries) for yderligere detaljer.
* Det er nu muligt at omdirigere objekter hentet fra koordinater på skærmen ved hjælp af `NVDAObject.objectFromPointRedirect` metoden. (# 16788, @Emil-18)
* Afvikling af SCons med parameteren `--all-cores` vælger automatisk det maksimale antal tilgængelige CPU-kerner. (# 16943, # 16868, @LeonarddeR)
* Udviklerinfo indeholder nu information om app-arkitektur (såsom AMD64) for navigatorobjektet. (# 16488, @josephsl)

#### Udfasninger

* `bool` konfigurationsnøgle `[documentFormatting][reportFontAttributes]` er afviklet og vil blive fjernet i 2025.1. Brug i stedet `[fontAttributeReporting]`. (#16748)
  * Den nye nøgle har en `int` værdi, der matcher `OutputMode` `enum` med indstillinger for tale, punkt, tale og punkt eller fra.
  * API-brugere kan bruge `bool`-værdien som tidligere, eller kontrollere `OutputMode` hvis der håndteres tale eller punkt specifikt.
  * Disse nøgler er i øjeblikket synkroniseret indtil 2025.1.
* `NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText` er udfaset uden erstatning. (# 16817, @LeonarddeR)

## 2024.3.1

Dette er en patch udgivelse, der retter en fejl med den automatiske meddelelse om tilføjelsesopdateringer.

### Fejlrettelser

* Når der automatisk søges efter tilføjelsesopdateringer, fryser NVDA ikke længere, når der er en dårlig forbindelse. (# 17036)

## 2024.3

Tilføjelsescenteret vil nu give dig besked, hvis der er tilgængelige opdateringer til tilføjelser ved opstart af NVDA.

Der er nu muligheder for at anvende Unicode-normalisering til tale- og punktskriftoutput.
Dette kan være nyttigt, når man læser tegn, som en bestemt talesyntese eller punktskriftstabel ikke genkender, og som har et kompatibelt alternativ, som de fede og kursiverede tegn, der ofte bruges på sociale medier.
Det muliggør også læsning af ligninger i Microsoft Words ligningseditor.

Help Tech Activator Pro punktdisplays understøttes nu.

Udefinerede kommandoer er blevet tilføjet til at rulle musehjulet vertikalt og horisontalt.

Der er flere fejlrettelser, især for Windows 11 Emoji-panelet og udklipshistorik.
For web-browsere er der rettelser til rapportering af fejlmeddelelser, figurer, billedtekster, navne for tabeller og check boxe/radioknapper, der udgør menupunkter.

LibLouis er blevet opdateret og tilføjet nye punkttabeller for kyrillisk serbisk, jiddisch, flere gamle sprog, tyrkisk og det internationale fonetiske alfabet.
eSpeak er blevet opdateret og tilføjet understøttelse af Karakalpak-sproget.
Unicode CLDR er også blevet opdateret.

### Nye funktioner

* Nye tastaturkommandoer:
  * Tilføjede udefinerede kommandoer til vertikal og horisontal rulling af musehjulet for at forbedre navigationen på websider og apps med dynamisk indhold, såsom Dism++. (#16462, @Cary-Rowen)
* Tilføjet understøttelse af Unicode-normalisering til tale- og punktskriftoutput. (#11570, #16466 @LeonarddeR).
  * Dette kan være nyttigt, når man læser tegn, som en bestemt talesyntese eller punktskriftstabel ikke genkender, og som har et kompatibelt alternativ, som de fede og kursiverede tegn, der ofte bruges på sociale medier.
  * Det muliggør også læsning af ligninger i Microsoft Words ligningseditor. (#4631)
  * Du kan aktivere denne funktionalitet for både tale og punktskrift i deres respektive indstillingskategorier i NVDA's indstillingsdialog.
* Som standard vil du efter NVDA-opstart blive underrettet, hvis der er tilgængelige opdateringer til tilføjelser. (#15035)
  * Dette kan deaktiveres i kategorien "Tilføjelsescenter" i indstillingerne.
  * NVDA tjekker dagligt for opdateringer til tilføjelser.
  * Kun opdateringer inden for samme kanal vil blive tjekket (f.eks. installerede beta-tilføjelser vil kun give besked om opdateringer i beta-kanalen).
* Tilføjet understøttelse af Help Tech Activator Pro displays. (#16668)

### Ændringer

* Komponentopdateringer:
  * eSpeak NG er blevet opdateret til 1.52-dev commit `54ee11a79`. (#16495)
    * Tilføjet nyt sprog Karakalpak.
  * Opdateret Unicode CLDR til version 45.0. (#16507, @OzancanKaratas)
  * Opdateret fast_diff_match_patch (brugt til at registrere ændringer i terminaler og andet dynamisk indhold) til version 2.1.0. (#16508, @codeofdusk)
  * Opdateret LibLouis punktskriftoversætter til [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0). (#16652, @codeofdusk)
    * Nye punkttabeller:
      * Kyrillisk serbisk.
      * Jiddisch.
      * Flere gamle sprog: Bibelsk hebraisk, akkadisk, syrisk, ugaritisk og translittereret kileskrift.
      * Tyrkisk grad 2. (#16735)
      * Internationalt fonetisk alfabet. (#16773)
  * Opdateret NSIS til 3.10 (#16674, @dpy013)
  * Opdateret markdown til 3.6 (#16725, @dpy013)
  * Opdateret nh3 til 0.2.17 (#16725, @dpy013)
* Den alternative punktskrift input-tabel er nu den samme som den alternative output-tabel, som er Unified English Braille Code grad 1. (#9863, @JulienCochuyt, @LeonarddeR)
* NVDA vil nu rapportere figurer uden tilgængelige underelementer, men med et navn eller en beskrivelse. (#14514)
* Når der læses linjevis i gennemsynstilstand, rapporteres "Billedtekst" ikke længere på hver linje af en lang figur- eller tabelbilledtekst. (#14874)
* I Python-konsollen vil den sidste ikke-udførte kommando ikke længere gå tabt, når man bevæger sig i inputhistorikken. (#16653, @CyrilleB79)
* Et unikt anonymt ID sendes nu som en del af den valgfrie NVDA-brugsstatistik. (#16266)
* Som standard vil en ny mappe blive oprettet, når der laves en flytbar kopi.
En advarselsbesked vil informere dig, hvis du forsøger at skrive til en mappe, der ikke er tom. (#16686)

### Fejlrettelser

* Windows 11 rettelser:
  * NVDA vil ikke længere se ud til at sidde fast, når udklipshistorikken og emoji-panelet lukkes. (#16346, #16347, @josephsl)
  * NVDA vil igen annoncere synlige kandidater, når IME-interface åbnes. (#14023, @josephsl)
  * NVDA vil ikke længere annoncere "udklipshistorik" to gange, når der navigeres gennem emoji-panelmenuen. (#16532, @josephsl)
  * NVDA vil ikke længere afbryde tale og punktskrift, når der gennemgås kaomoji'er og symboler i emoji-panelet. (#16533, @josephsl)
* Web-browserrettelser:
  * Fejlmeddelelser refereret med `aria-errormessage` rapporteres nu i Google Chrome og Mozilla Firefox. (#8318)
  * Hvis til stede, vil NVDA nu bruge `aria-labelledby` til at give tilgængelige navne til tabeller i Mozilla Firefox. (#5183)
  * NVDA annoncerer korrekt radio- og check box menuemner, når man første gang går ind i undermenuer i Google Chrome og Mozilla Firefox. (#14550)
  * NVDAs søgefunktionalitet i gennemsynstilstand er nu mere præcis, når siden indeholder emojis. (#16317, @LeonarddeR)
  * I Mozilla Firefox rapporterer NVDA nu korrekt det aktuelle tegn, ord og linje, når markøren er ved indsætningspunktet ved slutningen af en linje. (#3156, @jcsteh)
  * Google Chrome går ikke længere ned, hvis der lukkes et vindue eller browseren afsluttes. (#16893)
* NVDA vil korrekt annoncere autoudfyldningsforslag i Eclipse og andre Eclipse-baserede miljøer på Windows 11. (#16416, @thgcode)
* Forbedret pålidelighed af automatisk tekstoplæsning, især i terminalapplikationer. (#15850, #16027, @Danstiv)
* Nulstilling til fabriksindstillingerne vil nu konsekvent virke. (#16755, @Emil-18)
* NVDA vil korrekt annoncere ændringer i markeringen, når der redigeres en celles tekst i Microsoft Excel. (#15843)
* I applikationer, der bruger Java Access Bridge, vil NVDA nu korrekt læse den sidste tomme linje af en tekst i stedet for at gentage den foregående linje. (#9376, @dmitrii-drobotov)
* I LibreOffice Writer (version 24.8 og nyere), når du skifter tekstformatering (fed, kursiv, understreget, nedsænket/hævet skrift, justering) ved hjælp af den tilsvarende tastaturgenvej, annoncerer NVDA den nye formateringsattribut (f.eks. "Fed til", "Fed fra"). (#4248, @michaelweghorn)
* Når du navigerer med piletasterne i tekstbokse i applikationer, der bruger UI Automation, rapporterer NVDA ikke længere nogle gange det forkerte tegn, ord osv. (#16711, @jcsteh)
* Når du indsætter i Windows 10/11's lommeregner, rapporterer NVDA nu korrekt det fulde indsatte tal. (#16573, @TristanBurchett)
* Tale er ikke længere stille, efter at have frakoblet og genforbundet til en fjernskrivebordssession. (#16722, @jcsteh)
* Understøttelse tilføjet for tekstlæsningskommandoer til et objekts navn i Visual Studio Code. (#16248, @Cary-Rowen)
* Afspilning af NVDA-lyde fejler ikke længere på en mono lydenhed. (#16770, @jcsteh)
* NVDA vil rapportere adresser, når der bevæges gennem Til/CC/BCC-felter i outlook.com / Modern Outlook. (#16856)
* NVDA håndterer nu fejl ved installation af tilføjelser mere elegant. (#16704)

### Ændringer for udviklere

* NVDA bruger nu Ruff i stedet for flake8 til linting. (#14817)
* Rettet NVDA's build-system, så det fungerer korrekt med Visual Studio 2022 version 17.10 og nyere. (#16480, @LeonarddeR)
* En fast bredde-skrifttype bruges nu i logviseren og i NVDA's Python-konsol, så markøren forbliver i samme kolonne under lodret navigation.
Dette er især nyttigt for at læse fejlplaceringsmarkører i tracebacks. (#16321, @CyrilleB79)
* Understøttelse af brugerdefinerede punktoversættelsestabeller er tilføjet. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Tabeller kan leveres i mappen `brailleTables` i en tilføjelsespakke.
  * Metadata om tabeller kan tilføjes i en valgfri `brailleTables`-sektion i tilføjelsesmanifestet eller til en `.ini`-fil med samme format, som findes i brailleTables-undermappen i scratchpad-mappen.
  * Se venligst afsnittet om [punktoversættelsestabeller i udviklerguiden](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables) for flere detaljer.
* Når en `gainFocus`-hændelse køes med et objekt, der har en gyldig `focusRedirect`-egenskab, holdes objektet, som peges på af `focusRedirect`-egenskaben, nu af `eventHandler.lastQueuedFocusObject` i stedet for det oprindeligt køede objekt. (#15843)
* NVDA vil logge sin eksekverbare arkitektur (x86) ved opstart. (#16432, @josephsl)
* `wx.CallAfter`, som er pakket ind i `monkeyPatches/wxMonkeyPatches.py`, inkluderer nu korrekt `functools.wraps`-angivelse. (#16520, @XLTechie)
* Der er et nyt modul til planlægning af opgaver `utils.schedule`, som bruger pip-modulet `schedule`. (#16636)
  * Du kan bruge `scheduleThread.scheduleDailyJobAtStartUp` til automatisk at planlægge en opgave, der udføres, når NVDA starter, og hver 24. time derefter.
  Opgaver planlægges med en forsinkelse for at undgå konflikter.
  * `scheduleThread.scheduleDailyJob` og `scheduleJob` kan bruges til at planlægge opgaver på brugerdefinerede tidspunkter, hvor en `JobClashError` vil blive udløst ved en kendt konflikt i opgaveplanlægningen.
* Det er nu muligt at oprette app-moduler til apps, der er vært for Edge WebView2 (msedgewebview2.exe)-kontroller. (#16705, @josephsl)

## 2024.2

Der er en ny funktion kaldet lydopdeling.
Funktionen gør det muligt at have NVDA-lyde i én kanal (f.eks. venstre), mens lyde fra alle andre programmer udsendes i den anden kanal (f.eks. højre).

Der er nye kommandoer til ændring af ringen af talesynteseindstillinger, hvilket giver brugerne mulighed for at springe til den første eller sidste indstilling, og for at øge eller mindske den aktuelle indstilling med større trin.
Der er også nye hurtignavigationskommandoer, der gør det muligt for brugere at tilknytte tastetryk til hurtigt at hoppe mellem: afsnit, lodret justeret afsnit, tekst med samme typografi, tekst med en anderledes typografi, menuemne, skifteknap, behandlingslinje, figur og matematisk formel.

Der er mange nye punktskriftsfunktioner og fejlrettelser.
En ny punktskrifttilstand kaldet "vis taleoutput" er blevet tilføjet.
Når den er aktiv, viser punktdisplayet, hvad NVDA siger.
Der er også tilføjet understøttelse for punktdisplays BrailleEdgeS2, BrailleEdgeS3.
LibLouis blev opdateret, og tilføjede nye detaljerede (med store bogstaver angivet) hviderussiske og ukrainske punktskriftstabeller, en punkttabel for Lao, og en spansk tabel til læsning af græske tekster.

eSpeak blev opdateret med tilføjelsen af det nye sprog Tigrinya.

Der er mange mindre fejlrettelser for programmer, såsom Thunderbird, Adobe Reader, webbrowsere, Nudi og Geekbench.

### Nye funktioner

* Nye tastaturkommandoer:
  * Ny hurtignavigationskommando `p` til at hoppe til næste/forrige tekstafsnit i gennemsynstilstand.
  * Nye ikke-tildelte hurtignavigationskommandoer, som kan bruges til at hoppe til næste/forrige:
    * figur  (#10826)
    * lodret justeret afsnit (#15999, @mltony)
    * menupunkt (#16001, @mltony)
    * skifteknap (#16001, @mltony)
    * behandlingslinje (#16001, @mltony)
    * matematisk formel (#16001, @mltony)
    * tekst med samme typografi (#16000, @mltony)
    * tekst med en anden typografi (#16000, @mltony)
  * Tilføjede kommandoer til at springe til første, sidste, frem og tilbage gennem indstillingsværdier i ringen for talesynteseindstillinger.
    * Skift til første og sidste værdi for den aktuelle indstilling i ringen af talesynteseindstillinger. Denne har ingen tildelt kommando. (#13768)
    * Formindske og forøge den aktuelle indstilling i ringen af talesynteseindstillinger med større trin: (#13768):
      * Desktop: `NVDA+Ctrl+sideOp` eller `NVDA+Ctrl+sideNed`
      * Laptop: `NVDA+Ctrl+Shift+sideOp` eller `NVDA+Ctrl+Shift+sideNed`
  * Tilføjet en ny ikke-tildelt kommando til at skifte rapportering af figurer og billedtekster. (#10826, #14349)
* Punktskrift:
  * Tilføjet support for BrailleEdgeS2, BrailleEdgeS3. (#16033, #16279, @EdKweon)
  * En ny punktskrifttilstand kaldet "vis taleoutput" er blevet tilføjet. (#15898, @Emil-18)
    * Når aktiv, viser dit punktdisplay, hvad NVDA siger.
    * Kan aktiveres ved at trykke `NVDA+alt+t`, eller fra punktskriftsindstillingsdialogen.
* Lydopdeling: (#12985, @mltony)
  * Gør det muligt at dele NVDA-lyde i én kanal (f.eks. venstre) mens lyde fra alle andre programmer udsendes i den anden kanal (f.eks. højre).
  * Aktiveres med `NVDA+alt+s`.
* Rapportering af række- og kolonneoverskrifter understøttes nu i redigerbare HTML-elementer med indhold. (#14113)
* Tilføjet muligheden for at deaktivere rapportering af figurer og billedtekster i indstillinger for dokumentformatering. (#10826, #14349)
* I Windows 11 vil NVDA annoncere meddelelser fra stemmeindtastning og foreslåede handlinger, herunder det øverste forslag, når data som telefonnumre kopieres til udklipsholderen (Windows 11 2022-opdatering og senere). (#16009, @josephsl)
* NVDA kan holde lydenheden i gang efter at tale er stoppet, for at forhindre at starten af næste tale bliver afbrudt med nogle lydenheder som Bluetooth-hovedtelefoner. (#14386, @jcsteh, @mltony)
* HP Secure Browser er nu understøttet. (#16377)

### Ændringer

* Tilføjelsescenter:
  * Den mindste og den sidst testede NVDA-version for en tilføjelse vises nu i området "andre detaljer". (#15776, @Nael-Sayegh)
  * Handlingen for fællesskabets anmeldelser vil være tilgængelig i alle faner i centeret. (#16179, @nvdaes)
* Komponentopdateringer:
  * Opdateret LibLouis punktskriftsoversætter til 3.29.0. (#16259, @codeofdusk)
    * Tilføjet nye detaljerede (med store bogstaver angivet) hviderussiske og ukrainske punktskriftstabeller.
    * Ny spansk tabel til læsning af græske tekster.
    * Ny tabel for Lao Niveau 1. (#16470)
  * eSpeak NG er blevet opdateret til 1.52-dev commit `cb62d93fd7`. (#15913)
    * Tilføjet nyt sprog Tigrinya.
* Ændret flere kommandoer for BrailleSense-enheder for at undgå konflikter med tegn fra den franske punktskriftstabel. (#15306)
  * `alt+venstre pil` er nu tildelt `punkt2+punkt7+mellemrum`.
  * `alt+højre pil` er nu tildelt `punkt5+punkt7+mellemrum`.
  * `alt+pil op` er nu tildelt `punkt2+punkt3+punkt7+mellemrum`.
  * `alt+pil ned` er nu tildelt `punkt5+punkt6+punkt7+mellemrum`.
* Prikker, der almindeligvis bruges i indholdsfortegnelser, rapporteres ikke længere på lave tegnsætningsniveauer. (#15845, @CyrilleB79)

### Fejlrettelser

* Windows 11-rettelser:
  * NVDA vil igen oplyse forslag til hardwaretastaturindtastning. (#16283, @josephsl)
  * I version 24H2 (2024-opdatering og Windows Server 2025) kan mus og berøringsinteraktion bruges i hurtige indstillinger. (#16348, @josephsl)
* Tilføjelsescenter:
  * Når der trykkes på `ctrl+tab`, flyttes fokus korrekt til den nye aktuelle faneoverskrift. (#14986, @ABuffEr)
  * Hvis filer i NVDAs cache ikke er korrekte, vil NVDA ikke længere konstant genstarte. (#16362, @nvdaes)
* Rettelser for Chromium-baserede browsere, når de bruges med UIA:
  * Rettet fejl, der forårsagede, at NVDA sad fast. (#16393, #16394)
  * Backspace-tasten virker nu korrekt i Gmail-log-ind-felter. (#16395)
* Backspace virker nu korrekt, når Nudi 6.1 bruges med NVDA's indstilling "Håndtér tastetryk fra andre programmer" aktiveret. (#15822, @jcsteh)
* Rettet en fejl, hvor lydkoordinater ville blive afspillet, mens applikationen er i dvaletilstand, når "Afspil lydkoordinater, når musen bevæger sig" er aktiveret. (#8059, @hwf1324)
* I Adobe Reader ignorerer NVDA ikke længere alternativ tekst, der benyttes i formularer i PDF'er. (#12715)
* Rettet en fejl, der forårsagede, at NVDA ikke kunne læse båndet og indstillingerne i Geekbench. (#16251, @mzanm)
* Rettet et sjældent tilfælde, hvor gemning af konfigurationen kunne fejle, når NVDA gemmer alle profiler. (#16343, @CyrilleB79)
* I Firefox og Chromium-baserede browsere vil NVDA korrekt gå ind i fokus-tilstand, når der trykkes enter, når man er placeret i en punktopstilling (med tal og punkttegn) i redigerbart indhold. (#16325)
* Kolonnetilstandsændring rapporteres automatisk, når kolonner vælges til visning i Thunderbirds meddelelsesliste. (#16323)
* Kommandolinjeparametre `-h`/`--help` virker nu igen. (#16522, @XLTechie)
* NVDAs understøttelse for PoEdit version 3.4 eller nyere fungerer nu igen korrekt, hvis du oversætter til et sprog med én eller flere flertalsformer (f.eks. kinesisk eller polsk). (#16318)

### Ændringer for udviklere

Læs venligst [Udviklerguiden](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Instansiering af `winVersion.WinVersion`-objekter med ukendte Windows-versioner over 10.0.22000, såsom 10.0.25398, returnerer nu "Windows 11 unknown" i stedet for "Windows 10 unknown" som versionsnavn. (#15992, @josephsl)
* Gør AppVeyor-byggeprocessen nemmere for NVDA-forks ved at tilføje konfigurerbare variabler i appveyor.yml til at deaktivere eller ændre NV Access-specifikke dele af build-scripts. (#16216, @XLTechie)
* Tilføjet et "how-to"-dokument, der forklarer processen med at bygge NVDA-forks på AppVeyor. (#16293, @XLTechie)

## 2024.1

En ny taletilstand (efter behov) er blevet tilføjet.
Når tale er efter behov, taler NVDA ikke automatisk (f.eks. når man flytter markøren), men taler stadig, når man benytter kommandoer, hvis mål udtrykkeligt er at rapportere noget (f.eks. oplyse vinduets titel).
I talekategorien af NVDAs indstillinger er det nu muligt at fjerne uønskede taletilstande fra kommandoen til at skifte taletilstande (`NVDA+s`).

En ny "Oprindelig markeringstilstand" (aktiveret med `NVDA+shift+f10`) er nu tilgængelig i NVDAs gennemsynstilstand for Mozilla Firefox.
Når aktiveret, vil valg af tekst i gennemsynstilstand også manipulere Firefox's egen markering.
Kopiering af tekst med `control+c` vil gå direkte igennem til Firefox, og dermed kopiere det oprindelige indhold, i stedet for NVDAs almindelige tekstrepræsentation.

Tilføjelsescenteret understøtter nu massehandlinger (f.eks. installering, aktivering af tilføjelser) ved at vælge flere tilføjelser.
Der er en ny handling for at åbne en anmeldelseswebside for den valgte tilføjelse.

Valgmulighederne for lydudgangsenhed og lyddæmpningstilstand er fjernet fra dialogboksen "Vælg Talesyntese".
De kan findes i lydindstillingspanelet, som kan åbnes med `NVDA+control+u`.

eSpeak-NG, LibLouis punktskriftsoversætter, og Unicode CLDR er blevet opdateret.
Nye Thai, Filippinske og Rumænske punktskriftstabeller er tilgængelige.

Der er mange fejlrettelser, især for Tilføjelsescenteret, punktskrift, Libre Office, Microsoft Office og lyd.

### Vigtige bemærkninger

* Denne version bryder kompatibilitet med eksisterende tilføjelser.
* Windows 7 og Windows 8 understøttes ikke længere.
Windows 8.1 er den tidligst understøttede Windows-version.

### Nye Funktioner

* Tilføjelsescenter:
  * Tilføjelsescenteret understøtter nu massehandlinger (f.eks. installering, aktivering af tilføjelser) ved at vælge flere tilføjelser. (#15350, #15623, @CyrilleB79)
  * En ny handling er blevet tilføjet for at åbne en dedikeret webside for at se eller give feedback om den valgte tilføjelse. (#15576, @nvdaes)
* Tilføjet support for Bluetooth Low Energy HID punktdisplays. (#15470)
* En ny "Oprindelig markeringstilstand" (aktiveret med `NVDA+shift+f10`) er nu tilgængelig i NVDAs gennemsynstilstand for Mozilla Firefox.
Når aktiveret, vil valg af tekst i gennemsynstilstand også manipulere Firefoxs egen markering.
Kopiering af tekst med `control+c` vil gå direkte igennem til Firefox, og dermed kopiere det oprindelige indhold, i stedet for NVDAs almindelige tekstrepræsentation.
Bemærk dog, at da Firefox håndterer den faktiske kopiering, vil NVDA ikke give besked om, at indholdet er kopieret til udklipsholderen i denne tilstand. (#15830)
* Når man kopierer tekst i Microsoft Word med NVDAs gennemsynstilstand aktiveret, inkluderes formateringen nu også.
En bivirkning af dette er, at NVDA ikke længere vil fortælle, når indhold kopieres til udklipsholderen, når man trykker `control+c` i Microsoft Word / Outlook gennemsynstilstand, da applikationen nu håndterer kopieringen, ikke NVDA. (#16129)
* En ny taletilstand "Efter behov" er blevet tilføjet.
Når tale er efter behov, taler NVDA ikke automatisk (f.eks. når man flytter markøren), men taler stadig, når man benytter kommandoer, hvis mål udtrykkeligt er at rapportere noget (f.eks. oplyse vinduets titel). (#481, @CyrilleB79)
* I talekategorien af NVDAs indstillinger er det nu muligt at fjerne uønskede taletilstande fra kommandoen til at skifte taletilstand (`NVDA+s`). (#15806, @lukaszgo1)
  * Hvis du i øjeblikket bruger tilføjelsen NoBeepsSpeechMode, overvej at afinstallere den, og deaktivere "bip" og "efter behov" i indstillingerne.

### Ændringer

* NVDA understøtter ikke længere Windows 7 og Windows 8.
Windows 8.1 er den tidligst understøttede Windows-version. (#15544)
* Komponentopdateringer:
  * Opdateret LibLouis punktskriftsoversætter til [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0). (#15435, #15876, @codeofdusk)
    * Tilføjet nye Thai, Rumænske, og Filippinske punktskriftstabeller.
  * eSpeak NG er blevet opdateret til 1.52-dev commit `530bf0abf`. (#15036)
  * CLDR emoji og symbolannotationer er blevet opdateret til version 44.0. (#15712, @OzancanKaratas)
  * Opdateret Java Access Bridge til 17.0.9+8Zulu (17.46.19). (#15744)
* Tastaturkommandoer:
  * Følgende kommandoer understøtter nu to og tre tryk for at stave den oplyste information og stave med tegnbeskrivelser: Oplys markering, oplys tekst i udklipsholderen og oplys fokuseret objekt. (#15449, @CyrilleB79)
  * Kommandoen til at skifte indstillingen for skærmtæppet har nu en standardkommando tilknyttet: `NVDA+control+escape`. (#10560, @CyrilleB79)
  * Når kommandoen til at få den aktuelle markering oplyst trykkes fire gange, vil indholdet blive vist i gennemsynstilstand. (#15858, @Emil-18)
* Microsoft Office:
  * Når man anmoder om formateringsoplysninger på Excel-celler, vil kanter og baggrund kun blive oplyst, hvis formateringen er aktuel. (#15560, @CyrilleB79)
  * NVDA vil igen ikke rapportere grupperinger uden navn som i nyere versioner af Microsoft Office 365-menuer. (#15638)
* Valgmulighederne for lydudgangsenhed og lyddæmpningstilstand er fjernet fra dialogboksen "Vælg talesyntese".
De kan findes i lydindstillingspanelet, som kan åbnes med `NVDA+control+u`. (#15512, @codeofdusk)
* Indstillingen "Oplys rolle, når musen går ind i et objekt" i NVDAs museindstillingskategori er blevet omdøbt til "Oplys objekt, når musen går ind i det".
Denne indstilling annoncerer nu yderligere relevant information om et objekt, når musen går ind i det, såsom tilstande (markeret/trykket) eller cellekoordinater i en tabel. (#15420, @LeonarddeR)
* Nye punkter er blevet tilføjet til hjælpemenuen: "Få Hjælp" og "Butik", drevet af NV Access. (#14631)
* NVDAs understøttelse for [Poedit](https://poedit.net) er blevet opdateret for Poedit version 3 og nyere.
Brugere af Poedit 1 opfordres til at opdatere til Poedit 3, hvis de ønsker at benytte den forbedrede tilgængelighed i Poedit, såsom tastaturgenveje til at læse oversætternoter og kommentarer. (#15313, #7303, @LeonarddeR)
* Punktskriftsviser og taleviser er nu deaktiveret i sikker tilstand. (#15680)
* Under objektnavigation vil deaktiverede (utilgængelige) objekter ikke længere blive ignoreret. (#15477, @CyrilleB79)
* Tilføjet indholdsfortegnelse til dokumentet "Kommandooversigt". (#16106)

### Fejlrettelser

* Tilføjelsescenter:
  * Når status for en tilføjelse ændres, mens den har fokus, f.eks. en ændring fra "henter" til "hentet", annonceres det opdaterede emne nu korrekt. (#15859, @LeonarddeR)
  * Når man installerer tilføjelser, overlapper installationsprompterne ikke længere genstartsdialogen. (#15613, @lukaszgo1)
  * Når man geninstallerer en inkompatibel tilføjelse, bliver den ikke længere tvangsdeaktiveret. (#15584, @lukaszgo1)
  * Deaktiverede og inkompatible tilføjelser kan nu opdateres. (#15568, #15029)
  * NVDA gendanner nu og viser en fejl i det tilfælde, hvor en tilføjelse ikke hentes korrekt. (#15796)
  * NVDA mislykkes ikke længere lejlighedsvis med at genstarte efter at have åbnet og lukket Tilføjelsescenteret. (#16019, @lukaszgo1)
* Lyd:
  * NVDA fryser ikke længere kortvarigt, når flere lyde afspilles hurtigt efter hinanden. (#15311, #15757, @jcsteh)
  * Hvis lydudgangsenheden er sat til noget andet end standard, og den enhed bliver tilgængelig igen efter at have været utilgængelig, skifter NVDA nu tilbage til den konfigurerede enhed i stedet for at fortsætte med at bruge standardenheden. (#15759, @jcsteh)
  * NVDA genoptager nu lydafspilning, hvis konfigurationen af udgangsenheden ændres, eller en anden applikation frigiver eksklusiv kontrol over enheden. (#15758, #15775, @jcsteh)
* Punktskrift:
  * Punktdisplays med mere end én linje til visning af punkt får ikke længere BRLTTY-driveren til at gå ned og behandles som ét sammenhængende display. (#15386)
  * Flere objekter, som indeholder nyttig tekst, detekteres, og tekstindholdet vises på punktskrift. (#15605)
  * Indtastning af forkortet punktskrift fungerer nu korrekt igen. (#15773, @aaclause)
  * Punktskrift opdateres nu, når navigatorobjektet flyttes mellem tabelceller i flere situationer. (#15755, @Emil-18)
  * Resultatet af kommandoerne til at oplyse det aktuelle fokus, aktuelle navigatorobjekt og den aktuelle markering vises nu på punktskrift. (#15844, @Emil-18)
  * Albatross punktskriftdriveren behandler ikke længere en Esp32 mikrocontroller som et Albatross-display. (#15671)
* LibreOffice:
  * Ord, der slettes ved hjælp af `control+backspace` tastaturgenvejen, annonceres nu også korrekt, når det slettede ord efterfølges af blanke tegn (som mellemrum og tab). (#15436, @michaelweghorn)
  * Annoncering af statuslinjen ved hjælp af `NVDA+end` tastaturgenvejen fungerer nu også for dialoger i LibreOffice version 24.2 og nyere. (#15591, @michaelweghorn)
  * Alle forventede tekstattributter understøttes nu i LibreOffice versioner 24.2 og nyere.
  Dette gør, at annoncering af stavefejl fungerer, når man får oplæst en linje i Writer. (#15648, @michaelweghorn)
  * Annoncering af overskriftsniveauer fungerer nu også for LibreOffice versioner 24.2 og nyere. (#15881, @michaelweghorn)
* Microsoft Office:
  * I Excel med UIA deaktiveret opdateres punktskrift, og det aktive celleindhold udtales, når `control+y`, `control+z` eller `alt+backspace` trykkes. (#15547)
  * I Word med UIA deaktiveret opdateres punktskrift, når `control+v`, `control+x`, `control+y`, `control+z`, `alt+backspace`, `backspace` eller `control+backspace` trykkes.
  Det opdateres også med UIA aktiveret, når der indtastes tekst, og punktskrift er tøjret til læsemarkøren og følger systemmarkøren. (#3276)
  * I Word oplyses cellen, der flyttes til, nu korrekt, når man bruger Word-kommandoerne til tabelnavigation `alt+home`, `alt+end`, `alt+pageUp` og `alt+pageDown`. (#15805, @CyrilleB79)
* Rapportering af objektgenvejstaster er forbedret. (#10807, #15816, @CyrilleB79)
* SAPI4-talesyntese understøtter nu korrekt ændringer i lydstyrke, hastighed og tonehøjde indlejret i tale. (#15271, @LeonarddeR)
* Når noget omfatter flere rækker, oplyses dette nu korrekt i programmer, der bruger Java Access Bridge. (#14609)
* NVDA vil annoncere dialogindhold for flere Windows 10 og 11-dialoger. (#15729, @josephsl)
* NVDA vil ikke længere fejle med at læse en nyindlæst side i Microsoft Edge, når man bruger UI Automation. (#15736)
* Når man bruger "sig alt" eller kommandoer, som staver tekst, forkortes pauserne mellem sætninger eller tegn ikke længere gradvist over tid. (#15739, @jcsteh)
* NVDA fryser ikke længere nogle gange, når der siges en stor mængde tekst. (#15752, @jcsteh)
* Når man tilgår Microsoft Edge ved hjælp af UI Automation, kan NVDA aktivere flere kontrolelementer i gennemsynstilstand. (#14612)
* NVDA vil ikke længere fejle med at starte, når konfigurationsfilen er beskadiget, men vil gendanne konfigurationen til standard, som det gjorde tidligere. (#15690, @CyrilleB79)
* Rettet understøttelse for System List view (`SysListView32`) kontrolelementer i Windows Forms-applikationer. (#15283, @LeonarddeR)
* Det er ikke længere muligt at overskrive NVDA's Python konsolhistorik. (#15792, @CyrilleB79)
* NVDA forbliver responsiv, når den oversvømmes med mange UI Automation-hændelser, f.eks. når store tekststykker udskrives til en terminal, eller når man lytter til talebeskeder i WhatsApp messenger. (#14888, #15169)
  * Denne nye adfærd kan deaktiveres ved hjælp af den nye indstilling "Brug forbedret hændelsesbehandling" i NVDAs avancerede indstillinger.
* NVDA er igen i stand til at spore fokus i applikationer, der kører inden for Windows Defender Application Guard (WDAG). (#15164)
* Taleteksten opdateres ikke længere, når musen bevæger sig i Taleviseren. (#15952, @hwf1324)
* NVDA skifter igen tilbage til gennemsynstilstand, når combo boxes lukkes med `escape` eller `alt+pil op` i Firefox eller Chrome. (#15653)
* At bevæge sig op og ned i combo boxes i iTunes vil ikke længere uretmæssigt skifte tilbage til gennemsynstilstand. (#15653)

### Ændringer for udviklere

Der henvises til [udviklerguiden](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information om NVDAs API-afskrivnings- og fjernelsesproces.

* Bemærk: Dette er en add-on API-kompatibilitetsbrydende udgivelse.
Tilføjelser skal testes igen og have deres manifest opdateret.
* Bygning af NVDA kræver nu Visual Studio 2022.
Venligst læs [NVDA-dokumentationen](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md) for den specifikke liste over Visual Studio-komponenter. (#14313)
* Følgende extension Points er tilføjet:
  * `treeInterceptorHandler.post_browseModeStateChange`. (#14969, @nvdaes)
  * `speech.speechCanceled`. (#15700, @LeonarddeR)
  * `_onErrorSoundRequested` (skal hentes ved at kalde `logHandler.getOnErrorSoundRequested()`) (#15691, @CyrilleB79)
* Det er nu muligt at bruge flertalsformer i en add-ons oversættelser. (#15661, @beqabeqa473)
* Inkluderet python3.dll i den binære distribution til brug af add-ons med eksterne biblioteker, der benytter [stable ABI](https://docs.python.org/3.11/c-api/stable.html). (#15674, @mzanm)
* `BrailleDisplayDriver`-basisklassen har nu `numRows` og `numCols` egenskaber til at give information om multi-line punktdisplays.
Indstilling af `numCells` understøttes stadig for enkeltlinje punktdisplays, og `numCells` vil returnere det samlede antal celler for multi-line punktdisplays. (#15386)
* Opdateret BrlAPI for BRLTTY til version 0.8.5, og det tilsvarende Python-modul til en Python 3.11-kompatibel build. (#15652, @LeonarddeR)
* Tilføjet `speech.speakSsml`-funktionen, som giver mulighed for at skrive NVDA-talesekvenser ved hjælp af [SSML](https://www.w3.org/TR/speech-synthesis11/). (#15699, @LeonarddeR)
  * Følgende tags understøttes i øjeblikket og oversættes til passende NVDA-talekommandoer:
    * `prosody` (`pitch`, `rate` og `volume`). Kun multiplikation (f.eks. `200%`) understøttes.
    * `say-as` med `interpret`-attributten sat til `characters`
    * `voice` med `xml:lang` sat til et XML-sprog
    * `break` med `time`-attributten sat til en værdi i millisekunder, f.eks. `200ms`
    * `mark` med `name`-attributten sat til et mærkenavn, f.eks. `mark1`, kræver levering af en callback
  * Eksempel: `speech.speakSsml('<speak><prosody pitch="200%">hej</prosody><break time="500ms" /><prosody rate="50%">John</prosody></speak>')`
  * SSML-parsningsevnerne understøttes af `SsmlParser`-klassen i `speechXml`-modulet.
* Ændringer til NVDA Controller Client-biblioteket:
  * Filnavnene på biblioteket indeholder ikke længere et suffiks, der angiver arkitekturen, dvs. `nvdaControllerClient32/64.dll` kaldes nu `nvdaControllerClient.dll`. (#15718, #15717, @LeonarddeR)
  * Tilføjet et eksempel til at demonstrere brugen af nvdaControllerClient.dll fra Rust. (#15771, @LeonarddeR)
  * Følgende funktioner er tilføjet til controller-klienten: (#15734, #11028, #5638, @LeonarddeR)
    * `nvdaController_getProcessId`: For at få proces-id'et (PID) for den aktuelle instans af NVDA, som controller-klienten bruger.
    * `nvdaController_speakSsml`: For at instruere NVDA i at tale i henhold til den givne SSML. Denne funktion understøtter også:
      * Angivelse af symbolniveauet.
      * Angivelse af prioriteten af tale, der skal tales.
      * Tale både synkront (blokerende) og asynkront (øjeblikkelig returnering).
    * `nvdaController_setOnSsmlMarkReachedCallback`: For at registrere en callback af typen `onSsmlMarkReachedFuncType`, der kaldes i synkron tilstand for hvert `<mark />`-tag i SSML-sekvensen leveret til `nvdaController_speakSsml`.
  * Bemærk: De nye funktioner i controller-klienten understøtter kun NVDA 2024.1 og nyere.
* Opdateret `include`-afhængigheder:
  * Detours til `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * IA2 til `3d8c7f0b833453f761ded6b12d8be431507bfe0b`. (#15695)
  * Sonic til `8694c596378c24e340c09ff2cd47c065494233f1`. (#15695)
  * W3C-ARIA-practices til `9a5e55ccbeb0f1bf92b6127c9865da8426d1c864`. (#15695)
  * WIL til `5e9be7b2d2fe3834a7107f430f7d4c0631f69833`. (#15695)
* Enhedsinformation leveret af `hwPortUtils.listUsbDevices` indeholder nu busrapporteret beskrivelse af USB-enheden (nøgle `busReportedDeviceDescription`). (#15764, @LeonarddeR)
* For USB-serielle enheder returnerer `bdDetect.getConnectedUsbDevicesForDriver` og `bdDetect.getDriversForConnectedUsbDevices` nu enhedsmatches, der indeholder en `deviceInfo`-ordbog beriget med data om USB-enheden, såsom `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* Når konfigurationsfilen `nvda.ini` er beskadiget, gemmes en sikkerhedskopi, før den geninitialiseres. (#15779, @CyrilleB79)
* Når man definerer et script med script-dekoratoren, kan det booleske argument `speakOnDemand` specificeres for at kontrollere, om et script skal tale, mens det er i "efter behov" taletilstand. (#481, @CyrilleB79)
  * Scripts, der giver information (f.eks. sige vinduestitel, oplyse tid/dato) bør tale i "efter behov" tilstand.
  * Scripts, der udfører en handling (f.eks. flytte markøren, ændre en parameter) bør ikke tale i "efter behov" tilstand.
* Rettet fejl, hvor sletning af git-sporede filer under `scons -c` resulterede i manglende UIA COM-grænseflader ved genopbygning. (#7070, #10833, @hwf1324)
* Rettet en fejl, hvor nogle kodeændringer ikke blev registreret, når `dist` blev bygget, hvilket forhindrede en ny build i at blive udløst.
Nu genopbygges `dist` altid. (#13372, @hwf1324)
* En `gui.nvdaControls.MessageDialog` med standardtypen standard kaster ikke længere en None-konverteringsundtagelse, fordi der ikke er tildelt nogen lyd. (#16223, @XLTechie)

#### API-brudende ændringer

Disse er brudende API-ændringer.
Venligst åbn et GitHub-issue, hvis din add-on har et problem med at opdatere til den nye API.

* NVDA er nu bygget med Python 3.11. (#12064)
* Opdateret pip-afhængigheder:
  * ConfigObj til 5.1.0dev commit `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Comtypes til 1.2.0. (#15513, @codeofdusk)
  * Flake8 til 4.0.1. (#15636, @lukaszgo1)
  * Py2exe til 0.13.0.1dev commit `4e7b2b2c60face592e67cb1bc935172a20fa371d`. (#15544)
  * RobotFramework til 6.1.1. (#15544)
  * SCons til 4.5.2. (#15529, @LeonarddeR)
  * Sphinx til 7.2.6. (#15544)
  * wxPython til 4.2.2a commit `0205c7c1b9022a5de3e3543f9304cfe53a32b488`. (#12551, #16257)
* Fjernet pip-afhængigheder:
  * Typing_extensions, disse bør understøttes indbygget i Python 3.11 (#15544)
  * Nose, i stedet bruges unittest-xml-reporting til at generere XML-rapporter. (#15544)
* `IAccessibleHandler.SecureDesktopNVDAObject` er fjernet.
I stedet, når NVDA kører på brugerprofilen, spores eksistensen af det sikre skrivebord med udvidelsespunktet: `winAPI.secureDesktop.post_secureDesktopStateChange`. (#14488)
* `braille.BrailleHandler.handlePendingCaretUpdate` er fjernet uden offentlig erstatning. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices og bdDetect.addBluetoothDevices` er fjernet.
Punktskriftdrivere bør implementere `registerAutomaticDetection` klassemetoden i stedet.
Denne metode modtager et `DriverRegistrar`-objekt, hvorpå `addUsbDevices` og `addBluetoothDevices` metoderne kan bruges. (#15200, @LeonarddeR)
* Standardimplementeringen af check-metoden på `BrailleDisplayDriver` kræver nu både `threadSafe` og `supportsAutomaticDetection` attributterne sat til `True`. (#15200, @LeonarddeR)
* Det er ikke længere muligt at sende lambda-funktioner til `hwIo.ioThread.IoThread.queueAsApc`, da funktioner skal kunne refereres svagt. (#14627, @LeonarddeR)
* `IoThread.autoDeleteApcReference` er fjernet. (#14924, @LeonarddeR)
* For at understøtte ændringer i store bogstavers tonehøjde skal talesyntesedrivere nu eksplicit erklære deres support for `PitchCommand` i `supportedCommands` attributten på driveren. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` er fjernet. Brug `NVDAState.WritePaths.speechDictsDir` i stedet for `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* `languageHandler.makeNpgettext` og `languageHandler.makePgettext` er fjernet.
`npgettext` og `pgettext` understøttes nu indbygget. (#15546)
* App-modulet for [Poedit](https://poedit.net) er ændret betydeligt. Funktionen `fetchObject` er fjernet. (#15313, #7303, @LeonarddeR)
* Følgende redundante typer og konstanter er fjernet fra `hwPortUtils`: (#15764, @LeonarddeR)
  * `PCWSTR`
  * `HWND` (erstattet af `ctypes.wintypes.HWND`)
  * `ULONG_PTR`
  * `ULONGLONG`
  * `NULL`
  * `GUID` (erstattet af `comtypes.GUID`)
* `gui.addonGui.AddonsDialog` er fjernet. (#15834)
* `touchHandler.TouchInputGesture.multiFingerActionLabel` er fjernet uden erstatning. (#15864, @CyrilleB79)
* `NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders` er fjernet uden erstatning. (#15904, @CyrilleB79)
* Følgende app-moduler er fjernet.
Kode, der importerer fra en af dem, bør i stedet importere fra erstatningsmodulet. (#15618, @lukaszgo1)

| Fjernet modulnavn          | Erstatningsmodul|
|---|---|
|`azardi-2.0`               | `azardi20`|
|`azuredatastudio`          | `code`|
|`azuredatastudio-insiders` | `code`|
|`calculatorapp`            | `calculator`|
|`code - insiders`          | `code`|
|`commsapps`                | `hxmail`|
|`dbeaver`                  | `eclipse`|
|`digitaleditionspreview`   | `digitaleditions`|
|`esybraille`               | `esysuite`|
|`hxoutlook`                | `hxmail`|
|`miranda64`                | `miranda32`|
|`mpc-hc`                   | `mplayerc`|
|`mpc-hc64`                 | `mplayerc`|
|`notepad++`                | `notepadPlusPlus`|
|`searchapp`                | `searchui`|
|`searchhost`               | `searchui`|
|`springtoolsuite4`         | `eclipse`|
|`sts`                      | `eclipse`|
|`teamtalk3`                | `teamtalk4classic`|
|`textinputhost`            | `windowsinternal_composableshell_experiences_textinput_inputapp`|
|`totalcmd64`               | `totalcmd`|
|`win32calc`                | `calc`|
|`winmail`                  | `msimn`|
|`zend-eclipse-php`         | `eclipse`|
|`zendstudio`               | `eclipse`|

#### Udfasninger

* Brug af `watchdog.getFormattedStacksForAllThreads` er udfaset - brug venligst `logHandler.getFormattedStacksForAllThreads` i stedet. (#15616, @lukaszgo1)
* `easeOfAccess.canConfigTerminateOnDesktopSwitch` er udfaset, da det er blevet forældet, siden Windows 7 ikke længere understøttes. (#15644, @LeonarddeR)
* `winVersion.isFullScreenMagnificationAvailable` er udfaset - brug `visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart` i stedet. (#15664, @josephsl)
* Følgende Windows-udgivelseskonstanter er udfaset fra winVersion-modulet (#15647, @josephsl):
  * `winVersion.WIN7`
  * `winVersion.WIN7_SP1`
  * `winVersion.WIN8`
* `bdDetect.KEY_*`-konstanterne er udfaset.
Brug `bdDetect.DeviceType.*` i stedet. (#15772, @LeonarddeR)
* `bdDetect.DETECT_USB` og `bdDetect.DETECT_BLUETOOTH`-konstanterne er udfaset uden offentlig erstatning. (#15772, @LeonarddeR).
* Brug af `gui.ExecAndPump` er udfaset - brug venligst `systemUtils.ExecAndPump` i stedet. (#15852, @lukaszgo1)

## 2023.3.4

Dette er en patch-udgivelse for at rette et sikkerhedsproblem og et installationsproblem.
Venligst rapporter sikkerhedsproblemer ansvarligt i henhold til NVDAs [sikkerhedspolitik](https://github.com/nvaccess/nvda/blob/master/security.md).

### Sikkerhedsrettelser

* Forhindrer indlæsning af brugerdefineret konfiguration, mens sikker tilstand er tvunget.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Fejlrettelser

* Rettet fejl, der forårsagede, at NVDA-processen ikke lukkede korrekt. (#16123)
* Rettet fejl, hvor en NVDA-installation kunne fejle til en uoprettelig tilstand, hvis den forrige NVDA-proces ikke lukkede korrekt. (#16122)

## 2023.3.3

Dette er en patch-udgivelse for at rette et sikkerhedsproblem.
Venligst rapporter sikkerhedsproblemer ansvarligt i henhold til NVDAs [sikkerhedspolitik](https://github.com/nvaccess/nvda/blob/master/security.md).

### Sikkerhedsrettelser

* Forhindrer muligt reflekteret XSS-angreb fra manipuleret indhold, der kan forårsage vilkårlig kodeudførelse.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

Dette er en patch-udgivelse for at rette et sikkerhedsproblem.
Sikkerhedspatchen i 2023.3.1 blev ikke løst korrekt.
Venligst rapporter sikkerhedsproblemer ansvarligt i henhold til NVDAs [sikkerhedspolitik](https://github.com/nvaccess/nvda/blob/master/security.md).

### Sikkerhedsrettelser

* Sikkerhedspatchen i 2023.3.1 blev ikke løst korrekt.
Forhindrer mulig systemadgang og vilkårlig kodeudførelse med systemprivilegier for uautentificerede brugere.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

Dette er en patch-udgivelse for at rette et sikkerhedsproblem.
Venligst rapporter sikkerhedsproblemer ansvarligt i henhold til NVDAs [sikkerhedspolitik](https://github.com/nvaccess/nvda/blob/master/security.md).

### Sikkerhedsrettelser

* Forhindrer mulig systemadgang og vilkårlig kodeudførelse med systemprivilegier for uautentificerede brugere.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

Denne udgivelse inkluderer forbedringer til ydeevne, responsivitet og stabilitet af lydoutput.
Der er blevet tilføjet indstillinger til at kontrollere lydstyrken af NVDA-lyde og bip, eller til at have dem følge lydstyrken af den stemme, du bruger.

NVDA kan nu regelmæssigt opdatere vinduet, hvor tekstgenkendelse vises, og sige den nye tekst, når den vises.
Dette kan konfigureres i kategorien Windows Tekstgenkendelse i NVDA's indstillingsdialog.

Der er flere rettelser til punktdisplays, der forbedrer enhedsdetektering og bevægelse af markøren.
Det er nu muligt at fravælge uønskede drivere fra automatisk detektion for at forbedre ydeevnen for denne funktionalitet.
Der er også nye BRLTTY-kommandoer.

Der er også fejlrettelser for Tilføjelsescenteret, Microsoft Office, kontekstmenuer i Microsoft Edge og lommeregneren i Windows.

### Nye funktioner

* Forbedret lydstyring:
  * Et nyt lydindstillingspanel:
    * Dette kan åbnes med `NVDA+control+u`. (#15497)
    * En mulighed i Lydindstillinger til at have lydstyrken af NVDA-lyde og bip følge lydstyrkeindstillingen for den stemme, du bruger. (#1409)
    * En mulighed i Lydindstillinger til separat at konfigurere lydstyrken af NVDA-lyde. (#1409, #15038)
    * Indstillingerne for at skifte lydudgangsenhed og skifte lyddækning er blevet flyttet til det nye lydindstillingspanel fra dialogboksen Vælg Talesyntese.
    Disse indstillinger vil blive fjernet fra dialogboksen "Vælg Talesyntese" i 2024.1. (#15486, #8711)
  * NVDA vil nu udsende lyd via Windows Audio Session API (WASAPI), hvilket kan forbedre respons, ydeevne og stabilitet for NVDA-tale og -lyde. (#14697, #11169, #11615, #5096, #10185, #11061)
  * Bemærk: WASAPI er inkompatibel med nogle tilføjelsesprogrammer.
  Kompatible opdateringer er tilgængelige for disse tilføjelsesprogrammer. Opdater dem venligst, før du opdaterer NVDA.
  Inkompatible versioner af disse tilføjelsesprogrammer vil blive deaktiveret, når du opdaterer NVDA:
    * Tony's Enhancements version 1.15 eller ældre. (#15402)
    * NVDA global commands extension 12.0.8 eller ældre. (#15443)
* NVDA kan nu automatisk opdatere resultatet, når der udføres tekstgenkendelse (OCR), og NVDA vil oplæse den nye tekst, når den vises. (#2797)
  * For at aktivere denne funktionalitet, aktiver indstillingen "Opdater regelmæssigt genkendt indhold" i kategorien Windows Tekstgenkendelse i NVDA's indstillingsdialog.
  * Når dette er aktiveret, kan du bestemme om ny tekst skal oplæses ved at slå oplæsning af dynamisk indhold til og fra med `NVDA+5`.
* Når du bruger automatisk detektion af punktdisplay, er det nu muligt at fravælge drivere fra detektion fra dialogboksen til valg af display. (#15196)
* En ny indstilling i Dokumentformateringsindstillinger, "Ignorer blanke linjer ved rapportering af linjeindrykning". (#13394)
* Tilføjet en uanvendt kommando til at navigere efter faner i gennemsynstilstand. (#15046)

### Ændringer

* Punktdisplays:
  * Når teksten i en terminal ændres uden opdatering af systemmarkøren, vil teksten på et punktdisplay nu korrekt opdatere, når den er placeret på en ændret linje.
  Dette inkluderer situationer, hvor punktskrift er tøjret til læsemarkøren. (#15115)
  * Flere BRLTTY-tastetryk er nu tildelt NVDA-kommandoer (#6483):
    * `learn`: Slå tastaturhjælp til og fra
    * `prefmenu`: Åbn NVDA-menuen
    * `prefload`/`prefsave`: Genindlæs/gem NVDA-konfiguration
    * `time`: Vis tid
    * `say_line`: Sig den aktuelle linje, hvor læsemarkøren er placeret
    * `say_below`: Sig alt ved hjælp af læsemarkøren
  * BRLTTY-driveren er kun tilgængelig, når en BRLTTY-instans med BrlAPI aktiveret kører. (#15335)
  * Den avancerede indstilling til at aktivere support til HID-punktdisplay er blevet fjernet til fordel for en ny indstilling.
  Du kan nu deaktivere specifikke drivere for automatisk detektion af punktdisplay i dialogboksen til valg af punktdisplay. (#15196)
* Tilføjelsescenter: Installerede tilføjelsesprogrammer vil nu blive vist i fanen Tilgængelige tilføjelser, hvis de er tilgængelige i Tilføjelsescenteret. (#15374)
* Nogle genvejstaster er blevet opdateret i NVDA-menuen. (#15364)

### Fejlrettelser

* Microsoft Office:
  * Rettet nedbrud i Microsoft Word, når dokumentformateringsindstillingerne "overskrifter" og "kommentarer og noter" ikke var aktiveret. (#15019)
  * I Word og Excel vil tekstjustering nu blive korrekt rapporteret i flere situationer. (#15206, #15220)
  * Rettet annonceringen af nogle celleformateringsgenveje i Excel. (#15527)
* Microsoft Edge:
  * NVDA vil ikke længere hoppe tilbage til den sidste position i gennemsynstilstand, når kontekstmenuen åbnes i Microsoft Edge. (#15309)
  * NVDA kan igen læse kontekstmenuer for downloads i Microsoft Edge. (#14916)
* Punktdisplay:
  * Punktdisplaymarkøren og valgmarkøren vil nu altid blive opdateret korrekt, efter at have vist eller skjult respektive indikatorer med et tastetryk. (#15115)
  * Rettet fejl, hvor Albatross punktdisplays forsøger at initialisere, selvom en anden punktdisplayenhed er blevet tilsluttet. (#15226)
* Tilføjelsescenter:
  * Rettet fejl, hvor fjernelse af markeringen for boksen "inkluder inkompatible tilføjelser" ville resultere i, at inkompatible tilføjelsesprogrammer stadig blev vist i Tilføjelsescenteret. (#15411)
  * Tilføjelser, der er blokeret på grund af kompatibilitetsproblemer, burde nu filtreres korrekt, når filteret for aktiveret/deaktiveret status ændres. (#15416)
  * Rettet fejl, der forhindrede, at tilsidesatte aktiverede inkompatible tilføjelser kunne blive opdateret eller erstattet ved hjælp af det eksterne installationsværktøj. (#15417)
  * Rettet fejl, hvor NVDA ikke ville tale, indtil den blev genstartet efter installation af tilføjelser. (#14525)
  * Rettet fejl, hvor tilføjelser ikke kunne installeres, hvis en tidligere download mislykkedes eller blev annulleret. (#15469)
  * Rettet problemer med håndtering af inkompatible tilføjelser, når NVDA blev opdateret. (#15414, #15412, #15437)
* NVDA annoncerer igen regneresultater for lommeregneren i Windows 32bit på Server, LTSC og LTSB-versioner af Windows. (#15230)
* NVDA ignorerer ikke længere fokusændringer, når et indlejret vindue får fokus. (#15432)
* Rettet en potentiel årsag til nedbrud under NVDA-opstart. (#15517)

### Ændringer for udviklere

Læs venligst [Udviklerdokumentationen](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information om NVDA's API-afskrivning- og fjernelsproces.

* `braille.handler.handleUpdate` og `braille.handler.handleReviewMove` er blevet ændret, så de ikke opdaterer øjeblikkeligt.
Før denne ændring, når en af disse metoder blev kaldt meget ofte, ville det dræne mange ressourcer.
Disse metoder sætter nu en opdatering i kø i slutningen af hver kernecyklus i stedet.
De bør også være trådsikre, hvilket gør det muligt at kalde dem fra baggrundstråde. (#15163)
* Tilføjet officiel support til at registrere brugerdefinerede punktdisplaydrivere i den automatiske punktdisplaydetektionsproces.
Konsulter `braille.BrailleDisplayDriver` klassedokumentationen for flere detaljer.
Især skal attributten `supportsAutomaticDetection` sættes til `True`, og `registerAutomaticDetection` `classmethod` skal implementeres. (#15196)

#### Udfasninger

* `braille.BrailleHandler.handlePendingCaretUpdate` er nu udfaset uden offentlig erstatning.
Den vil blive fjernet i 2024.1. (#15163)
* Import af konstanterne `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop` fra `NVDAObjects.window.excel` er udfaset.
Brug i stedet `XlHAlign` eller `XlVAlign` enumerationer. (#15205)
* Mappingen `NVDAObjects.window.excel.alignmentLabels` er udfaset.
Brug i stedet `displayString` metoderne for `XlHAlign` eller `XlVAlign` enumerationer. (#15205)
* `bdDetect.addUsbDevices` og `bdDetect.addBluetoothDevices` er udfaset.
Punktdisplaydrivere bør i stedet implementere `registerAutomaticDetection` klassemetoden.
Den metode modtager et `DriverRegistrar` objekt, hvorpå `addUsbDevices` og `addBluetoothDevices` metoderne kan bruges. (#15200)
* Standardimplementeringen af check-metoden på `BrailleDisplayDriver` bruger `bdDetect.driverHasPossibleDevices` for enheder, der er markeret som trådsikre.
Fra og med NVDA 2024.1, for at basismetoden kan bruge `bdDetect.driverHasPossibleDevices`, skal attributten `supportsAutomaticDetection` også sættes til `True`. (#15200)

## 2023.2

Denne version af NVDA introducerer Tilføjelsescenteret, der erstatter den tidligere styring af tilføjelser.
I Tilføjelsescenteret kan du gennemse, søge, installere og opdatere fællesskabets tilføjelser.
Du kan nu manuelt tilsidesætte inkompatibilitetsproblemer med forældede tilføjelser på eget ansvar.

Der er nye punktskriftsfunktioner, kommandoer og understøttelse for nye punktdisplays.
Der er også nye tastaturkommandoer til OCR (tekstgenkendelse) og flad objektnavigation.
Navigation og rapportering af formatering i Microsoft Office er forbedret.

Der er mange fejlrettelser, især for punktskrift, Microsoft Office, webbrowsere og Windows 11.

eSpeak-NG, LibLouis punktskriftsoversætter og Unicode CLDR er blevet opdateret.

### Nye funktioner

* Tilføjelsescenteret er blevet tilføjet til NVDA. (#13985)
  * Gennemse, søg, installer og opdater tilføjelser fra fællesskabet.
  * Tilsidesæt (på eget ansvar) kompatibilitetsproblemer med forældede tilføjelser.
  * Funktionaliteten til at styre tilføjelser er blevet erstattet med "Tilføjelsescenteret".
  * For mere information, læs venligst den opdaterede brugervejledning.
* Nye kommandoer:
  * En kommando uden tastetryk, der lader dig skifte mellem tilgængelige sprog for Windows-tekstgenkendelse. (#13036)
  * En kommando uden tastetryk, der lader dig skifte mellem indstillinger for visningen af beskeder på punkt. (#14864)
  * En kommando uden tastetryk, der lader dig slå punktmarkøren til og fra, som vises når noget er valgt. (#14948)
  * Tilføjet standard tastaturkommandoer for at flytte til det næste eller foregående objekt i en flad visning af objekthierarkiet. (#15053)
    * Desktop: `NVDA+numpad9` og `NVDA+numpad3` for at flytte til forrige og næste objekt.
    * Laptop: `shift+NVDA+ø` og `shift+NVDA+'` for at flytte til forrige og næste objekt.
* Nye funktioner for punkt:
  * Tilføjet support for Help Tech Activator punktdisplay. (#14917)
  * En ny punktindstilling for at skifte visningen af valgmarkøren (punkt 7 og 8). (#14948)
  * En ny indstilling, der lader dig vælge om du vil flytte systemmarkøren eller fokus, når du bruger markørknapperne på dit punktdisplay. (#14885, #3166)
  * Når man trykker på `numpad2` tre gange for at rapportere den numeriske værdi af tegnet ved læsemarkørens position, vises oplysningerne nu også på punkt. (#14826)
  * Tilføjet understøttelse for `aria-punktroledescription` ARIA 1.3 attribut, som giver webudviklere mulighed for at overskrive typen af et element vist i punktskriftsviseren. (#14748)
  * Baum braille driver: Tilføjet nogle tastetryk der udfører ofte-benyttede kommandoer, når de skrives på disse punktdisplays, herunder `windows+d` og `alt+tab`.
  Læs venligst NVDAs brugervejledning for den fulde liste over kommandoer. (#14714)
* Tilføjet udtalelse af Unicode-symboler:
  * Punktsymboler såsom "`⠁⠃⠉⠙⠑⠋⠛`". (#14548)
  * Mac alternativ-tast `⌥`. (#14682)
* Tilføjet kommandoer for Tivomatic Caiku Albatross punktdisplays. (#14844, #15002)
  * Vis punktindstillingsdialogen.
  * Adgang til statuslinjen.
  * Skift formen for punktmarkøren.
  * Skift mellem metoderne for visningen af punktbeskeder.
  * Slå visning af punktmarkøren til og fra.
  * Slå indstillingen for visningen af punktformen for valgte emner til og fra.
  * Skift indstillingen for "Punkt flytter systemmarkør, når læsemarkøren flyttes med markørknapperne". (#15122)
* Funktioner for Microsoft Office:
  * Når fremhævet tekst er aktiveret i dokumentformatering, rapporteres farverne på fremhævningen nu i Microsoft Word. (#7396, #12101, #5866)
  * Når farver er aktiveret i dokumentformatering, rapporteres baggrundsfarverne nu i Microsoft Word. (#5866)
  * Når man bruger Excel-genveje til at skifte format som fed, kursiv, understregning og gennemstregning af en celle i Excel, rapporteres resultatet nu. (#14923)
* Forsøgsvise forbedringer til håndtering af lyd med NVDA:
  * NVDA udsender nu lyd via Windows Audio Session API (WASAPI), hvilket kan forbedre reaktionstiden, ydeevnen og stabiliteten af NVDAs tale og lyde.
  * Dette kan deaktiveres i avancerede indstillinger, hvis der opstår lydproblemer. (#14697)
  Hvis WASAPI er aktiveret, kan du også tilpasse følgende avancerede indstillinger:
    * En indstilling, der gør det muligt for NVDA's lyde og bip at følge stemmens lydstyrkeindstilling. (#1409)
    * En indstilling for at justere lydstyrken af NVDA's lyde separat. (#1409, #15038)
  * Bemærk: Der kan forekomme lejlighedsvise nedbrud, når WASAPI er slået til. (#15150)
* I Mozilla Firefox og Google Chrome rapporterer NVDA nu, når en kontrol åbner en dialog, et gitter, en liste eller en trævisning, hvis forfatteren har angivet dette ved hjælp af `aria-haspopup`. (#14709)
* Det er nu muligt at bruge systemvariabler (såsom `%temp%` eller `%homepath%`) i stispecifikationen ved oprettelsen af flytbare kopier af NVDA. (#14680)
* I Windows 10 maj 2019-opdatering og senere, kan NVDA annoncere navne på virtuelle skriveborde, når man åbner, ændrer og lukker dem. (#5641)
* Et systemparameter er blevet tilføjet for at tillade brugere og systemadministratorer at tvinge NVDA til at starte i sikker tilstand. (#10018)

### Ændringer

* Komponentopdateringer:
  * eSpeak NG er blevet opdateret til 1.52-dev commit `ed9a7bcf`. (#15036)
  * LibLouis punktoversætter er blevet opdateret til 3.26.0. (#14970)
  * CLDR er blevet opdateret til version 43.0. (#14918)
* Ændringer i LibreOffice:
  * Når læsemarkørens position rapporteres, vil den nuværende markørposition blive rapporteret i forhold til den nuværende side i LibreOffice Writer for LibreOffice versioner >= 7.6, svarende til hvad der gøres for Microsoft Word. (#11696)
  * Annoncering af statuslinjen (f.eks. ved at bruge `NVDA+end`) virker i LibreOffice. (#11698)
  * Når du flytter mellem celler i LibreOffice Calc, vil NVDA ikke fejlagtigt meddele den tidligere celles koordinater, hvis denne funktion er slået fra i NVDA's indstillinger. (#15098)
* Ændringer for punkt:
  * Når du bruger et punktdisplay via Standard HID punktdriveren, kan dpad bruges til at efterligne piletasterne og enter.
  `Mellemrum+punkt1` og `mellemrum+punkt4` fungerer nu også som forventet som pil op og ned. (#14713)
  * Opdateringer til dynamisk webindhold (aria live regions) vises nu på punktskrift.
  Dette kan deaktiveres i NVDAs avancerede indstillinger. (#7756)
* Symboler for bindestreg og kort/lang tankestreg vil altid blive sendt til talesyntesen. (#13830)
* Afstanden rapporteret i Microsoft Word vil nu overholde den afstandsenhed, der er indstillet i Words avancerede indstillinger, selv når der bruges UIA til at få adgang til Word-dokumenter. (#14542)
* NVDA reagerer hurtigere, når markøren bevæges under redigering. (#14708)
* Script til rapportering af destinationen for et link rapporterer nu fra systemmarkøren/fokus-positionen i stedet for navigationsobjektet. (#14659)
* Oprettelse af flytbar kopi af NVDA kræver ikke længere, at et drevbogstav indtastes som en del af den absolutte sti. (#14681)
* Hvis Windows er konfigureret til at vise sekunder på uret i systembakken, vil brug af `NVDA+f12` til at rapportere tiden nu overholde denne indstilling. (#14742)
* NVDA vil nu rapportere unavngivne grupperinger, der har nyttig positionsinformation, som i nyere versioner af Microsoft Office 365-menuer. (#14878)

### Fejlrettelser

* Punkt:
  * Flere stabilitetsrettelser angående input og output for punktdisplays, hvilket resulterer i mindre hyppige fejl og nedbrud af NVDA: (#14627)
  * NVDA vil ikke længere unødigt skifte til "ingen punkt" flere gange under automatisk detektering af punktdisplays, hvilket resulterer i en renere log og et mindre unødvendigt ressourceforbrug. (#14524)
  * NVDA vil nu skifte tilbage til USB, hvis en HID Bluetooth-enhed (såsom HumanWare Brailliant eller APH Mantis) automatisk detekteres, og en USB-forbindelse bliver tilgængelig.
  Dette fungerede kun for Bluetooth-serielle porte tidligere. (#14524)
  * Når intet punktdisplay er forbundet og punktskriftsviseren lukkes med `alt+f4` eller ved at klikke på knappen "Luk", vil displaystørrelsen for punktsystemet korrekt blive nulstillet til "ingen celler". (#15214)
* Webbrowsere:
  * NVDA får ikke længere lejlighedsvis Mozilla Firefox til at gå ned eller stoppe med at svare. (#14647)
  * I Mozilla Firefox og Google Chrome rapporteres indtastede tegn ikke længere i nogle tekstbokse, selv når "Sig indtastede tegn" er deaktiveret. (#14666)
  * Du kan nu bruge gennemsynstilstand i Chromium Embedded Controls, hvor det ikke tidligere var muligt. (#13493, #8553)
  * I Mozilla Firefox rapporteres teksten nu pålideligt, når musen bevæges over tekst efter et link. (#9235)
  * Destinationen for grafiske links rapporteres nu mere præcist i flere tilfælde i Chrome og Edge. (#14779)
  * Når du forsøger at rapportere URL'en for et link uden en href-attribut, er NVDA ikke længere stille.
  I stedet oplyser NVDA, at linket ikke har nogen destination. (#14723)
  * I gennemsynstilstand vil NVDA ikke længere fejlagtigt ignorere fokus, der flytter til en overordnet eller underordnet kontrol, f.eks. flytning fra en kontrol til dens overordnede listeemne eller gittercelle. (#14611)
    * Bemærk dog, at denne rettelse kun gælder, når indstillingen "Automatisk fokustilstand ved ændring af fokus" i indstillingerne for gennemsynstilstand er slået fra (som er standard).
* Rettelser for Windows 11:
  * NVDA kan igen annoncere indholdet i Notesbloks statuslinje. (#14573)
  * Skift mellem faner vil annoncere positionen og navnet på det nye faneblad i både Notesblok og Stifinder. (#14587, #14388)
  * NVDA vil igen annoncere kandidatelementer, når du indtaster tekst på sprog som kinesisk og japansk. (#14509)
  * I Windows 11 er det igen muligt at åbne menupunkterne "bidragydere" og "licens" i NVDA-hjælpemenuen. (#14725)
* Rettelser for Microsoft Office:
  * Når du hurtigt bevæger dig gennem celler i Excel, er NVDA nu mindre tilbøjelig til at rapportere den forkerte celle eller markering. (#14983, #12200, #12108)
  * Når man lander på en Excel-celle udefra et regneark, bliver punktskrift og fokusfremhævning ikke længere unødigt opdateret til det objekt, der tidligere havde fokus. (#15136)
  * NVDA undlader ikke længere at annoncere, at der fokuseres på adgangskodefelter i Microsoft Excel og Outlook. (#14839)
* For symboler, som ikke har en symbolsbeskrivelse i det nuværende sprog, vil det standard engelske symbolniveau blive brugt. (#14558, #14417)
* Det er nu muligt at bruge backslash-tegnet i erstatningsfeltet i ordbogen, når typen ikke er indstillet til regulært udtryk. (#14556)
* I Lommeregner i Windows 10 og 11 vil en flytbar kopi af NVDA ikke længere gøre ingenting eller afspille fejlsignaler, når der indtastes udtryk i standardlommeregner i kompaktvisning. (#14679)
* NVDA genoplever igen fra mange flere situationer, såsom applikationer, der holder op med at reagere, hvilket tidligere fik den til at fryse helt. (#14759)
* Når du tvinger UIA-understøttelse med visse terminaler og konsoller, er en fejl rettet, som forårsagede en frysning og at logfilen blev spammet. (#14689)
* NVDA vil ikke længere nægte at gemme konfigurationen efter en konfigurationsnulstilling. (#13187)
* Når du kører en midlertidig version fra launcher, vil NVDA ikke vildlede brugere til at tro, at de kan gemme konfigurationen. (#14914)
* NVDA reagerer nu generelt lidt hurtigere på kommandoer og fokusændringer. (#14928)
* Visning af indstillingerne for tekstgenkendelse i NVDA vil ikke længere fejle på nogle systemer. (#15017)
* Fejlretning i forbindelse med gemning og indlæsning af NVDA-indstillingerne, herunder skift af talesyntesen. (#14760)
* Rettet en fejl, der fik tekstlæsningskommandoen "svirp op" på en touchskærm til at flytte mellem sider i stedet for til forrige linje. (#15127)

### Ændringer for udviklere

Læs venligst [udviklerguiden](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information om NVDAs API-afskrivnings- og fjernelsesproces.

* Foreslåede konventioner er blevet tilføjet til tilføjelsesmanifest-specifikationen.
Disse er valgfrie for NVDA-kompatibilitet, men opfordres eller kræves ved indsendelse til Tilføjelsescenteret. (#14754)
  * Brug `lowerCamelCase` for navnefeltet.
  * Brug formatet `<major>.<minor>.<patch>` for versionsfeltet (krævet for tilføjelsesdatabasen).
  * Brug `https://` som schema for URL-feltet (krævet for tilføjelsesdatabasen).
* Tilføjet en ny udvidelsespunkt-type kaldet `Chain`, som kan bruges til at iterere over iterables returneret af registrerede håndtere. (#14531)
* Tilføjet `bdDetect.scanForDevices` udvidelsespunktet.
Handlerer kan registreres, der returnerer `BrailleDisplayDriver/DeviceMatch` par, der ikke passer ind i eksisterende kategorier som USB eller Bluetooth. (#14531)
* Tilføjet extension Point: `synthDriverHandler.synthChanged`. (#14618)
* NVDAs ring af talesynteseindstillinger cacher nu tilgængelige indstillingsværdier første gang de er nødvendige, i stedet for når syntesen indlæses. (#14704)
* Du kan nu kalde export-metoden på en gesture-map for at eksportere det til en ordbog.
Denne ordbog kan importeres i en anden gesture ved at videregive den enten til konstruktøren af `GlobalGestureMap` eller til opdateringsmetoden på en eksisterende map. (#14582)
* `hwIo.base.IoBase` og dets afledte klasser har nu en ny konstruktørparameter til at tage en `hwIo.ioThread.IoThread`.
Hvis ikke angivet, bruges standardtråden. (#14627)
* `hwIo.ioThread.IoThread` har nu en `setWaitableTimer` metode til at sætte en ventbar timer ved hjælp af en Python-funktion.
Tilsvarende tillader den nye `getCompletionRoutine` metode dig at konvertere en Python-metode til en fuldførelsesrutine sikkert. (#14627)
* `offsets.OffsetsTextInfo._get_boundingRects` bør nu altid returnere `List[locationHelper.rectLTWH]` som forventet for en underklasse af `textInfos.TextInfo`. (#12424)
* `highlight-color` er nu en formatfeltattribut. (#14610)
* NVDA bør mere præcist bestemme, om en logget besked kommer fra NVDA-kernen. (#14812)
* NVDA vil ikke længere logge unøjagtige advarsler eller fejl om afskrevne app-moduler. (#14806)
* Alle NVDA extension points er nu kort beskrevet i et nyt, dedikeret kapitel i udviklerguiden. (#14648)
* `scons checkpot` vil ikke længere tjekke `userConfig` undermappen. (#14820)
* Oversættelige strenge kan nu defineres med en entals- og en flertalsform ved hjælp af `ngettext` og `npgettext`. (#12445)

#### Udfasninger

* At sende lambda-funktioner til `hwIo.ioThread.IoThread.queueAsApc` er udfaset.
I stedet bør funktioner kunne  refereres via en svag reference. (#14627)
* Import af `LPOVERLAPPED_COMPLETION_ROUTINE` fra `hwIo.base` er udfaset.
Importer i stedet fra `hwIo.ioThread`. (#14627)
* `IoThread.autoDeleteApcReference` er udfaset.
Den blev introduceret i NVDA 2023.1 og var aldrig beregnet til at være en del af den offentlige API.
Indtil fjernelse opfører den sig som en no-op, dvs. en context manager, der ikke returnerer noget. (#14924)
* `gui.MainFrame.onAddonsManagerCommand` er udfaset, brug `gui.MainFrame.onAddonStoreCommand` i stedet. (#13985)
* `speechDictHandler.speechDictVars.speechDictsPath` er udfaset, brug `NVDAState.WritePaths.speechDictsDir` i stedet. (#15021)
* Import af `voiceDictsPath` og `voiceDictsBackupPath` fra `speechDictHandler.dictFormatUpgrade` er udfaset.
Brug i stedet `WritePaths.voiceDictsDir` og `WritePaths.voiceDictsBackupDir` fra `NVDAState`. (#15048)
* `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` er udfaset.
Brug i stedet `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY`. (#15049)

## 2023.1

Der er tilføjet en ny kategori, der hedder "Dokumentnavigation" i NVDAs indstillinger. Her findes indstillingen "Navigering af afsnit".
Dette kan bruges til at indstille, hvordan du vil navigere rundt mellem afsnit i tekstredigeringsprogrammer, hvor denne type af navigation ikke normalt understøttes, såsom Notesblok og Notepad++.

Der er en ny kommando, der oplyser webadressen for det aktuelle link, kortlagt til `NVDA+k`.

Understøttelse af annoteret webindhold, såsom kommentarer og fodnoter, er forbedret.
Tryk `NVDA+d` for at skifte mellem de tilgængelige sammendrag af annoteringsdetaljer, når du eksempelvis får oplyst "har kommentarer" eller "har fodnoter".

Tivomatic Caiku Albatross 46/80 punktdisplays er nu understøttet.

Understøttelsen af ARM64 og AMD64-versioner af Windows er forbedret.

Der er en del fejlrettelser, hvor mange omfatter Windows 11.

eSpeak, LibLouis, Sonic rate boost og Unicode CLDR er blevet opdateret.
Der er nye punkttabeller for georgisk, swahili (Kenya) og Chichewa (Malawi).

Bemærk:

* Denne version af NVDA er inkompatibel med eksisterende tilføjelsesprogrammer. Hvis du har tilføjelser til NVDA installeret, skal du sørge for, at de er opdateret, før du opdaterer.

### Nye funktioner

* Microsoft Excel via UI Automation: Automatisk oplæsning af række- og kolonneoverskrifter i tabeller. (#14228)
  * Bemærk: Dette refererer til tabeller, der er formateret via knappen "Tabel" under "Indsæt" på båndet.
  "Første kolonne" og "Overskriftsrække" i "Tabelstilindstillinger" svarer til henholdsvis kolonne- og rækkeoverskrifter.
  * Dette refererer ikke til skærmlæserspecifikke overskrifter via navngivne områder, som i øjeblikket ikke understøttes via UI Automation.
* Et script uden tildelt tastetryk er blevet tilføjet, der lader dig slå forsinkede beskrivelser af tegn til og fra. (#14267)
* Tilføjet eksperimentel funktionalitet for UIA-meddelelser i Windows Terminal for at rapportere ny eller ændret tekst, hvilket har resulteret i forbedret stabilitet og responsivitet. (#13781)
  * Læs brugervejledningen for informationer om begrænsningerne, når du bruger denne indstilling.
* Gennemsynstilstand er nu tilgængelig i Windows 11 ARM64, når du bruger AMD64-apps som Firefox, Google Chrome og 1Password. (#14397)
* En ny indstilling kaldet "Navigering af afsnit" er blevet tilføjet til en ny kategori i NVDAs indstillinger ved navn "Dokumentnavigation".
Dette muliggør navigation efter enkelte linjeskift (normal) eller flere linjeskift (mere end ét).
Dette kan bruges til at indstille, hvordan du vil navigere rundt mellem afsnit i tekstredigeringsprogrammer, hvor denne type af navigation ikke normalt understøttes, såsom Notesblok og Notepad++. (#13797)
* Hvis mere end én annotering er at finde i det læste indhold, vil dette nu blive oplyst.
`NVDA+d` vil nu skifte mellem de tilgængelige sammendrag af annoteringsoplysninger, når der findes mere end én annotering.
Dette kan eksempelvis forekomme, når et stykke tekst både har en kommentar og en fodnote. (#14507, #14480)
* Tilføjet understøttelse af Tivomatic Caiku Albatross 46/80 punktdisplays. (#13045)
* Ny global kommando: Oplys linkets webadresse (`NVDA+k`).
Hvis du trykker én gang, vil adressen for det aktuelle link ved navigatorobjektet blive oplæst og vist på punkt.
Hvis du trykker to gange, vil denne information blive vist i et vindue. (#14583)
* Ny global kommando uden et tildelt tastetryk til at få adressen for et link vist i et vindue.
Det er det samme som at trykke `NVDA+k` to gange, men er muligvis mere nyttigt for punktbrugere. (#14583)

### Ændringer

* Opdateret LibLouis punktoversættelse til 3.24.0. (#14436)
  * Større opdateringer til ungarsk, UEB og kinesisk bopomofo-braille.
  * Understøttelse for den nye danske standard for punktskrift i 2022.
  * Nye punktskriftstabeller til georgisk litterær braille, Swahili (Kenya) og Chichewa (Malawi).
* Opdateret Sonic rate boost library til commit `1d70513`. (#14180)
* CLDR er blevet opdateret til version 42.0. (#14273)
* eSpeak NG er blevet opdateret til 1.52-dev commit `f520fecb`. (#14281, #14675)
  * Rettet fejl med oplæsning af store numre. (#14241)
* Java-applikationer, der bruger selectable state på et kontrolelement, vil nu oplyse, når et emne ikke er valgt i stedet for valgt. (#14336)

### Fejlrettelser

* Rettelser for Windows 11:
  * NVDA vil oplyse fremhævede søgninger, når du åbner start-menuen. (#13841)
  * Når du kører på ARM, vil X64-programmer ikke længere identificeres som ARM64-applikationer. (#14403)
  * Du kan nu bruge elementer i udklipshistorikken som f.eks. "Fastgør element". (#14508)
  * Det er nu igen muligt at bruge områder som overløbet fra systembakken, der viser flere ikoner, samt dialogen "Åbn med", når du bruger musen eller berøringsinteraktion i Windows 11 22H2 og nyere. (#14538, #14539)
* Forslag bliver nu oplyst, når du bruger @navn for at nævne en person i en kommentar. (#13764)
* Kontrolelementer til forslag i adresselinjen i Google Chrome (skift til fane, fjern forslag, osv) bliver nu oplyst. (#13522)
* Når du anmoder om formateringsoplysninger, rapporteres farver nu eksplicit i Wordpad eller logviseren i stedet for kun "Standardfarve". (#13959)
* Aktivering af knappen "Show options" på GitHub issue-sider virker nu korrekt i Firefox. (#14269)
* Datovælgeren i dialogen for Outlook 2016 / 365 Avanceret Søgning oplyser nu deres navn og værdi. (#12726)
* ARIA switch-kontrolelementer rapporteres nu som switch i Firefox, Chrome og Edge i stedet for check box. (#11310)
* NVDA vil nu automatisk oplyse, når sorteringen af elementer i en HTML-tabel ændres via en knap, der befinder sig i samme tabel. (#10890)
* Et landmærke eller en regions navn bliver altid automatisk læst op, når du hopper til sådanne elementer udefra, hvis dette sker ved hjælp af bogstavnavigation eller en fokusændring i gennemsynstilstand. (#13307)
* Når indstillingerne "Sig stort før store bogstaver" og "bip ved store bogstaver" er slået til, vil NVDA ikke bippe eller sige "stort" to gange, når forsinkede beskrivelser af tegn er slået til. (#14239)
* Kontrolelementer i tabeller i Java-applikationer vil nu blive annonceret mere præcist af NVDA. (#14347)
* Nogle indstillinger vil ikke længere fejlagtigt ændres uventet, når der bruges flere indstillingsprofiler. (#14170)
  * Dette omfatter følgende indstillinger:
    * "Linjeindrykning" i indstillingerne for dokumentformatering.
    * "Cellekanter" i indstillingerne for dokumentformatering.
    * "Vis beskeder" i indstillingerne for punkt.
    * "Punkt følger" i indstillingerne for punkt.
  * I nogle sjældne tilfælde kan disse indstillinger, der bruges i profiler, forekomme uventet ændret, når denne version af NVDA installeres.
  * Gennemgå venligst ovenstående indstillinger for dine profiler, når du har opdateret til denne version, hvis dette er aktuelt for dig.
* Emoji bør blive oplæst på flere sprog. (#14433)
* Når annotationer fremkommer, vil dette nu altid korrekt vises, når du benytter et punktdisplay. (#13815)
* Rettet en fejl, hvor konfigurationen ikke blev gemt, hvis en indstilling blev ændret mellem "standard" som indstillingsmulighed og den aktuelle værdi, der ville blive benyttet, når "standard" var valgt. (#14133)
* Når NVDA konfigureres, vil én tast altid fungere som NVDA-tasten. (#14527)
* Når du åbner NVDA-menuen fra systembakken, vil NVDA ikke længere meddele om en ventende opdatering, hvis dette ikke er tilfældet. (#14523)
* Resterende, forløbet og total tid er nu korrekt oplyst i Foobar2000, hvis filen er længere end én dag. (#14127)
* I webbrowsere som Chrome og Firefox vises advarsler som f.eks. downloads på punkt samtidigt med, at de også oplæses. (#14562)
* Fejl rettet, når der navigeres til første eller sidste kolonne i Firefox. (#14554)
* Når NVDA startes med systemparametret `--lang=Windows` kan man nu igen åbne NVDAs generelle indstillinger. (#14407)
* NVDA fejler nu ikke under automatisk læsning, når man vender en side i Kindle for PC. (#14390)

### Ændringer for udviklere

Bemærk: denne udgivelse bryder API-kompatibilitet for tilføjelser.
Tilføjelser skal gen-testes og have deres manifest opdateret.
Se venligst [udviklervejledningen](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for oplysninger om NVDAs API-afviklings- og fjernelsesproces.

* Systemtests bør nu passere, når de køres lokalt på ikke-engelsksprogede systemer. (#13362)
* I Windows 11 på ARM vil X64-apps ikke længere blive identificeret som ARM64-applikationer. (#14403)
* Det er ikke længere nødvendigt at bruge `SearchField` og `SuggestionListItem` `UIA` `NVDAObjects` i nye UI Automation-scenarier, hvor automatisk rapportering af søgeforslag, og hvor indtastning er blevet eksponeret via UI Automation med `controllerFor` mønsteret.
Denne funktionalitet er nu tilgængelig generelt via `behaviours.EditableText` og basen `NVDAObject`. (#14222)
* Kategorilogning for UIA-fejlfinding, når den er aktiveret, producerer nu væsentligt mere logning for UIA-hændelseshåndterere og værktøjer. (#14256)
* NVDAHelper build-standarder opdateret. (#13072)
  * Anvender nu C++20-standarden, tidligere C++17.
  * Anvender nu compilerflaget `/permissive-`, som deaktiverer permissive adfærd og sætter compilerindstillingerne `/Zc` for streng overholdelse.
* Nogle plugin-objekter (f.eks. drivere og tilføjelser) har nu en mere informativ beskrivelse i NVDAs Python-konsol. (#14463)
* NVDA kan nu fuldt ud kompileres med Visual Studio 2022, hvilket betyder, at Visual Studio 2019 build tools ikke længere kræves. (#14326)
* Mere detaljeret logning for NVDA-frysninger er tilføjet for at hjælpe med fejlfinding. (#14309)
* Singleton-klassen `braille._BgThread` er blevet erstattet af `hwIo.ioThread.IoThread`. (#14130)
  * En enkelt instans `hwIo.bgThread` (i NVDA core) af denne klasse leverer baggrunds-I/O til trådsikre punktdisplaydrivere.
  * Denne nye klasse er ikke en singleton af design, og tilføjelsesudviklere opfordres til at bruge deres egen instans, når de håndterer hardware-I/O.
* Processortypen for computeren kan nu forespørges fra `winVersion.WinVersion.processorArchitecture`. (#14439)
* Nye udvidelsespunkter er blevet tilføjet. (#14503)
  * `inputCore.decide_executeGesture`
  * `tones.decide_beep`
  * `nvwave.decide_playWaveFile`
  * `braille.pre_writeCells`
  * `braille.filter_displaySize`
  * `braille.decide_enabled`
  * `braille.displayChanged`
  * `braille.displaySizeChanged`
* Det er muligt at sætte useConfig til False på understøttede indstillinger for en syntesedriver. (#14601)

#### API-ændringer der bryder bagudkompatibilitet

Dette er ændringer, der bryder bagudkompatibilitet i API'en.
Åbn venligst en GitHub issue, hvis din tilføjelse har problemer med at opdatere til den nye API.

* Konfigurationsspecifikationen er blevet ændret, og nøgler er blevet fjernet eller ændret:
  * I sektionen `[documentFormatting]` (#14233):
    * `reportLineIndentation` gemmer nu en int-værdi (0 til 3) i stedet for en boolsk værdi.
    * `reportLineIndentationWithTones` er blevet fjernet.
    * `reportBorderStyle` og `reportBorderColor` er blevet fjernet og erstattet af `reportCellBorders`.
  * I sektionen `[braille]` (#14233):
    * `noMessageTimeout` er blevet fjernet, erstattet af en værdi for `showMessages`.
    * `messageTimeout` kan ikke længere tage værdien 0, erstattet af en værdi for `showMessages`.
    * `autoTether` er blevet fjernet; `tetherTo` kan nu tage værdien "auto".
  * I sektionen `[keyboard]` (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` er blevet fjernet.
    De er blevet erstattet af `NVDAModifierKeys`.
* Klassen `NVDAHelper.RemoteLoader64` er blevet fjernet uden erstatning. (#14449)
* Følgende funktioner i `winAPI.sessionTracking` er blevet fjernet uden erstatning. (#14416, #14490)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`
* Det er ikke længere muligt at aktivere/deaktivere punktvisning ved at sætte `braille.handler.enabled`.
For at deaktivere punktvisningen programmæssigt, skal du registrere en handler til `braille.handler.decide_enabled`. (#14503)
* Det er ikke længere muligt at opdatere visningsstørrelsen for punktvisning ved at sætte `braille.handler.displaySize`.
For at opdatere displaySize programmæssigt, skal du registrere en handler til `braille.handler.filter_displaySize`.
Se `brailleViewer` for et eksempel på, hvordan dette gøres. (#14503)
* Der er blevet foretaget ændringer til brugen af `addonHandler.Addon.loadModule`. (#14481)
  * `loadModule` forventer nu dot som separator i stedet for backslash.
  For eksempel "lib.example" i stedet for "lib\example".
  * `loadModule` kaster nu en undtagelse, hvis et modul ikke kan indlæses eller har fejl, i stedet for blot at returnere `None` uden at give oplysninger om årsagen.
* Følgende symboler er blevet fjernet fra `appModules.foobar2000` uden direkte erstatning. (#14570)
  * `statusBarTimes`
  * `parseIntervalToTimestamp`
  * `getOutputFormat`
  * `getParsingFormat`
* Følgende er ikke længere singletons - deres get-metode er blevet fjernet.
Brugen af `Example.get()` er nu `Example()`. (#14248)
  * `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  * `UIAHandler.customProps.CustomPropertiesCommon`
  * `NVDAObjects.UIA.excel.ExcelCustomProperties`
  * `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### Udfasninger

* `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` er udfaset, og det frarådes at bruge det. (#14047)
* `config.addConfigDirsToPythonPackagePath` er blevet flyttet.
Brug `addonHandler.packaging.addDirsToPythonPackagePath` i stedet. (#14350)
* `braille.BrailleHandler.TETHER_*` er udfaset.
Brug `configFlags.TetherTo.*.value` i stedet. (#14233)
* `utils.security.postSessionLockStateChanged` er udfaset.
Brug `utils.security.post_sessionLockStateChanged` i stedet. (#14486)
* `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` er blevet udfaset.
Brug `NVDAObject.annotations` i stedet. (#14507)
* `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` er udfaset uden direkte erstatning.
Overvej at bruge klassen `config.configFlags.NVDAKey` i stedet. (#14528)
* `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` er udfaset.
Brug `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand` i stedet. (#14523)

## 2022.4

Denne udgivelse indeholder flere nye nøglekommandoer, bl.a. tabelkommandoer til kontinuerlig læsning.
En "Hurtigstartguide" er blevet tilføjet til brugervejledningen.
Der er også flere fejlrettelser.

eSpeak er blevet opdateret, og LibLouis er blevet opdateret.
Der er nye kinesiske, svenske, Luganda og Kinyarwanda punktskriftstabeller.

### Nye funktioner

* Tilføjede en hurtigstartguide til brugervejledningen. (#13934)
* Tilføjede en ny kommando til at få genvejstasten for det aktuelle element i fokus oplyst. (#13960)
  * Desktop: `shift+numpad2`.
  * Laptop: `NVDA+ctrl+shift+.`.
* Tilføjede en ny kommando, der lader læsemarkøren navigere efter sider, hvis dette understøttes af det aktuelle program. (#14021)
  * Flyt til forrige side:
    * Desktop: `NVDA+side op`.
    * Laptop: `NVDA+shift+Side op`.
  * Flyt til næste side:
    * Desktop: `NVDA+Side ned`.
    * Laptop: `NVDA+shift+Side ned`.
* Tilføjede følgende kommandoer til brug i tabeller. (#14070)
  * Sig alt i kolonne: `NVDA+Ctrl+alt+pil ned`
  * Sig alt i række: `NVDA+ctrl+alt+højre pil`
  * Læs hel kolonne: `NVDA+Ctrl+alt+Pil op`
  * Læs hel række: `NVDA+Ctrl+alt+venstre pil`
* Microsoft Excel med UI Automation: NVDA fortæller nu, når du bevæger dig udenfor en tabel i et regneark. (#14165)
* Rapportering af overskrifter i tabeller kan nu indstilles særskilt for både rækker og kolonner. (#14075)

### Ændringer

* eSpeak NG er blevet opdateret til 1.52-dev commit `735ecdb8`. (#14060, #14079, #14118, #14203)
  * Rettede oplæsning af latinske tegn, når man brugte Mandarin. (#12952, #13572, #14197)
* Opdaterede LibLouis-punktoversættelse til 3.23.0. (#14112)
  * Tilføjede følgende punkttabeller:
    * Kinesisk almindelig braille (forenklede kinesiske tegn)
    * Kinyarwanda litterær punktskrift
    * Luganda litterær punktskrift
    * Svensk uforkortet puntkskrift
    * Svensk delvist forkortet punktskrift
    * Svensk forkortet punktskrift
    * Kinesisk (Kina, Mandarin) nuværende punktskriftssystem (ingen toner) (#14138)
* NVDA inkluderer nu operativsystemets processorarkitektur som en del af sporing af brugerstatistik. (#14019)

### Fejlrettelser

* Når du opdaterer NVDA via Windows Pakkemanager fra kommandolinjen (winget), vil en udgivet version af NVDA ikke længere forekomme som en nyere version af NVDA. Dette var før tilfældet, selv hvis du installerede en nyere alpha-version. (#12469)
* NVDA vil nu korrekt oplyse gruppebokse i Java-programmer. (#13962)
* Markøren følger nu korrekt talen med funktionen "Sig alt" aktiv i programmer som Bookworm, WordPad, eller logviseren i NVDA. (#13420, #9179)
* Delvist markerede check bokse vil nu oplyses korrekt i programmer, hvor UI Automation er aktiveret. (#13975)
* Forbedrede ydeevne og stabilitet i Microsoft Visual Studio, Windows Terminal, og andre programmer baseret på UI Automation. (#11077, #11209)
  * Disse rettelser gælder Windows 11 Sun Valley 2 (version 22H2) og nyere.
  * Selektiv registrering af UIA-hændelser og egenskabsændringer er nu aktiveret som standard.
* Tekstrapportering, punktskriftsoutput og adgangskodeundertrykkelse fungerer nu som forventet i den indlejrede Windows Terminal-kontrol i Visual Studio 2022. (#14194)
* NVDA benytter nu DPI, når du bruger flere skærme.
Der er flere rettelser, når der bruges en DPI-indstilling højere end 100 % eller flere skærme.
Problemer kan stadig eksistere med versioner af Windows ældre end Windows 10 1809.
For at disse rettelser skal virke, skal applikationer, som NVDA interagerer med, også være DPI-bevidste.
Bemærk, at der stadig er kendte problemer med Chrome og Edge. (#13254)
  * Rammer til brug ved visuel fremhævning skulle nu være mere korrekt placerede i de fleste programmer. (#13370, #3875, #12070)
  * Brugen af en touchskærm bør være mere præcis og pålidelig i de fleste programmer. (#7083)
  * Sporing af musen bør nu virke i de fleste programmer. (#6722)
* Ændring af orienteringen (stående/liggende) vil nu blive ignoreret, hvis der er tale om ændringer i forhold til tilkoblede skærme. (#14035)
* NVDA vil oplyse, når du trækker elementer rundt på skærmen som omarrangering af Windows 10 Start-menufelter og virtuelle skriveborde i Windows 11. (#12271, #14081)
* Indstillingen "Afspil en lyd, når fejl opstår" i NVDAs avancerede indstillinger gendannes nu korrekt, når knappen "Gendan standarder" aktiveres. (#14149)
* NVDA kan nu vælge tekst i Java-programmer, når du bruger `NVDA+f10`. (#14163)
* NVDA vil ikke længere sidde fast i menuen, når du piler op og ned i en samtaletråd i Microsoft Teams. (#14355)

### Ændringer for udviklere

Se venligst [udviklervejledningen](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for oplysninger om NVDAs API-afviklings- og fjernelsesproces.

* [NVDA API Announcement mailing list](https://groups.google.com/a/nvaccess.org/g/nvda-api/about) blev oprettet. (#13999)
* NVDA behandler ikke længere `textChange`-hændelser for de fleste UI Automation-applikationer på grund af deres ekstreme negative ydeevne. (#11002, #14067)

#### Udfasninger

* `core.post_windowMessageReceipt` er udfaset, brug i stedet `winAPI.messageWindow.pre_handleWindowMessage`.
* `winKernel.SYSTEM_POWER_STATUS` er udfaset, og brugen frarådes. Dette er blevet flyttet til `winAPI._powerTracking.SystemPowerStatus`.
* `winUser.SM_*`-konstanter er udfaset, brug i stedet `winAPI.winUser.constants.SystemMetrics`.

## 2022.3.3

Dette er en mindre udgivelse for at rette problemer med 2022.3.2, 2022.3.1 og 2022.3.
Denne udgivelse adresserer også et sikkerhedsproblem.

### Sikkerhedsrettelser

* Forhindrer mulig systemadgang (f.eks. NVDA Python-konsol) for ikke-godkendte brugere.
(GHSA-fpwc-2gxx-j9v7)

### Fejlrettelser

* Rettede en fejl, hvor NVDA frøs ved låsning, og NVDA tillod adgang til brugerens skrivebord, mens Windows-låseskærmen var aktiv. (#14416)
* Rettede en fejl, hvor NVDA frøs ved låsning, og NVDA ikke opførte sig korrekt, som om enheden stadig var låst. (#14416)
* Rettede tilgængelighedsproblemer med Windows "glemt min PIN"-proces og Windows-opdaterings-/installationsoplevelse. (#14368)
* Rettede en fejl, der forhindrede installation af NVDA i nogle Windows-miljøer, f.eks. Windows Server. (#14379)

### Ændringer for udviklere

#### Udfasninger

* `utils.security.isObjectAboveLockScreen(obj)` er udfaset, brug i stedet `obj.isBelowLockScreen`. (#14416)
* Følgende funktioner i `winAPI.sessionTracking` er udfaset og vil blive fjernet i 2023.1. (#14416)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`

## 2022.3.2

Dette er en mindre udgivelse for at rette regressioner med 2022.3.1 og adressere et sikkerhedsproblem.

### Sikkerhedsrettelser

* Forhindrer mulig systemadgang for ikke-godkendte brugere.
(GHSA-3jj9-295f-h69w)

### Fejlrettelser

* Rettede en regression fra 2022.3.1, hvor visse funktioner blev deaktiveret på sikre skærme. (#14286)
* Rettede en regression fra 2022.3.1, hvor visse funktioner blev deaktiveret efter logon, hvis NVDA startede på låseskærmen. (#14301)

## 2022.3.1

Dette er en mindre udgivelse for at rette flere sikkerhedsproblemer.
Rapporter venligst sikkerhedsproblemer ansvarligt til <info@nvaccess.org>.

### Sikkerhedsrettelser

* Rettede en sårbarhed, hvor det var muligt at eskalere fra bruger til systemrettigheder.
(GHSA-q7c2-pgqm-vvw5)
* Rettede et sikkerhedsproblem, der tillod adgang til Python-konsollen på låseskærmen via en race condition ved opstart af NVDA.
(GHSA-72mj-mqhj-qh4w)
* Rettede et problem, hvor tekst fra taleviseren blev cachet, når Windows blev låst.
(GHSA-grvr-j2h8-3qm4)

### Fejlrettelser

* Forhindrer, at en ikke-godkendt bruger kan opdatere indstillingerne for tale- og punktskriftsviser på låseskærmen. (GHSA-grvr-j2h8-3qm4)

## 2022.3

En markant del af denne version af NVDA er medtaget bidrag fra fællesskabet.
Dette omfatter bl.a. en indstilling der forsinker beskrivelser af tegn, samt forbedret understøttelse til Windows konsol.

Denne version indeholder også nogle fejlrettelser.
Opdaterede versioner af Adobe Reader vil ikke længere gå ned, når du forsøger at læse et PDF-dokument.

eSpeak er blevet opdateret, hvilket introducerer 3 nye sprog: hviderussisk, luxembourgsk og Totontepec Mixe.

### Nye funktioner

* I Windows-konsollen brugt af kommandoprompt, PowerShell, og Windows Subsystem for Linux i Windows 11 version 22H2 (Sun Valley 2) og nyere:
  * Væsentligt forbedret ydeevne og stabilitet. (#10964)
  * Når du bruger `Ctrl+F` til at søge efter tekst, vil læsemarkøren flytte sig til søgeresultatet. (#11172)
  * Annoncering af tekst, der ikke vises på skærmen (eksempelvis adgangskoder) er deaktiveret som standard.
Dette kan aktiveres ved at gå til NVDAs indstillinger under "Avanceret". (#11554)
  * Tekst, der er rullet af skærmen, kan nu læses ved brug af læsemarkøren uden at rulle i konsolvinduet. (#12669)
  * Flere detaljerede tekstformateringsoplysninger er nu tilgængelige. (microsoft/terminal PR 10336)
* En ny indstilling er nu blevet tilføjet i taleindstillinger, der lader dig få beskrivelser af tegn oplæst efter en forsinkelse. (#13509)
* En ny indstilling er blevet tilføjet i punktindstillinger. Denne lader dig bestemme om panorerering af dit punktdisplay skal afbryde talen. (#2124)

### Ændringer

* eSpeak NG er blevet opdateret til 1.52-dev commit `9de65fcb`. (#13295)
  * Tilføjede sprog:
    * Hviderussisk
    * Luxembourgsk
    * Totontepec Mixe
* Når du bruger NVDA med Microsoft Excel og UIA aktiveret, kan NVDA nu oplyse, hvis den valgte celle er flettet. (#12843)
* I stedet for altid at oplyse "har detaljer", når dette er tilfældet, vil NVDA forsøge at oplyse den korrekte form for detalje, eksempelvis "har kommentar". (#13649)
* NVDAs størrelse efter installation vises nu i Windows Programmer og Funktioner. (#13909)

### Fejlrettelser

* Adobe Reader 64 bit vil ikke længere gå ned, når du læser et PDF-dokument. (#12920)
  * Bemærk, at du skal sørge for, at Adobe Reader er opdateret.
* Måleenheder for skrifttypens størrelse kan nu oversættes i NVDA. (#13573)
* Ignorer Java Access Bridge events, hvor ingen window handle kan findes for Java-applikationer.
Dette vil forbedre ydeevnen for nogle Java-applikationer, herunder IntelliJ IDEA. (#13039)
* NVDA er bedre i stand til at oplyse informationer om de valgte celler i Libre Calc. Dette vil ikke længere forårsage et nedbrud af Libre Office Calc, hvis mange celler er valgt. (#13232)
* Når Microsoft Edge køres under en anden bruger, vil programmet ikke længere være utilgængeligt. (#13032)
* Når "Forøg hastighed" er slået fra, vil eSpeaks talehastighed ikke længere skiftevis ændre sig til 99% og 100%. (#13876)
* Rettede en fejl, hvor to dialoger til håndtering af kommandoer kunne åbnes samtidigt. (#13854)

### Ændringer for udviklere

* Opdateret Comtypes til version 1.1.11. (#12953)
* I builds af Windows Console (`conhost.exe`) med en NVDA API-niveau på 2 (`FORMATTED`) eller højere, såsom dem inkluderet i Windows 11 version 22H2 (Sun Valley 2), bruges UI Automation nu som standard. (#10964)
  * Dette kan tilsidesættes ved at ændre indstillingen "Windows Console support" i NVDAs avancerede indstillingspanel.
  * For at finde dit Windows Consoles NVDA API-niveau skal du sætte "Windows Console support" til "UIA når tilgængelig" og derefter tjekke NVDA+F1-loggen, der åbnes fra en kørende Windows Console-instans.
* Den Chromium-virtuelle buffer indlæses nu, selv når dokumentobjektet har MSAA `STATE_SYSTEM_BUSY` eksponeret via IA2. (#13306)
* En config-spec-type `featureFlag` er oprettet til brug med eksperimentelle funktioner i NVDA. Se `devDocs/featureFlag.md` for flere oplysninger. (#13859)

#### Udfasninger

Der er ingen udfasninger foreslået i 2022.3.

## 2022.2.4

Dette er en patch-udgivelse for at rette et sikkerhedsproblem.

### Fejlrettelser

* Rettede en sårbarhed, hvor det var muligt at åbne NVDA's Python-konsol via logviseren på låseskærmen.
(GHSA-585m-rpvv-93qg)

## 2022.2.3

Dette er en patch-udgivelse for at rette et utilsigtet API-brud, der blev introduceret i 2022.2.1.

### Fejlrettelser

* Rettede en fejl, hvor NVDA ikke oplyste "Sikkert skrivebord", når du gik ind på et sikkert skrivebord.
Dette medførte, at NVDA remote ikke kunne genkende sikre skriveborde. (#14094)

## 2022.2.2

Dette er en patch-udgivelse for at rette en fejl, der blev introduceret i 2022.2.1 vedrørende input-kommandoer.

### Fejlrettelser

* Rettede en fejl, hvor input-kommandoer ikke altid virkede. (#14065)

## 2022.2.1

Dette er en mindre udgivelse for at rette et sikkerhedsproblem.
Rapporter venligst sikkerhedsproblemer ansvarligt til <info@nvaccess.org>.

### Sikkerhedsrettelser

* Rettede en sårbarhed, hvor det var muligt at køre en Python-konsol fra låseskærmen. (GHSA-rmq3-vvhq-gp32)
* Rettede en sårbarhed, hvor det var muligt at omgå låseskærmen ved brug af objektnavigation. (GHSA-rmq3-vvhq-gp32)

### Ændringer for udviklere

#### Udfasninger

Disse udfasninger er i øjeblikket ikke planlagt til fjernelse.
De afskrevne aliaser vil forblive tilgængelige indtil videre.
Test venligst den nye API og giv feedback.
For tilføjelsesudviklere, bedes du åbne en GitHub-issue, hvis disse ændringer forhindrer API'et i at opfylde dine behov.

* `appModules.lockapp.LockAppObject` bør erstattes med `NVDAObjects.lockscreen.LockScreenObject`. (GHSA-rmq3-vvhq-gp32)
* `appModules.lockapp.AppModule.SAFE_SCRIPTS` bør erstattes med `utils.security.getSafeScripts()`. (GHSA-rmq3-vvhq-gp32)

## 2022.2

Denne version indeholder mange fejlrettelser.
Der er markante forbedringer, når du bruger Java-baserede programmer, punktdisplays og nogle Windows-funktioner.

Der er nye kommandoer til navigation i tabeller.
Unicode CLDR er blevet opdateret.
LibLouis er blevet opdateret med en ny punkttabel på tysk.

### Nye funktioner

* Understøttelse for brug af Microsoft Loop Components i Microsoft Office. (#13617)
* Nye kommandoer til navigation i tabeller. (#957)
 * `Ctrl+alt+hjem/end` går til første eller sidste kolonne.
 * `Ctrl+alt+side op/ned` går til første og sidste række.
* En funktion til hurtigt at slå automatisk skift af sprog- og dialekt til eller fra er blevet tilføjet. Funktionen har som standard ingen tast tilknyttet. (#10253)

### Ændringer

* NSIS er blevet opdateret til version 3.08. (#9134)
* CLDR er blevet opdateret til version 41.0. (#13582)
* Opdateret LibLouis punktoversættelse til 3.22.0. (#13775)
  * Ny tysk punkttabel: Tysk niveau 2 (detaljeret).
* Tilføjet ny rolle for optagede behandlingslinjer. (#10644)
* Skærmlæseren vil nu meddele, når en NVDA-handling ikke kan udføres. (#13500)
  * Dette er tilfældet, når:
    * Du bruger NVDA fra Microsoft Store.
    * I et sikkert/beskyttet miljø.
    * Du venter på et svar fra en modal dialog.

### Fejlrettelser

* Rettelser for Java-baserede programmer:
  * NVDA vil nu meddele skrivebeskyttet status for de pågældende kontrolelementer. (#13692)
  * NVDA vil nu korrekt meddele aktiveret/deaktiveret status. (#10993)
  * NVDA vil nu oplyse tastaturgenveje. (#13643)
  * NVDA kan nu oplyse status for behandlingslinjer med bip eller tale. (#13594)
  * NVDA vil ikke længere fejlagtigt fjerne tekst fra widgets, når disse bliver oplæst. (#13102)
  * NVDA vil nu meddele status for skifteknapper. (#9728)
  * NVDA vil nu identificerer vinduet i et Java-program, der har flere vinduer. (#9184)
  * NVDA vil nu meddele position for elementer, der kan tabbes til. (#13744)
* Rettelser til punkt:
  * Rettede en fejl i output for punktskrift, der ville opstå, når du navigerede dig rundt i et "Mozilla rich edit" felt, som f.eks. Thunderbird under skrivelse af en ny meddelelse. (#12542)
  * Når indstillingen "Punkt følger" er indstillet til "automatisk", og musen flyttes, når "Følg musen" er slået til,
   Kommandoer til brug ved læsning af tekst vil nu også opdatere indholdet, der vises på dit punktdisplay. (#11519)
  * Det er nu muligt at panorere punktdisplayet, når du benytter kommandoer til læsning af tekst. (#8682)
* NVDAs installationsprogram kan nu afvikles fra en mappe, der indeholder specialtegn. (#13270)
* NVDA vil ikke længere være ude af stand til at oplyse elementer på en webside, når aria-rowindex, aria-colindex, aria-rowcount eller aria-colcount attributter er ugyldige. (#13405)
* Markøren vil ikke længere fejlagtigt springe over kolonner eller rækker, når du navigerer gennem flettede celler. (#7278)
* Når du læser ikke-interaktive PDF-dokumenter i Adobe Reader, vil NVDA nu korrekt oplyse status for de forskellige formularfelter, såsom check boxe, radioknapper, osv. (#13285)
* Menupunktet "Gendan konfiguration til fabriksindstillingerne" i NVDA-menuen kan nu benyttes, når NVDA kører i sikker tilstand. (#13547)
* Alle museknapper bliver låst op, når NVDA afslutter. Tidligere var dette ikke tilfældet, og museknapperne ville forblive låst. (#13410)
* Visual Studio oplyser nu linjenumre. (#13604)
  * Bemærk: Før denne funktion kan virke, skal linjenumre være slået til i Visual Studio og NVDA.
* Visual Studio oplyser nu den korrekte linjeindrykning. (#13574)
* NVDA kan nu igen oplyse søgeresultater i Windows start-menuen i Windows 10 og 11. (#13544)
* I Windows 10 og 11 Lommeregner version 10.1908 og nyere,
NVDA vil nu oplyse resultatet, når du trykker en kommando, herunder dem i videnskabelig tilstand. (#13383)
* Det er nu igen muligt i Windows 11 at benytte de elementer, der udgør brugergrænsefladen,
såsom proceslinjen og opgavevisning ved brug af musen og berøringsinteraktion. (#13506)
* NVDA kan nu oplyse statuslinjen i Notesblok i Windows 11. (#13688)
* Fremhævning af navigatorobjekt vil nu blive aktiveret med det samme, når funktionen slås til. (#13641)
* Rettede læsning af kolonner i en liste, hvor kolonnerne kun består af én kolonne. (#13659, #13735)
* Rettede automatisk skift af sprog, når eSpeak skifter tilbage til engelsk eller fransk, så talen korrekt vil benytte engelsk (Storbritannien) og fransk (Frankrig). (#13727)
* Rettede en fejl i automatisk skift af sprog, der opstod, hvis OneCore forsøgte at skifte til et afinstalleret sprog. (#13732)

### Ændringer for udviklere

* Kompilering af NVDA-afhængigheder med Visual Studio 2022 (17.0) understøttes nu.
Til udviklings- og udgivelsesbuilds bruges Visual Studio 2019 stadig. (#13033)
* Når du henter antallet af valgte børn via accSelection,
bliver casen, hvor et negativt child-ID eller en IDispatch returneres af `IAccessible::get_accSelection`, nu håndteret korrekt. (#13277)
* Nye bekvemme funktioner `registerExecutableWithAppModule` og `unregisterExecutable` er blevet tilføjet til `appModuleHandler`-modulet.
De kan bruges til at bruge et enkelt App Module med flere eksekverbare filer. (#13366)

#### Udfasninger

Disse er foreslåede API-ændringer, der bryder bagudkompatibilitet.
Den afskrevne del af API'et vil fortsat være tilgængelig indtil den specificerede udgivelse.
Hvis ingen udgivelse er specificeret, er planen for fjernelse endnu ikke fastlagt.
Bemærk, at fjernelsesplanen er 'bedste indsats' og kan ændres.
Test venligst den nye API og giv feedback.
For tilføjelsesudviklere, bedes du åbne en GitHub-issue, hvis disse ændringer forhindrer API'et i at opfylde dine behov.

* `appModuleHandler.NVDAProcessID` er udfaset, brug `globalVars.appPid` i stedet. (#13646)
* `gui.quit` er udfaset, brug `wx.CallAfter(mainFrame.onExitCommand, None)` i stedet. (#13498)
  -
* Nogle alias-appModules er markeret som udfaset.
Kode, der importerer fra en af dem, bør i stedet importere fra erstatningsmodulet. (#13366)

| Fjernet modulnavn | Erstatningsmodul|
|---|---|
|azuredatastudio |code|
|azuredatastudio-insiders |code|
|calculatorapp |calculator|
|code - insiders |code|
|commsapps |hxmail|
|dbeaver |eclipse|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc|
|notepad++ |notepadPlusPlus|
|searchapp |searchui|
|searchhost |searchui|
|springtoolsuite4 |eclipse|
|sts |eclipse|
|teamtalk3 |teamtalk4classic|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|winmail |msimn|
|zend-eclipse-php |eclipse|
|zendstudio |eclipse|

## 2022.1

Denne version af NVDA indeholder markante forbedringer til UIA-understøttelse i Microsoft Office.
I Microsoft Office 16.0.15000 og i nyere versioner vil NVDA benytte UIA som standard, når du benytter Windows 11.
Dette øger ydeevnen markant i forhold til den tidligere objektmodel.

Der er forbedringer til forskellige drivere til punktdisplays, herunder Seika Notetaker, Papenmeier og HID Braille.
Der er også diverse fejlrettelser i Windows 11 og de forskellige apps, herunder lommeregneren, konsollen, terminal og emoji-panelet.

eSpeak-NG og LibLouis er blevet opdateret og tilføjer nye japanske, tyske og catalanske tabeller.

Bemærk:

 * Denne version af NVDA er ikke kompatibel med eksisterende tilføjelsespakker. Sørg for, at du opdaterer dem først.

### Nye funktioner

* Understøttelse for rapportering af noter i Microsoft Excel i Windows 11 med UI Automation aktiveret. (#12861)
* I nyere builds af Microsoft Word med UI Automation i Windows 11, vil du nu få oplyst bogmærker, udkast til kommentarer og løste kommentarer. (#12861)
* Den nye `--lang` kommandolinjeparameter lader dig tvinge NVDA til at benytte et andet sprog. (#10044)
* NVDA vil nu advare dig, hvis der bruges ukendte kommandolinjeparametre, der ikke benyttes af tilføjelser. (#12795)
* Når Microsoft Word benyttes og du har UI Automation aktiveret, vil NVDA benytte MathPlayer til at læse og navigere gennem ligninger. (#12946)
  * Hvis denne funktionalitet skal virke, skal du køre Microsoft Word 365/2016 build 14326 eller nyere.
  * MathType-ligninger skal også manuelt konverteres til Office-matematikligninger ved at vælge hver ligning, åbne kontekstmenuen og vælge "Equation options" -> "Convert to Office Math".
* Rapportering af "har detaljer" og den tilsvarende kommando er blevet opdateret til at virke i fokustilstand. (#13106)
* Seika Notetaker kan nu blive tilkoblet automatisk, når du bruger USB eller Bluetooth. (#13191, #13142)
  * Dette påvirker følgende enheder: MiniSeika (16, 24 celler), V6 og V6Pro (40 celler).
  * Du kan også manuelt vælge Bluetooth COM port.
* Tilføjet en kommando til at aktivere punktskriftsviseren. Der er intet tastetryk tilknyttet som standard. (#13258)
* Tilføjet kommandoer til at trykke på flere funktionstaster på én gang. (#13152)
* Dialogen til at håndtere udtaleordbøger har nu en knap, der hedder "Fjern alle". Dette lader dig rydde en hel ordbog. (#11802)
* Tilføjet understøttelse for Windows 11 Lommeregner. (#13212)
* I Microsoft Word i Windows 11 og med UI Automation aktiveret, kan du nu få oplyst antal linjer og afsnit. (#13283, #13515)
* For Microsoft Office 16.0.15000 og nyere i Windows 11, vil NVDA bruge UI Automation til at få adgang til Microsoft Word-dokumenter som standard, hvilket giver en væsentlig forbedring af ydeevnen i forhold til den gamle objektmodel. (#13437)
 * Dette inkluderer selve Microsoft Word, meddelelsesvinduet i Microsoft Outlook og når du skriver en ny meddelelse i Microsoft Outlook.

### Ændringer

* eSpeak-NG er blevet opdateret til 1.51-dev commit `7e5457f91e10`. (#12950)
* Opdateret liblouis punktoversættelse til version 3.21.0. (#13141, #13438)
  * Tilføjet ny punkttabel: Japansk (Kantenji) literær punktskrift.
  * Tilføjet ny punkttabel for tysk sekspunkt computer braille.
  * Tilføjet catalansk punkttabel niveau 1. (#13408)
* NVDA vil oplyse valgte og flettede celler i LibreOffice Calc 7.3 og nyere. (#9310, #6897)
* Opdateret Unicode Common Locale Data Repository (CLDR) til version 40.0. (#12999)
* `NVDA+NumpadDelete` vil oplyse systemmarkørens eller objektets position som standard. (#13060)
* `NVDA+Skift+NumpadDelete` oplyser læsemarkørens position. (#13060)
* Tilføjet kommandoer, der lader dig benytte funktionstaster, hvis du bruger et punktdisplay fra Freedom Scientific. (#13152)
* "Grundstreg" vil ikke længere blive oplyst, hvis du bruger `NVDA+F` til at få oplyst tekstformatering. (#11815)
* "Aktivér lang beskrivelse" har ikke længere et tastetryk tildelt som standard. (#13380)
* Kommandoen til at få et sammendrag af annoteringsdetaljer har nu fået et tastetryk tildelt (`NVDA+d`). (#13380)
* NVDA skal genstartes efter MathPlayer er blevet installeret. (#13486)

### Fejlrettelser

* Ruden med udklipsholder skulle ikke længere tage fokus, når du åbner nogle Office-programmer. (#12736)
* På systemer, hvor brugeren har valgt at ændre den primære museknap fra venstre til højre, vil NVDA ikke længere vise en kontekstmenu ved brug af webbrowsere. (#12642)
* Når du flytter læsemarkøren forbi en tekstkontrol, vil NVDA nu korrekt oplyse "bund" i flere tilfælde, når du er i Microsoft Word med UIA aktiveret. (#12808)
* NVDA kan nu oplyse navne og versionsnumre på programmer placeret i system32, når NVDA afvikles på en 64-bit version af Windows. (#12943)
* Forbedrede læseevnen i terminalprogrammer. (#12974)
  * Bemærk, at i nogle situationer, når du indsætter eller sletter tegn midt på en linje, vil tegnene efter systemmarkøren muligvis blive læst op.
* Microsoft Word med UIA: Når du benytter bogstavnavigering til at flytte mellem overskrifter i gennemsynstilstand, vil NVDA ikke længere sidde fast ved den sidste overskrift i et dokument. Denne overskrift vil heller ikke fejlagtigt blive vist to gange, når du benytter elementlisten. (#9540)
* NVDA kan nu oplyse statuslinjen for Stifinder i Windows 8 og nyere ved brug af kommandoen NVDA+end (desktop) / NVDA+skift+end (laptop). (#12845)
* Indgående meddelelser i Skype for Business bliver nu oplyst igen som forventet. (#9295)
* NVDA kan nu igen korrekt dæmpe lyden, når du bruger talesyntesen SAPI5 i Windows 11. (#12913)
* NVDA vil nu oplyse navne for emner i historik og hukommelse, når du bruger lommeregneren i Windows 10. (#11858)
* Kommandoer til at rulle og hurtigt flytte markøren virker nu igen med enheder, der bruger HID Braille. (#13228)
* Windows 11 Mail: Når du læser en mail og flytter fokus til eksempelvis en anden app, vil NVDA ikke længere sidde fast ved den aktuelle linje af meddelelsen, når du vender tilbage. (#13050)
* HID Braille: Chord-kommandoer (f.eks. `mellemrum+punkt4`) kan nu udføres fra punktdisplays. (#13326)
* Rettede et problem, hvor flere indstillingsdialoger kunne forblive åbne samtidigt. (#12818)
* Rettede et problem, hvor nogle Focus Blue punktdisplays ikke længere fungerede, når man bragte computeren ud af slumringstilstand. (#9830)
* "Grundstreg" rapporteres ikke længere konstant, når indstillingen "Oplys hævet og sænket skrift" er aktiv. (#11078)
* NVDA vil ikke længere forhindre valg af emoji i Windows 11, når du bruger emoji-panelet. (#13104)
* Forhindrede en fejl, der gjorde, at NVDA oplyste tekst to gange med Windows-konsol og terminalen. (#13261)
* Rettede et problem, der forhindrede, at listeemner kunne oplæses i 64-bit-applikationer, såsom REAPER. (#8175)
* NVDA vil nu automatisk skifte til fokustilstand i filhentning i Microsoft Edge, når listeemnet tilhørende den seneste overførsel har fokus. (#13221)
* NVDA får nu ikke længere 64-bit versioner af Notepad++ 8.3 og nyere til at gå ned. (#13311)
* Adobe Reader går ikke længere ned under opstart, hvis "Beskyttet tilstand" er aktiveret. (#11568)
* Rettede en fejl, der forårsagede, at NVDA gik ned, hvis man valgte Papenmeier punktdisplay. (#13348)
* I Microsoft Word med UIA: Sidetal og anden formatering annonceres ikke længere uhensigtsmæssigt, når du flytter fra en tom tabelcelle til en celle med indhold eller fra slutningen af dokumentet til eksisterende indhold. (#13458, #13459)
* NVDA vil ikke længere undgå at oplæse sidens titel og påbegynde automatisk oplæsning af siden, når en side indlæses i Google Chrome 100. (#13571)
* NVDA går ikke længere ned, hvis du nulstiller til fabriksindstillinger, og funktionen "Sig funktionstaster" er aktiveret. (#13634)

### Ændringer for udviklere

* Bemærk: Dette er en tilføjelses-API-udgivelse, der bryder kompatibilitet. Tilføjelser skal gen-testes og deres manifest opdateres.
* Selvom NVDA stadig kræver Visual Studio 2019, bør builds ikke længere fejle, hvis en nyere version af Visual Studio (f.eks. 2022) er installeret ved siden af 2019. (#13033, #13387)
* Opdateret SCons til version 4.3.0. (#13033)
* Opdateret py2exe til version 0.11.1.0. (#13510)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` er blevet fjernet. Brug `apiLevel` i stedet. (#12955, #12660)
* `TVItemStruct` er blevet fjernet fra `sysTreeView32`. (#12935)
* `MessageItem` er blevet fjernet fra Outlook appModule. (#12935)
* `audioDucking.AUDIODUCKINGMODE_*` konstanter er nu en `DisplayStringIntEnum`. (#12926)
  * Anvendelser skal erstattes med `AudioDuckingMode.*`.
  * Anvendelser af `audioDucking.audioDuckingModes` skal erstattes med `AudioDuckingMode.*.displayString`.
* `audioDucking.ANRUS_ducking_*` konstanter skal erstattes med `ANRUSDucking.*`. (#12926)
* `synthDrivers.sapi5` ændringer (#12927):
  * `SPAS_*` anvendelser skal erstattes med `SPAudioState.*`.
  * `constants.SVSF*` anvendelser skal erstattes med `SpeechVoiceSpeakFlags.*`.
    * Bemærk: `SVSFlagsAsync` skal erstattes med `SpeechVoiceSpeakFlags.Async` og ikke `SpeechVoiceSpeakFlags.lagsAsync`.
  * `constants.SVE*` anvendelser skal erstattes med `SpeechVoiceEvents.*`.
* `soffice` appModule har fjernet følgende klasser og funktioner: `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
* `core.CallCancelled` er nu `exceptions.CallCancelled`. (#12940)
* Alle konstanter, der starter med RPC fra `core` og `logHandler`, er blevet flyttet til `RPCConstants.RPC` enum. (#12940)
* Det anbefales, at `mouseHandler.doPrimaryClick` og `mouseHandler.doSecondaryClick` funktionerne bruges til at klikke med musen for at udføre en logisk handling, såsom aktivering (primær) eller sekundær (vise kontekstmenu),
i stedet for at bruge `executeMouseEvent` og specificere venstre eller højre museknap.
Dette sikrer, at koden vil respektere Windows-brugerindstillingen for at bytte primær museknap. (#12642)
* `config.getSystemConfigPath` er blevet fjernet - der er ingen erstatning. (#12943)
* `shlobj.SHGetFolderPath` er blevet fjernet - brug `shlobj.SHGetKnownFolderPath` i stedet. (#12943)
* `shlobj` konstanter er blevet fjernet. En ny enum, `shlobj.FolderId`, er blevet oprettet til brug med `SHGetKnownFolderPath`. (#12943)
* `diffHandler.get_dmp_algo` og `diffHandler.get_difflib_algo` er blevet erstattet med `diffHandler.prefer_dmp` og `diffHandler.prefer_difflib` henholdsvis. (#12974)
* `languageHandler.curLang` er blevet fjernet - for at få det aktuelle NVDA-sprog skal du bruge `languageHandler.getLanguage()`. (#13082)
* En `getStatusBarText` metode kan implementeres i et appModule for at tilpasse måden, NVDA henter teksten fra statuslinjen. (#12845)
* `globalVars.appArgsExtra` er blevet fjernet. (#13087)
  * Hvis din tilføjelse har brug for at behandle yderligere kommandolinjeparametre, se dokumentationen for `addonHandler.isCLIParamKnown` og udviklerguiden for detaljer.
* UIA handler-modulet og andre UIA supportmoduler er nu en del af en UIAHandler-pakke. (#10916)
  * `UIAUtils` er nu `UIAHandler.utils`.
  * `UIABrowseMode` er nu `UIAHandler.browseMode`.
  * `_UIAConstants` er nu `UIAHandler.constants`.
  * `_UIACustomProps` er nu `UIAHandler.customProps`.
  * `_UIACustomAnnotations` er nu `UIAHandler.customAnnotations`.
* `IAccessibleHandler` `IA2_RELATION_*` konstanter er blevet erstattet med `IAccessibleHandler.RelationType` enum. (#13096)
  * Fjernet `IA2_RELATION_FLOWS_FROM`.
  * Fjernet `IA2_RELATION_FLOWS_TO`.
  * Fjernet `IA2_RELATION_CONTAINING_DOCUMENT`.
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` og `LOCALE_SLANGDISPLAYNAME` er fjernet fra `languageHandler` - brug medlemmer af `languageHandler.LOCALE` i stedet. (#12753)
* Skiftede fra Minhook til Microsoft Detours som en hooking-bibliotek til NVDA. Hooking med dette bibliotek bruges primært til at understøtte displaymodellen. (#12964)
* `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` er fjernet. (#13211)
* SCons advarer nu om at bygge med et antal jobs, der er lig med antallet af logiske processorer i systemet.
Dette kan dramatisk reducere byggetider på systemer med flere kerner. (#13226, #13371)
* `characterProcessing.SYMLVL_*` konstanter er fjernet - brug `characterProcessing.SymbolLevel.*` i stedet. (#13248)
* Funktionerne `loadState` og `saveState` er blevet fjernet fra addonHandler - brug `addonHandler.state.load` og `addonHandler.state.save` i stedet. (#13245)
* Flyttede UWP/OneCore-interaktionslaget for NVDAHelper [fra C++/CX til C++/Winrt](https://docs.microsoft.com/en-us/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx). (#10662)
* Det er nu obligatorisk at subclassere `DictionaryDialog` for at bruge det. (#13268)
* `config.RUN_REGKEY`, `config.NVDA_REGKEY` er udfaset, brug `config.RegistryKey.RUN`, `config.RegistryKey.NVDA` i stedet. Disse vil blive fjernet i 2023. (#13242)
* `easeOfAccess.ROOT_KEY`, `easeOfAccess.APP_KEY_PATH` er udfaset, brug `easeOfAccess.RegistryKey.ROOT`, `easeOfAccess.RegistryKey.APP` i stedet. Disse vil blive fjernet i 2023. (#13242)
* `easeOfAccess.APP_KEY_NAME` er under udfasning og fjernes i 2023. (#13242)
* `DictionaryDialog` og `DictionaryEntryDialog` er flyttet fra `gui.settingsDialogs` til `gui.speechDict`. (#13294)
* IAccessible2 relationer vises nu i udviklerinfo for IAccessible2 objekter. (#13315)
* `languageHandler.windowsPrimaryLCIDsToLocaleNames` er blevet fjernet, brug i stedet `languageHandler.windowsLCIDToLocaleName` eller `winKernel.LCIDToLocaleName`. (#13342)
* `UIAAutomationId` egenskaben for UIA-objekter bør foretrækkes over `cachedAutomationId`. (#13125, #11447)
  * `cachedAutomationId` kan bruges, hvis det er hentet direkte fra elementet.
* `NVDAObjects.window.scintilla.CharacterRangeStruct` er flyttet til `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct`. (#13364)
* Den boolske `gui.isInMessageBox` er fjernet, brug i stedet funktionen `gui.message.isModalMessageBoxActive`. (#12984, #13376)
* `controlTypes` er blevet opdelt i forskellige undermoduler. (#12510, #13588)
  * `ROLE_*` og `STATE_*` er blevet erstattet med `Role.*` og `State.*`.
  * Selvom de stadig er tilgængelige, skal følgende betragtes som udfaset:
    * `ROLE_*` og `STATE_*`, brug i stedet `Role.*` og `State.*`.
    * `roleLabels`, `stateLabels` og `negativeStateLabels`, anvendelser som `roleLabels[ROLE_*]` skal erstattes med deres tilsvarende `Role.*.displayString` eller `State.*.negativeDisplayString`.
    * `processPositiveStates` og `processNegativeStates` skal bruge `processAndLabelStates` i stedet.
* Excel-celletilstands-konstanter (`NVSTATE_*`) er nu værdier i `NvCellState` enum, spejlet i `NvCellState` enum i `NVDAObjects/window/excel.py` og mappet til `controlTypes.State` via _nvCellStatesToStates. (#13465)
* `EXCEL_CELLINFO` strukturmedlem `state` er nu `nvCellStates`.
* `mathPres.ensureInit` er blevet fjernet, MathPlayer initialiseres nu, når NVDA starter. (#13486)

## 2021.3.5

Dette er en mindre udgivelse for at rette et sikkerhedsproblem.
Venligst rapporter sikkerhedsproblemer ansvarligt til <info@nvaccess.org>.

### Sikkerhedsrettelser

* Adresserede sikkerhedsrådgivning `GHSA-xc5m-v23f-pgr7`.
  * Dialogboksen til udtale af symboler er nu deaktiveret i sikker tilstand.

## 2021.3.4

Dette er en mindre udgivelse for at rette flere rejste sikkerhedsproblemer.
Venligst rapporter sikkerhedsproblemer ansvarligt til <info@nvaccess.org>.

### Sikkerhedsrettelser

* Adresserede sikkerhedsrådgivning `GHSA-354r-wr4v-cx28`. (#13488)
  * Fjernede muligheden for at starte NVDA med debug-logging aktiveret, når NVDA kører i sikker tilstand.
  * Fjernede muligheden for at opdatere NVDA, når NVDA kører i sikker tilstand.
* Adresserede sikkerhedsrådgivning `GHSA-wg65-7r23-h6p9`. (#13489)
  * Fjernede muligheden for at åbne dialogboksen til kommandoer i sikker tilstand.
  * Fjernede muligheden for at åbne standard-, midlertidige- og taledialoger i sikker tilstand.
* Adresserede sikkerhedsrådgivning `GHSA-mvc8-5rv9-w3hx`. (#13487)
  * wx GUI-inspektionsværktøjet er nu deaktiveret i sikker tilstand.

## 2021.3.3

Denne udgivelse er identisk med 2021.3.2.
Der var en fejl i NVDA 2021.3.2, hvor det fejlagtigt identificerede sig selv som 2021.3.1.
Denne udgivelse identificerer sig korrekt som 2021.3.3.

## 2021.3.2

Dette er en mindre udgivelse for at rette flere rejste sikkerhedsproblemer.
Venligst rapporter sikkerhedsproblemer ansvarligt til <info@nvaccess.org>.

### Fejlrettelser

* Sikkerhedsrettelse: Forhindrede objekt-navigation uden for låseskærmen på Windows 10 og Windows 11. (#13328)
* Sikkerhedsrettelse: Tilføjelsesmanager-dialogen er nu deaktiveret på sikre skærme. (#13059)
* Sikkerhedsrettelse: NVDA-konteksthjælp er ikke længere tilgængelig på sikre skærme. (#13353)

## 2021.3.1

Dette er en mindre udgivelse for at rette flere problemer i 2021.3.

### Ændringer

* Den nye HID Braille-protokol foretrækkes ikke længere, når en anden punktskriftsdriver kan bruges. (#13153)
* Den nye HID Braille-protokol kan deaktiveres via en indstilling i panelet for avancerede indstillinger. (#13180)

### Fejlrettelser

* Landmark forkortes igen i punktskrift. (#13158)
* Rettede ustabil autodetektion af punktskriftsdisplays for Humanware Brailliant og APH Mantis Q40 punktskriftsdisplays ved brug af Bluetooth. (#13153)

## 2021.3

Denne version af NVDA introducerer HID Braille.
Denne specifikation har til hensigt at standardisere understøttelse for punktdisplay uden behovet for særskilte drivere.
Der er opdateringer til eSpeak-NG, samt LibLouis med nye russiske og Tshivenda punkttabeller.
Der er nu en indstilling i de avancerede indstillinger, der lader dig aktivere en lyd, når fejl i NVDA opstår.
Kommandoen "Sig alt" ruller nu dokumentet i Word, eftersom dokumentet læses op, således den nuværende position i dokumentet er synlig på skærmen.
Der er mange forbedringer til Office, når man bruger UIA.
En UIA-rettelse er, at NVDA nu ignorerer layouttabeller i Outlook, når man læser meddelelser.

Vigtige bemærkninger

På grund af en opdatering til vores sikkerhedscertifikat, vil et lille antal af NVDA-brugere modtage en fejlmeddelelse, når de forsøger at opdatere fra NVDA 2021.2.
NVDA vil fremover bede Windows om at opdatere sikkerhedscertifikater, hvilket vil forhindre denne fejl i at opstå i fremtiden.
Brugere, der er påvirkede af denne fejl, skal hente opdateringen manuelt.

### Nye funktioner

* Tilføjet en kommando, der lader dig bestemme, hvordan typografier for cellekanter skal oplyses. (#10408)
* Tilføjet understøttelse for den nye HID Braille-specifikation, der har til hensigt at standardisere understøttelsen for punktdisplays. (#12523)
  * Enheder, der understøtter denne standard, vil automatisk blive tilkoblet NVDA.
  * For tekniske detaljer om NVDAs implementering af denne standard, læs [https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md](https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md)
* Tilføjet understøttelse for VisioBraille Vario 4 Braille Device. (#12607)
* En lyd, når fejl opstår i NVDA, kan aktiveres under NVDAs avancerede indstillinger. (#12672)
* NVDA vil nu oplyse antallet af forslag under en søgning i Windows 10 og nyere, når du bruger apps som Indstillinger eller Microsoft Store. (#7330, #12758, #12790)
* Tabelnavigation understøttes nu i gitterkontroller oprettet af Out-GridView cmdlet i PowerShell. (#12928)

### Ændringer

* eSpeak-ng er opdateret til 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44`. (#12665)
* NVDA vil automatisk benytte eSpeak-NG, hvis Windows OneCore ikke understøtter det foretrukne sprog. (#10451)
* Hvis Windows OneCore konsekvent fejler, vil NVDA bruge eSpeak-NG. (#11544)
* Når du læser statuslinjen med `NVDA+end`, vil læsemarkøren ikke længere flytte dertil automatisk.
Hvis du har brug for denne funktion, skal du tildele en kommando under "Håndter kommandoer" under kategorien "Objektnavigation". (#8600)
* Når du åbner en indstillingsdialog i NVDA, der allerede er åbnet, vil NVDA ikke længere melde fejl. (#5383)
* Opdaterede LibLouis punktoversættelse til [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * Nye punkttabeller: Russisk niveau 1, Tshivenda niveau 1, Tshivenda niveau 2
* I stedet for "markeret indhold" eller "mrkt", vil "fremhævet" eller "frhv" henholdsvis blive benyttet for tale og punktskrift. (#12892)
* NVDA vil ikke længere forsøge at afslutte, hvis en dialog afventer en påkrævet handling (f.eks. bekræft/annuller). (#12984)

### Fejlrettelser

* Sporingen af funktionstaster (såsom ctrl og insert) er mere robust, når watchdog gendannes. (#12609)
* Det er nu igen muligt at søge efter opdateringer på bestemte systemer (f.eks. rene Windows-installationer). (#12729)
* NVDA annoncerer nu korrekt blanke tabelceller i Microsoft Word, når UI Automation benyttes. (#11043)
* Escape-tasten vil nu blive sendt direkte igennem til ARIA-gitterkontrolelementer, når du befinder dig i en datacelle i et ARIA-gitter på internettet. (#12413)
* Når du læser en kolonneoverskrift i en tabel i Chrome, vil denne ikke længere blive oplyst to gange. (#10840)
* NVDA rapporterer ikke længere en numerisk værdi for UIA-skydere, der har en tekstværdi defineret. (UIA ValuePattern foretrækkes nu i stedet for RangeValuePattern). (#12724)
* NVDA behandler ikke længere UIA-skydere, som om de altid er angivet i procenter.
* Rapportering af placeringen af en celle i Microsoft Excel, når UI Automation benyttes fungerer nu igen korrekt i Windows 11. (#12782)
* NVDA vil ikke længere forsøge at indstille Python til en ugyldig lokalisering. (#12753)
* Hvis en deaktiveret tilføjelse fjernes og bagefter geninstalleres, vil den blive genaktiveret. (#12792)
* Rettede fejl med opdatering og fjernelse af tilføjelser, når mappen for den pågældende tilføjelse er blevet omdøbt eller har åbne filer. (#12792, #12629)
* NVDA vil ikke længere overflødigt oplyse, når blot én celle vælges, hvis regneark benyttes med UI Automation. (#12530)
* Mere tekst i dialoger læses nu i LibreOffice Writer, såsom den tekst, der vises i dialoger, der beder dig om at bekræfte din handling. (#11687)
* Læsning/navigering med gennemsynstilstand i Microsoft Word via UI Automation sikrer nu, at dokumentet altid rulles, så den aktuelle position i gennemsynstilstand er synlig, og at systemmarkørens position i fokustilstand korrekt afspejler placeringen i gennemsynstilstand. (#9611)
* Når kommandoen "Sig alt" udføres i Microsoft Word med UI Automation aktiveret, vil dokumentet automatisk rulle i takt med, at systemmarkøren bevæger sig. (#9611)
* Når du læser meddelelser i Outlook og har UI Automation slået til, vil bestemte tabeller nu opfattes som layouttabeller af NVDA, hvilket betyder, at disse ikke længere vil blive vist som standard under læsning. (#11430)
* En sjælden fejl, der kunne opstå, når man skifter lydkort, er rettet. (#12620)
* Indtastning med litterære punkttabeller burde fungere mere pålideligt i redigeringsfelter. (#12667)
* Når du navigerer Windows-kalenderen fra systembakken, vil NVDA nu korrekt oplyse hele ugen. (#12757)
* Når du bruger en kinesisk indtastningsmetode såsom Taiwan - Microsoft Quick i Microsoft Word, vil punktdisplays ikke længere hoppe tilbage til den oprindelige position for systemmarkøren, når du panorerer frem og tilbage. (#12855)
* Når du navigerer dokumenter i Microsoft Word med UI Automation aktiveret, vil du nu igen være i stand til at navigere mellem sætninger med Alt+pil op og Alt+pil ned. (#9254)
* Når du bruger Microsoft Word med UI Automation aktiveret, vil indrykning af afsnit nu igen blive oplyst korrekt. (#12899)
* Når du bruger Microsoft Word med UIA, vil kommandoer såsom den til at ændre indstillingen for sporing af ændringer, samt andre lokaliserede kommandoer blive oplyst. (#12904)
* Rettede fejl med duplikerede meldinger på punkt og via tale, når "beskrivelse" matcher med "indhold" eller "navn". (#12888)
* Lyden for stavefejl under skrivning afspilles nu mere konsekvent, når du har UI Automation aktiveret i Microsoft Word. (#12161)
* NVDA vil ikke længere konstant annoncere "rude", når du trykker Alt+Tab for at skifte mellem programmer i Windows 11. (#12648)
* Den nye moderne kommentarrude i siden i Microsoft Word vil nu være tilgængelig, når UI Automation ikke er slået til. Tryk Alt+F12 for at flytte mellem ruden og dokumentet. (#12982)

### Ændringer for udviklere

* Bygning af NVDA kræver nu Visual Studio 2019 version 16.10.4 eller senere.
For at matche produktionsmiljøet skal du opdatere Visual Studio for at holde det synkroniseret med [den nuværende version, AppVeyor bruger](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019). (#12728)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` er planlagt til fjernelse i 2022.1. (#12660)
  * Brug i stedet `apiLevel` (se kommentarerne ved `_UIAConstants.WinConsoleAPILevel` for detaljer).
* Gennemsigtighed af baggrundsfarver for tekst hentet fra GDI-applikationer (via visningsmodellen) eksponeres nu til tilføjelser eller app-moduler. (#12658)
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` og `LOCALE_SLANGDISPLAYNAME` er flyttet til `LOCALE` enum i languageHandler.
De er stadig tilgængelige på modulniveau, men er forældede og fjernes i NVDA 2022.1. (#12753)
* Anvendelsen af funktionerne `addonHandler.loadState` og `addonHandler.saveState` bør erstattes med deres ækvivalenter `addonHandler.state.save` og `addonHandler.state.load` inden 2022.1. (#12792)
* Punktskriftsoutput kan nu kontrolleres i systemtests. (#12917)

## 2021.2

Denne udgave indeholder foreløbig understøttelse af Windows 11.
Selvom Windows 11 ikke er udgivet endnu, har man testet med forhåndsversioner af Windows 11.
Versionen af NVDA indeholder også en vigtig rettelse til skærmtæppefunktionen (læs vigtige bemærkninger).
Værktøjet til løsning af almindelige problemer kan nu også løse yderligere problemer med NVDA.
Der er opdateringer til talesyntesen eSpeak-NG og punktoversættelsen LibLouis.
Der er desuden mange fejlrettelser, bl.a. til Windows-terminalprogrammer, emoji-panelet, udklipshistorik og lommeregner, samt punktskriftsunderstøttelse i NVDA.

### Vigtige bemærkninger

Pga. ændringer i Windows Magnification API, var det nødvendigt at opdatere skærmtæppefunktionen for at understøtte de nyeste versioner af Windows.
Benyt NVDA 2021.2 til at aktivere skærmtæppet med Windows 10 21H2 (10.0.19044) eller nyere.
Dette gælder også Windows 10 Insiders og Windows 11.
Af sikkerhedsmæssige årsager kan det være en god idé at få bekræftet af en seende person, hvorvidt skærmtæppefunktionen er aktiv og gør skærmen fuldstændigt sort, når denne benyttes med nyere versioner af Windows.

### Nye funktioner

* Eksperimentel understøttelse for ARIA-annotationer:
  * Tilføjet en kommando, der giver en oversigt over detaljerne for et objekt med ARIA-detaljer. (#12364)
  * Tilføjet en indstilling under "Avanceret" i NVDAs indstillinger, der bestemmer om NVDA skal oplyse, når et objekt har yderligere detaljer i gennemsynstilstand. (#12439)
* NVDA vil nu oplyse antallet af søgeforslag i Stifinder i Windows 10 Version 1909 og nyere, samt Windows 11. (#10341, #12628)
* NVDA vil nu oplyse, når du bruger kommandoerne til indrykning og hængende indrykning i Microsoft Word. (#6269)

### Ændringer

* Espeak-ng er opdateret til 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
* NVDA vil annoncere "artikel" efter læsning af indholdet, hvis indstillingen er slået til under "Dokumentformatering" i indstillingspanelet. (#11103)
* Opdaterede LibLouis punktoversættelse til version 3.18.0. (#12526)
  * Nye punkttabeller: Bulgarsk niveau 1, burmesisk niveau 1, burmesisk niveau 2, kasakhisk niveau 1, Khmer niveau 1, nordkurdisk niveau 0, Sepedi niveau 1, Sepedi niveau 2, Sesotho niveau 1, Sesotho niveau 2, Setswana niveau 1, Setswana niveau 2, tatarisk niveau 1, vietnamesisk niveau 0, vietnamesisk niveau 2, sydvietnamesisk niveau 1, Xhosa niveau 1, Xhosa niveau 2, Yakut niveau 1, zulu niveau 1, zulu niveau 2
* Windows 10 Tekstgenkendelse er blevet omdøbt til Windows Tekstgenkendelse. (#12690)

### Fejlrettelser

* NVDA vil nu vise regneudtryk på et punktdisplay i Windows 10 Lommeregner. (#12268)
* I terminalprogrammer i Windows 10 version 1607 og nyere, vil du ikke længere få tegn til højre for markøren oplæst, når du sletter eller indsætter tegn midtpå en linje. (#3200)
  * Diff Match Patch er nu aktiveret som standard. (#12485)
* Punktindtastning virker nu korrekt med følgende punkttabeller med forkortet punktskrift: Arabisk niveau 2, spansk niveau 2, urdu niveau 2, kinesisk (Kina, mandarin) niveau 2. (#12541)
* Værktøjet til løsning af almindelige problemer løser nu endnu flere problemer, særligt med 64-bit varianter af Windows. (#12560)
* Forbedringer til knappehåndtering på Seika-notatapparatet fra Nippon Telesoft. (#12598)
* Forbedring til oplæsning af Emoji-panelet og historikken for udklipsholderen. (#11485)
* Opdaterede de bengalske alfabettegnbeskrivelser. (#12502)
* NVDA afslutter nu på en sikker måde, når en ny proces igangsættes. (#12605)
* Genvalg af Handy Tech driveren til punktdisplays vil ikke længere fejle fra dialogen til valg af punktdisplay. (#12618)
* Windows version 10.0.22000 eller nyere genkendes nu som Windows 11 og ikke Windows 10. (#12626)
* Understøttelse for skærmtæppefunktionen er rettet og testet med Windows versioner op til 10.0.22000. (#12684)
* Hvis ingen søgeresultater vises, når du filtrerer kommandoer, vil dialogen fortsætte med at virke som forventet. (#12673)
* Rettede en fejl, hvor første menupunkt i en undermenu ikke blev oplæst i nogle tilfælde. (#12624)

### Ændringer for udviklere

* `characterProcessing.SYMLVL_*` konstanterne skal udskiftes med deres tilsvarende `SymbolLevel.*` før 2022.1. (#11856, #12636)
* `controlTypes` er blevet opdelt i forskellige undermoduler, og symboler markeret til afskrivning skal udskiftes før 2022.1. (#12510)
  * `ROLE_*` og `STATE_*` konstanterne skal udskiftes med deres tilsvarende `Role.*` og `State.*`.
  * `roleLabels`, `stateLabels` og `negativeStateLabels` er blevet udfaset, og brugen af `roleLabels[ROLE_*]` skal erstattes med deres tilsvarende `Role.*.displayString` eller `State.*.negativeDisplayString`.
  * `processPositiveStates` og `processNegativeStates` er blevet udfaset og vil blive fjernet.
* På Windows 10 Version 1511 og senere (inklusive Insider Preview builds), hentes det nuværende Windows feature update-udgivelsesnavn fra Windows Registry. (#12509)
* Udfaset: `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` vil blive fjernet i 2022.1 og har ingen direkte erstatning. (#12544)

## 2021.1

Denne version af NVDA har eksperimental understøttelse af UIA i Excel og Chromium-baserede browsere.
Der er rettelser for flere sprog og en rettelse, så man kan aktivere links via punkt.
Der er opdateringer til Unicode CLDR, matematiske symboler og LibLouis.
Der er også mange fejlrettelser til Office, Visual Studio samt flere sprog.

Bemærk:

 * Denne opdatering er ikke kompatibel med eksisterende tilføjelser, før disse modtager opdateringer.
 * Denne opdatering understøtter ikke længere Adobe Flash.

### Nye funktioner

* Tidlig understøttelse for UIA i Chromium-baserede browsere som Edge. (#12025)
* Valgfri eksperimental understøttelse for UI Automation i Microsoft Excel. Anbefales kun for Microsoft Excel build 16.0.13522.10000 eller nyere. (#12210)
* Det er nu nemmere at navigere i output fra NVDAs Python-konsol. (#9784)
  * alt+pil op eller ned springer til næste resultat for output (tilføj shift-tasten for at vælge).
  * control+l sletter alt output.
* NVDA oplyser nu kategorien tildelt begivenheder i Microsoft Outlook, hvis dette er tilfældet. (#11598)
* Understøttelse for Seika-notatapparat og punktdisplay fra Nippon Telesoft. (#11514)

### Ændringer

* Du kan nu aktivere kontrolelementer via punktdisplay i gennemsynstilstand, når du bruger markørknapperne og trykker på deres typenavn (f.eks. lnk for link). Dette er særligt brugbart, hvis elementet ikke har et navn. (#7447)
* NVDA lader ikke længere brugere udføre tekstgenkendelse, hvis skærmtæppet er slået til. (#11911)
* Opdateret Unicode Common Locale Data Repository (CLDR) til 39.0. (#11943, #12314)
* Tilføjet flere matematiske symboler til symbolordbogen. (#11467)
* Brugervejledningen, filen med ændringer og kommandooversigten har et nyt og opdateret udseende. (#12027)
* "Ikke understøttet" vil nu blive oplyst, når du forsøger at aktivere skærmlayout i programmer, hvor det ikke kan aktiveres, såsom Microsoft Word. (#7297)
* Indstillingen "Forsøg at annullere tale for udløbne fokushændelser" i NVDAs avancerede indstillinger er nu aktiveret som standard. (#10885)
  * Denne indstilling kan stadig deaktiveres ved at indstille den til "Nej".
  * Web-applikationer som Gmail vil ikke længere udtale forældede informationer, hvis du flytter fokus hurtigt.
* Opdaterede LibLouis-punktoversættelse til [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0). (#12137)
  * Nye punkttabeller: Hviderussisk litterær punkt, hviderussisk computer braille, Urdu niveau, Irdu niveau 2.
* Fjernet understøttelse for Adobe flash, da brug af Flash nu aktivt frarådes af Adobe. (#11131)
* NVDA vil nu afslutte, selv hvis andre NVDA-vinduer er åbne. Disse bliver nu også lukket. (#1740)
* Talevisning kan nu lukkes med `Alt+F4` og har nu en knap til at lukke vinduet, hvis du eksempelvis bruger en mus eller andre pegeredskaber. (#12330)
* Punktviseren har nu en knap til at lukke vinduet, for at gøre det tilgængeligt for brugere, der eksempelvis bruger en mus eller andre pegeredskaber. (#12328)
* Genvejstasten til knappen "Aktivér" i elementlisten er blevet fjernet for nogle sprog i NVDA, da den var i konflikt med genvejstasten for radioknapper. Du kan stadig aktivere et element blot ved at trykke enter på det. (#6167)

### Fejlrettelser

* Meddelelseslisten i Outlook 2010 kan nu læses igen. (#12241)
* Når du indsætter eller sletter tegn midt på en linje i terminalprogrammer på Windows 10 version 1607 og nyere, bliver tegnene til højre for markøren ikke længere oplæst. (#3200)
  * Denne eksperimentelle løsning skal aktiveres i NVDAs avancerede indstillinger ved at ændre diff-algoritmen til Diff Match Patch.
* I MS Outlook, upassende afstandsrapportering når shift+tab anvendes fra meddelelsesfeltet til emnefeltet burde ikke længere forekomme. (#10254)
* NVDAs Python-konsol understøtter nu indrykning med tab på en inputlinje, der ikke er tom, samt understøttelse for tab-fuldførelse midt på en linje. (#11532)
* Formateringsoplysninger og andre meddelelser, der vises i gennemsynstilstand, vil ikke længere vise et uventet antal af blanke linjer, når skærmlayout er slået fra. (#12004)
* Det er nu muligt at læse kommentarer i Microsoft Word med UIA aktiveret. (#9285)
* Ydelsesevnen ved brug af Visual Studio er forbedret. (#12171)
* Rettet nogle grafiske fejl, såsom manglende visuelle elementer, når du bruger NVDA med et layout, hvor teksten er fra højre mod venstre. (#8859)
* NVDA tager nu udgangspunkt i GUI-layoutretningen baseret på NVDAs eget sprog og ikke systemsproget. (#638)
  * Kendt problem for sprog, hvor teksten er fra højre mod venstre: Højre kant af grupperinger bliver ofte beskåret og overlappet med labels/kontrolelementer. (#12181)
* Python-lokaliseringen er indstillet til at passe med sproget valgt i indstillinger. Dette vil være tilfældet, når standardsproget benyttes. (#12214)
* TextInfo.getTextInChunks fryser ikke længere, når denne kaldes på rich edit kontrolelementer, såsom den brugt i NVDAs logviser. (#11613)
* Det er endnu en gang muligt at bruge NVDA på sprog, der indeholder understreger i det lokale navn som de_CH på Windows 10 1803 og 1809. (#12250)
* I WordPad, fungerer konfigurationen af hævet/sænket skrift nu som forventet. (#12262)
* NVDA undlader ikke længere at annoncere det nyligt fokuserede indhold på en webside, hvis det gamle fokus forsvinder og erstattes af det nye fokus ved samme position. (#12147)
* Formateringsoplysninger som gennemstregning, hævet og sænket skrift for hele Excel-celler rapporteres nu, hvis den tilsvarende mulighed er aktiveret. (#12264)
* Rettet en fejl ved kopiering af konfigurationen under en installation igangsat af en flytbar kopi, hvis mappen for standardkonfigurationen er tom. (#12071, #12205)
* Rettet forkerte meddelelse af nogle bogstaver med accenter eller diakritiske tegn, når indstillingen "sig stort før store bogstaver" er markeret. (#11948)
* Rettet problem med ændring af toneleje i Microsoft SAPI4 talesyntese. (#12311)
* NVDA Installer vil nu korrekt benytte `--minimal` kommandolinjeparameteren og afspiller ikke opstartslyden, hvilket er samme adfærd som en installeret eller flytbar kopi af NVDA. (#12289)
* Tabelkommandoen til at springe til tabeller vil nu inkludere layouttabeller i Microsoft Word og Outlook, hvis disse er slået til under NVDAs indstillinger for gennemsynstilstand. (#11899)
* NVDA vil ikke længere annoncere "↑↑↑" for emoji på bestemte sprog. (#11963)
* Espeak understøtter nu kantonesisk og mandarin igen. (#10418)
* Tekstfelter som adressefeltet vil nu blive oplyst i den nye Chromium-baseret Microsoft Edge, når disse er tomme. (#12474)
* Rettet fejl med Seika Braille driver. (#10787)

### Ændringer for Udviklere

* Bemærk: dette er en Add-on API-inkompatibel opdatering. Tilføjelser skal gen-testes og deres manifest opdateres.
* NVDAs build-system henter nu alle Python-afhængigheder med pip og gemmer dem i et Python-virtuelt miljø. Dette sker nu gennemsigtigt.
  * For at bygge NVDA, skal SCons fortsat bruges som normalt. F.eks. ved at afvikle scons.bat i roden af repositoriet. Det er ikke længere understøttet at køre `py -m SCons`, og `scons.py` er også blevet fjernet.
  * For at køre NVDA fra kilden, skal udvikleren nu bruge `runnvda.bat` i roden af repositoriet, i stedet for direkte at køre `source/nvda.pyw`. Hvis du forsøger at køre `source/nvda.pyw`, vil en beskedboks advare dig om, at dette ikke længere er understøttet.
  * For at udføre enhedstest, kør `rununittests.bat [<ekstra unittest discover muligheder>]`
  * For at udføre systemtests: kør `runsystemtests.bat [<ekstra robot muligheder>]`
  * For at udføre linting, kør `runlint.bat <base branch>`
  * Se readme.md for yderligere detaljer.
* Følgende Python-afhængigheder er også blevet opgraderet:
  * comtypes opdateret til 1.1.8.
  * pySerial opdateret til 3.5.
  * wxPython opdateret til 4.1.1.
  * Py2exe opdateret til 0.10.1.0.
* `LiveText._getTextLines` er blevet fjernet. (#11639)
  * I stedet, overskriv `_getText`, som returnerer en streng af al tekst i objektet.
* `LiveText`-objekter kan nu beregne differenser efter tegn. (#11639)
  * For at ændre differensopførsel for nogle objekter, overskriv `diffAlgo`-egenskaben (se docstring for detaljer).
* Når et script defineres med script-dekoratoren, kan det boolske argument 'allowInSleepMode' specificeres for at kontrollere, om en script er tilgængelig i dvaletilstand eller ej. (#11979)
* Følgende funktioner er fjernet fra config-modulet. (#11935)
  * canStartOnSecureScreens - brug config.isInstalledCopy i stedet.
  * hasUiAccess og execElevated - brug dem fra systemUtils-modulet.
  * getConfigDirs - brug globalVars.appArgs.configPath i stedet.
* Modulniveau-REASON_*-konstanter er fjernet fra controlTypes - brug controlTypes.OutputReason i stedet. (#11969)
* REASON_QUICKNAV er blevet fjernet fra browseMode - brug controlTypes.OutputReason.QUICKNAV i stedet. (#11969)
* `NVDAObject` (og derivater) egenskaben `isCurrent` returnerer nu strengt Enum-klassen `controlTypes.IsCurrent`. (#11782)
  * `isCurrent` er ikke længere valgfri og returnerer dermed ikke længere None.
    * Når et objekt ikke er aktuelt, returneres `controlTypes.IsCurrent.NO`.
* `controlTypes.isCurrentLabels`-kortlægningen er fjernet. (#11782)
  * Brug i stedet `displayString`-egenskaben på en `controlTypes.IsCurrent` enum-værdi.
    * For eksempel: `controlTypes.IsCurrent.YES.displayString`.
* `winKernel.GetTimeFormat` er blevet fjernet - brug `winKernel.GetTimeFormatEx` i stedet. (#12139)
* `winKernel.GetDateFormat` er blevet fjernet - brug `winKernel.GetDateFormatEx` i stedet. (#12139)
* `gui.DriverSettingsMixin` er blevet fjernet - brug `gui.AutoSettingsMixin`. (#12144)
* `speech.getSpeechForSpelling` er blevet fjernet - brug `speech.getSpellingSpeech`. (#12145)
* Kommandoer kan ikke længere importeres direkte fra speech som `import speech; speech.ExampleCommand()` eller `import speech.manager; speech.manager.ExampleCommand()` - brug `from speech.commands import ExampleCommand` i stedet. (#12126)
* `speakTextInfo` sender ikke længere tale gennem `speakWithoutPauses`, hvis årsagen er `SAYALL`, da `SayAllHandler` nu gør dette manuelt. (#12150)
* `synthDriverHandler`-modulet bliver ikke længere importeret med stjerne i `globalCommands` og `gui.settingsDialogs` - brug `from synthDriverHandler import synthFunctionExample` i stedet. (#12172)
* `ROLE_EQUATION` er blevet fjernet fra controlTypes - brug `ROLE_MATH` i stedet. (#12164)
* `autoSettingsUtils.driverSetting`-klasserne er fjernet fra `driverHandler` - brug dem fra `autoSettingsUtils.driverSetting`. (#12168)
* `autoSettingsUtils.utils`-klasserne er fjernet fra `driverHandler` - brug dem fra `autoSettingsUtils.utils`. (#12168)
* Understøttelse af `TextInfo`-objekter, som ikke arver fra `contentRecog.BaseContentRecogTextInfo`, er fjernet. (#12157)
* `speech.speakWithoutPauses` er blevet fjernet - brug `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses` i stedet. (#12195, #12251)
* `speech.re_last_pause` er blevet fjernet - brug `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause` i stedet. (#12195, #12251)
* `WelcomeDialog`, `LauncherDialog` og `AskAllowUsageStatsDialog` er blevet flyttet til `gui.startupDialogs`. (#12105)
* `getDocFilePath` er blevet flyttet fra `gui` til `documentationUtils`-modulet. (#12105)
* gui.accPropServer-modulet såvel som klasserne AccPropertyOverride og ListCtrlAccPropServer fra gui.nvdaControls-modulet er fjernet til fordel for WX-indbygget understøttelse af at tilsidesætte tilgængelighedsegenskaber. Når du forbedrer tilgængeligheden af WX-kontroller, implementer wx.Accessible i stedet. (#12215)
* Filer i `source/comInterfaces/` er nu lettere for udviklingsværktøjer såsom IDE'er at benytte. (#12201)
* Praktiske metoder og typer er tilføjet til winVersion-modulet for at hente og sammenligne Windows-versioner. (#11909)
  * Funktionen isWin10 i winVersion-modulet er fjernet.
  * Klassen winVersion.WinVersion er en sammenlignelig og ordnet type, der indkapsler information om Windows-versioner.
  * Funktionen winVersion.getWinVer er tilføjet for at hente en winVersion.WinVersion, der repræsenterer det aktuelt kørende OS.
  * Praktiske konstanter er tilføjet for kendte Windows-versioner, se winVersion.WIN*-konstanter.
* IAccessibleHandler importerer ikke længere alt fra IAccessible og IA2 COM-interfaces med stjerne - brug dem direkte. (#12232)
* TextInfo-objekter har nu start- og slut-egenskaber, som kan sammenlignes matematisk med operatorer som <, <=, ==, !=, >=, >. (#11613)
  * F.eks. ti1.start <= ti2.end
  * Denne anvendelse foretrækkes nu frem for ti1.compareEndPoints(ti2, "startToEnd") <= 0
* TextInfo-start- og slut-egenskaber kan også sættes til hinanden. (#11613)
  * F.eks. ti1.start = ti2.end
  * Denne anvendelse foretrækkes nu frem for ti1.SetEndPoint(ti2, "startToEnd")
* `wx.CENTRE_ON_SCREEN` og `wx.CENTER_ON_SCREEN` er fjernet, brug `self.CentreOnScreen()` i stedet. (#12309)
* `easeOfAccess.isSupported` er blevet fjernet, NVDA understøtter kun Windows-versioner, hvor dette evalueres som `True`. (#12222)
* `sayAllHandler` er blevet flyttet til `speech.sayAll`. (#12251)
  * `speech.sayAll.SayAllHandler` eksponerer funktionerne `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode`.
  * `SayAllHandler.stop` nulstiller også `SayAllHandler`'s `SpeechWithoutPauses`-instans.
  * `CURSOR_REVIEW` og `CURSOR_CARET` er blevet erstattet af `CURSOR.REVIEW` og `CURSOR.CARET`.
* `speech.SpeechWithoutPauses` er blevet flyttet til `speech.speechWithoutPauses.SpeechWithoutPauses`. (#12251)
* `speech.curWordChars` er blevet omdøbt til `speech._curWordChars`. (#12395)
* Følgende er blevet fjernet fra `speech` og kan tilgås gennem `speech.getState()`. Disse er nu skrivebeskyttede værdier. (#12395)
  * speechMode
  * speechMode_beeps_ms
  * beenCanceled
  * isPaused
* For at opdatere `speech.speechMode` brug `speech.setSpeechMode`. (#12395)
* Følgende er blevet flyttet til `speech.SpeechMode`. (#12395)
  * `speech.speechMode_off` bliver til `speech.SpeechMode.off`
  * `speech.speechMode_beeps` bliver til `speech.SpeechMode.beeps`
  * `speech.speechMode_talk` bliver til `speech.SpeechMode.talk`
* `IAccessibleHandler.IAccessibleObjectIdentifierType` er nu `IAccessibleHandler.types.IAccessibleObjectIdentifierType`. (#12367)
* Følgende i `NVDAObjects.UIA.WinConsoleUIA` er blevet ændret (#12094)
  * `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` omdøbt til `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` omdøbt for at starte klassens navn med stort bogstav.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` omdøbt til `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    * Implementeringen håndterer begge slutpunkter, der er inklusive (i textranges), før [microsoft/terminal PR 4018](https://github.com/microsoft/terminal/pull/4018)
    * Workarounds for `expand`, `collapse`, `compareEndPoints`, `setEndPoint`, etc.

## 2020.4

Af væsentlige ændringer i denne udgave af NVDA kan nævnes flere kinesiske inputmetoder, en opdatering til LibLouis og elementlisten (NVDA+F7) virker nu i fokustilstand.
Du kan nu hurtige få vist hjælpen for den NVDA-specifikke dialog du befinder dig i ved at trykke F1.
Forbedringer til regler for udtale af symboler, andre udtaleordbøger, meddelelser på punkt og skimlæsning.
Fejlrettelser og forbedringer for Mail, Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000.
På internettet er der forbedringer til Google Docs og yderligere understøttelse for ARIA.
Mange andre vigtige fejlrettelser og forbedringer.

### Nye funktioner

* Ved et tryk på F1 i en NVDA-specifik dialog, vil det pågældende afsnit i brugervejledningen åbne i din browser. (#7757)
* Understøttelse af autoforslag (IntelliSense) i Microsoft SQL Server Management Studio plus Visual Studio 2017 og nyere. (#7504)
* Udtale af symboler: Understøtter nu grupper af symboler i en kompleks definition af symboler, og understøtter samtidig henvisninger til grupper i en erstatningsregel, hvilket gør værktøjet mere simpelt og mere brugbart. (#11107)
* Du vil nu modtage en fejlmeddelelse, hvis du forsøger at oprette en udtaleregel i en udtaleordbog, hvor det regulære udtryk er ugyldigt. (#11407)
  * Specifikt gælder dette grupper.
* Tilføjet understøttelse for den nye inputmetode for Kinesisk (Traditionelt) Hurtig og Pinyin i Windows 10. (#11562)
* Tab-overskrifter er nu anset for at være formularfelter, når du bruger F til at gå til næste felt. (#10432)
* Tilføjet en kommando til at ændre indstillingen for rapportering af markeret tekst. Der er ingen standardtast tildelt. (#11807)
* Tilføjede –copy-portable-config som kommandolinjeparameter, når du installerer NVDA, hvor installationen ikke kræver input fra brugeren, når installationen er i gang. Dette kopiere konfigurationen fra den flytbare kopi til brugerkontoen. (#9676)
* Musebrugere kan nu flytte til en tilsvarende celle i punktskrift ved at holde musen over det pågældende område på skærmen, når punktskriftsviseren er aktiv. (#11804)
* NVDA vil nu automatisk tilkoble Humanware Brailliant BI 40X og 20X via USB og Bluetooth. (#11819)

### Ændringer

* Opdateret LibLouis punktoversættelse til version 3.16.1:
 * Retter flere nedbrud
 * Tilføjer Bashkir niveau 1 punkttabel
 * Tilføjer Koptisk ottepunkt computer braille
 * Tilføjer tabeller for Russisk Litterær punkt og Litterær punkt (detaljeret)
 * Tilføjet punkttabel for Afrikansk niveau 2
 * Fjernet Russisk niveau 1
* Skimlæsning bliver ikke længere afbrudt, hvis indstillingen er aktiveret og du går til forrige eller næste søgeresultat med NVDAs søgekommandoer i gennemsynstilstand. (#11563)
* Tildelt tasten F3 til mellemrum+punkt148 for HIMS punktdisplays. (#11710)
* Forbedringer til brugeroplevelsen for indstillingerne “Vis beskeder” og “Vis på ubestemt tid” i punktindstillingerne for NVDA. (#11602)
* Elementlisten (NVDA+F7) kan nu benyttes i fokustilstand, når web-browsere og andre applikationer understøtter gennemsynstilstand. (#10453)
* Opdateringer til ARIA Live områder vil ikke blive oplyst, når rapportering af dynamisk indhold er deaktiveret. (#9077)
* NVDA vil nu oplyse, når indhold er kopieret til udklipsholderen. (#6757)
* Den grafiske tabelvisning i Diskhåndtering fungerer nu bedre med NVDA. (#10048)
* Navne på kontrolelementer vil nu forekomme grå (deaktiverede), når den pågældende kontrol ikke kan aktiveres. (#11809)
* Opdaterede CLDR emoji annotation til version 38. (#11817)
* Den indbyggede fremhævelsesfunktion er blevet omdøbt til “Visuel fremhævning”. (#11700)

### Fejlrettelser

* Tekstfelter virker nu igen korrekt med NVDA, når programmet Fast Log Entry benyttes. (#8996)
* NVDA vil nu oplyse den forløbne tid for en afspilning i Foobar2000, hvis ingen faktisk længde er tilgængelig (f.eks. når der afspilles en live stream). (#11337)
* NVDA fungerer nu som forventet, når aria-roledescription bruges på elementer i redigerbart indhold på hjemmesider. (#11607)
* Ordet “Liste” vil ikke længere blivet annonceret, hver gang du navigere mellem linjer i en liste eller i redigerbart indhold i Google Docs med Google Chrome. (#7562)
* Du vil nu få besked, når du piler dig mellem tegn eller ord og du lander på et nyt listeemne på en hjemmeside med redigerbart indhold. (#11569)
* NVDA læser nu den korrekte linje, når markøren placeres på sidste tegn i et link sidst i et listeemne i Google Docs eller andet redigerbart indhold i Google Chrome. (#11606)
* Hvis du åbner startmenuen i Windows 7 fra skrivebordet og derefter vender tilbage til skrivebordet, vil fokus nu korrekt vende tilbage til skrivebordet. (#10567)
* Når indstillingen “Forsøg at annulere udløbne fokushændelser” er aktiveret, vil faner nu igen blive rapporteret korrekt, når der skiftes mellem dem i Firefox. (#11397)
* NVDA har ikke længere problemer med at annoncere et listemne efter du har indtastet et tegn i en liste, når du bruger Ivona stemmerne for SAPI 5. (#11651)
* Gennemsynstilstand kan nu igen benyttes i Windows 10 Mail 16005.13110 og senere. (#11439)
* Når du bruger SAPI5-stemmerne Ivona fra harposoftware.com, vil NVDA nu være i stand til at gemme konfigurationen, skifte talesyntese, og forbliver ikke længere tavs efter genstart. (#11650)
* Det er nu muligt at indtaste tallet 6 fra HIMS punktdisplays med computer braille. (#11710)
* Markante forbedringer i Azure Data Studio. (#11533, #11715)
* Hvis indstillingen “Forsøg at annulere udløbne fokushændelser” er aktiveret, vil titlen på NVDAs søgedialog blive oplyst igen. (#11632)
* NVDA skulle ikke længere fryse, når coputeren vågner og fokus lander i et dokument i Microsoft Edge. (#11576)
* Det er ikke længere nødvendigt at trykke tab eller på anden vis flytte fokus efter du har lukket en kontekstmenu i Microsoft Edge, før gennemsynstilstand vil fungere korrekt. (#11202)
* NVDA vil nu korrekt oplyse elementer i en listevisning i 64-bit-applikationer som Tortoise SVN. (#8175)
* ARIA treegrids opfattes nu korrekt som normale tabeller i både Firefox og Chrome. (#9715)
* NVDA kan nu korrekt søge bagud, hvis du benytter NVDA+Shift+F3 og er i bunden af et dokument. (#11770)
* Et urelateret tastetryk vil ikke længere få et script til at gentage sig, hvis dette udføres mellem to afviklinger af samme script. (#11388)
* Tags “strong” og “emphasis” vil ikke længere blive oplyst i Internet Explorer, hvis indstillingen “Rapportér fremhævelse” i NVDAs indstillinger for dokumentformatering deaktiveres. (#11808)
* Fejlen oplevet af få brugere, hvor NVDA ville fryse i få sekunder i Microsoft Excel, når der piles rundt mellem celler skulle ikke længere forekomme. (#11818)
* NVDA har ikke længere problemer med at læse chats eller teamkanaler pga. en menu, der ikke bliver fokuseret korrekt i Microsoft Teams builds med versioner som 1.3.00.28xxx. (#11821)
* Tekst der både forekommer som en stave- og gramatikfejl vil nu blive oplyst korrekt i Google Chrome. (#11787)
* Hvis man bruger Outlook på fransk, vil genvejstasten til at besvare alle (Ctrl+Shift+R) virke igen. (#11196)
* IntelliSense-værktøjstips i Visual Studio vil kun blive oplyst én gang, når der angives yderligere informationer om et IntelliSense-emne. (#11611)
* NVDA vil ikke længere oplyse fremskridt for en beregning, når NVDA ikke er indstillet til at sige tegn under indtastning i lommeregneren i Windows 10. (#9428)
* NVDA går ikke længere ned, hvis indstillingen “Udvid ord ved markøren” i punktindstillingerne er slået til og punkttabellen er indstillet til Engelsk US Niveau 2. Dette kunne forekomme, hvis du læste f.eks. URL. (#11754)
* Det er nu igen muligt at få formateringsinformationer oplyst ved en celle i Microsoft Excel. (#11914)
* QWERTY-indtastning på Papenmeier-punktdisplays der understøtter denne funktion virker nu igen, og vil ikke længere få NVDA til at fryse tilfældigt. (#11944)
* I Chromium-baserede browsere blev flere tilfælde løst, hvor tabellenavigation ikke virkede, og NVDA ikke oplyste antallet af rækker/kolonner i tabellen. (#12359)

### Ændringer for udviklere

* Systemtests kan nu sende taster ved hjælp af spy.emulateKeyPress, som tager en nøgleidentifikator, der overholder NVDAs egne tastenavne, og som standard også blokerer, indtil handlingen er udført. (#11581)
* NVDA kræver ikke længere, at den aktuelle mappe er NVDA-applikationsmappen for at fungere. (#6491)
* Aria live høflighedsindstilling for liveområder kan nu findes på NVDA-objekter ved hjælp af liveRegionPoliteness-egenskaben. (#11596)
* Det er nu muligt at definere separate gestures for Outlook og Word-dokumenter. (#11196)

## 2020.3

Af væsentlige ændringer i denne udgave af NVDA kan nævnes flere markante forbedringer især til Microsoft Office. Der er nu indstillinger, der lader dig slå understøttelse for berøringsinteraktion til og fra og grafikelementer.
Markeret (fremhævet) indhold kan nu oplyses i browsere, og der er nye tyske punkttabeller.

### Nye funktioner

* Du kan nu slå rapportering af grafik til og fra i NVDAs dokumentformateringsindstillinger. Bemærk, at NVDA fortsat vil oplyse grafikelementer med alternativ tekst. (#4837)
* Du kan nu slå understøttelse for berøringsinteraktion til og fra. Dette gøres under "Berøringsinteraktion" i NVDAs indstillingspanel. Tastaturkommandoen er NVDA+control+alt+t. (#9682)
* Tilføjet nye tyske punkttabeller. (#11268)
* NVDA opfanger nu skrivebeskyttede UIA-kontrolelementer. (#10494)
* Markeret (fremhævet) tekst rapporteres nu både med tale og punktskrift i alle browsere. (#11436)
 * Dette kan slås fra under "Dokumentformatering" med den nye indstilling for markeret tekst.
* Nye emulerede systemtaster kan tildeles under NVDAs dialog til håndtering af kommandoer. (#6060)
  * For at gøre dette, skal du vælge "Tilføj" efter du har valgt kategorien "Emulerede tastaturtryk".
* Handy Tech Active Braille med joystick er nu understøttet. (#11655)
* Indstillingerne "Automatisk fokustilstand ved flytning af systemmarkør" og "Placer automatisk systemfokus på fokuserbare elementer i gennemsynstilstand" er nu kompatible med hinanden. (#11655)

### Ændringer

* Scriptet til rapportering af tekstformatering (NVDA+f) vil nu rapportere tekstformateringen for systemmarkørens aktuelle position i stedet for ved læsemarkøren. For at få oplyst tekstformatering ved læsemarkørens aktuelle position, skal du trykke NVDA+shift+F. (#9505)
* NVDA flytter ikke længere systemfokus til fokuserbare elementer som standard i gennemsynstilstand, hvilket vil forbedre ydeevne og stabilitet. (#11190)
* CLDR opdateret fra version 36.1 til version 37. (#11303)
* Opdaterede eSpeak-NG til 1.51-dev, commit 1fb68ffffea4
* Du kan nu benytte kommandoer til navigering i tabeller, hvis du er i en listboks med flere listelementer der kan markeres, såfremt den pågældende liste har flere kolonner. (#8857)
* Når du skal bekræfte om du vil slette en tilføjelse, vil "Nej" nu være standardknappen. (#10015)
* NVDAs Elementlist i Microsoft Excel vil nu vise formularer i deres lokaliserede format. (#9144)
* NVDA benytter nu den korrekte terminologi i Microsoft Excel. (#11311)
* Når du bruger kommandoen til at flytte læsemarkøren til fokus, vil læsemarkøren nu befinde sig ved den virtuelle markørs aktuelle position. (#9622)
* Informationer oplyst i gennemsynstilstand, eksempelvis tekstformateringsoplysningerne med NVDA+F, vises nu i et større vindue centreret på skærmen. (#9910)

### Fejlrettelser

* NVDA vil nu altid tale, når der navigeres efter ord og man lander på et symbol efterfulgt af et blanktegn uanset tegnsætningsniveau. (#5133)
* Objektbeskrivelser rapporteres nu igen i applikationer, der bruger QT 5.11 eller nyere. (#8604)
* Når et ord slettes med control+delete, vil NVDA ikke længere forblive stille. (#3298, #11029)
  * Ordet til højre for det slettede ord vil blive oplyst.
* Listen over sprog i NVDAs generelle indstillinger er nu sorteret korrekt. (#10348)
* Markant forbedret ydeevne i dialogen til håndtering af kommandoer, når der filtreres. (#10307)
* Du kan nu sende andre Unicode-tegn end U+FFFF fra et punktdisplay. (#10796)
* NVDA vil nu korrekt rapportere indholdet af dialoger, når du skal åbne en fil uden tilknyttet program i Windows 10 Maj 2020 opdateringen. (#11335)
* En ny eksperimentel avanceret indstilling (Aktivér selektiv registrering af hændelser fra UI Automation samt egenskabsændringer) kan forbedre ydeevnen i Microsoft Visual Studio og andre UI Automation-baserede programmer meget markant. (#11077, #11209)
* For markérbare listemner vil status for emnet ikke længere blive annonceret, når det forekommer overflødigt. Hvis gældende, vil "ikke markeret" blive annonceret i stedet. (#8554)
* NVDA vil nu vise Microsoft Sound Mapper, når du vælger lydenhed i dialogen til valg af talesyntese i Windows 10 May Update 2020. (#11349)
* NVDA vil nu korrekt oplyse numre for en nummereret liste i Internet Explorer, hvis listen ikke starter med 1. (#8438)
* NVDA vil nu rapportere "ikke markeret" for alle markérbare kontrolelementer (ikke bare check bokse) der ikke er markerede i Google Chrome. (#11377)
* Det er nu igen muligt at bevæge sig rundt i diverse kontrolelementer, hvis NVDAs sprog er indstillet til aragonsk. (#11384)
* NVDA skulle ikke længere fryse, når man hurtigt piler sig op eller ned i dokumenter, eller indtaster tegn med punktskrift aktiveret. (#11431, #11425, #11414)
* NVDA vil ikke længere tilføje et ikke-eksisterende mellemrum til teksten, når navigatorobjektet kopieres til udklipsholderen. (#11438)
* NVDA aktiverer ikke længere profilen til sig alt, hvis der ikke er noget at læse. (#10899, #9947)
* NVDA er nu i stand til at læse funktionslisten i Internet Information Services (IIS) Manager. (#11468)
* NVDA beholder nu lydenheden åben til bedre modtagelse af lyd på nogle lydkort. (#5172, #10721)
* NVDA vil ikke længere fryse eller afslutte, når man holder Ctrl+Shift+Pil ned nede i Microsoft Word. (#9463)
* Status for mapperne (sammenfoldet eller udvidet) på drive.google.com er nu altid oplyst af NVDA. (#11520)
* NVDA vil automatisk tilkoble punktdisplayet NLS eReader Humanware via Bluetooth da Bluetooth-navnet nu er omdøbt til "NLS eReader Humanware". (#11561)
* Markante forbedringer til ydeevnen, når du bruger Visual Studio Code. (#11533)

### Ændringer for udviklere

* GUI Helper's BoxSizerHelper.addDialogDismissButtons understøtter nu et nyt "separated" keyword argument, til at tilføje en standard horisontal separator til dialoger (undtagen beskeder og enkelt input dialoger). (#6468)
* Yderligere egenskaber blev tilføjet til app-moduler, inklusive sti for den eksekverbare fil (appPath), om det er en Windows Store-app (isWindowsStoreApp), og maskinarkitekturen for appen (appArchitecture). (#7894)
* Det er nu muligt at oprette app-moduler til apps, der er hostet inde i wwahost.exe på Windows 8 og nyere. (#4569)
* Et fragment af loggen kan nu afgrænses og derefter kopieres til udklipsholderen ved at bruge NVDA+control+shift+F1. (#9280)
* NVDA-specifikke objekter, der bliver fundet af Pythons cykliske garbage collector, logges nu, når de bliver slettet af samleren for at hjælpe med at fjerne referenceløkker fra NVDA. (#11499)
 * Størstedelen af NVDAs klasser spores, inklusive NVDAObjects, appModules, GlobalPlugins, SynthDrivers, og TreeInterceptors.
 * En klasse, der skal spores, bør arve fra garbageHandler.TrackedObject.
* Betydelig debug-logning for MSAA-hændelser kan nu aktiveres i NVDAs avancerede indstillinger. (#11521)
* MSAA winEvents for det aktuelt fokuserede objekt bliver ikke længere filtreret fra sammen med andre hændelser, hvis hændelsestællingen for en given tråd overskrides. (#11520)

## 2020.2

Af væsentlige ændringer i denne udgave af NVDA kan nævnes understøttelse af et nyt punktdisplay fra Nattiq, bedre understøttelse af ESET antivirus og Windows Terminal, forbedret ydeevne ved brug af 1Password og forbedringer til talesyntesen Windows OneCore. Desuden er der mange flere fejlrettelser og forbedringer.

### Nye funktioner

* Understøttelse for nye punktdisplays:
  * Nattiq nBraille. (#10778)
* Tilføjet et script, der åbner NVDAs konfigurationsmappe (ikke tildelt en kommando som standard). (#2214)
* Bedre understøttelse for brugergrænsefladen, der benyttes af ESET antivirus. (#10894)
* Understøttelse for Windows Terminal. (#10305)
* Tilføjet kommando, der oplyser den aktive konfigurationsprofil (ikke tildelt kommando som standard). (#9325)
* Tilføjet et script, der slår rapportering om sænket og hævet skrift til og fra (ikke tildelt kommando som standard). (#10985)
* Webapplikationer (f.eks. Gmail) udtaler ikke længere forældede informationer, når du hurtigt bevæger dig rundt. (#10885)
  * Denne eksperimentelle rettelse skal aktiveres under NVDA-menuen/Opsætning/Indstillinger og under kategorien "Avanceret". Vælg "Forsøg at annullere udløbne fokushændelser".
* Mange flere symboler er blevet tilføjet til den symbolordbog, der benyttes som standard. (#11105)

### Ændringer

* Opdaterede LibLouis punktoversættelse fra 3.12 til 3.14.0. (#10832, #11221)
* Informationer om hævet og sænket skrift kontrolleres nu særsklit fra skrifttypeattributter. (#10919)
* På grund af ændringer foretaget i VS Code, vil NVDA ikke længere deaktivere gennemsynstilstand som standard i Code. (#10888)
* NVDA oplyser ikke længere "top" eller "bund", når du flytter til den første eller sidste linje i et navigatorobjekt. (#9551)
* NVDA oplyser ikke længere "højre" eller "venstre", når du flytter til det første eller sidste tegn for den aktuelle linje i et navigatorobjekt. (#9551)

### Fejlrettelser

* NVDA starter nu korrekt, når logfilen ikke kan oprettes. (#6330)
* I nylige udgaver af Microsoft Word 365 vil NVDA ikke længere oplyse "slet ord bagud", når Ctrl+Backspace benyttes under redigering af et dokument. (#10851)
* NVDA vil nu korrekt oplyse status for funktionerne "Bland" og "Gentag" i Winamp. (#10945)
* NVDA er ikke længere ekstremt langsom, når der flyttes mellem emner i en liste i 1Password. (#10508)
* Talesyntesen Windows OneCore er ikke længere forsinket mellem udtalelser. (#10721)
* NVDA fryser ikke længere, når du åbner kontekstmenuen for 1Password i meddelelsesområdet. (#11017)
* I Office 2013 og ældre:
  * Bånd annonceres nu korrekt, når fokus flyttes til dem for første gang. (#4207)
  * Emner i kontekstmenuer rapporteres nu igen korrekt. (#9252)
  * Diverse sektioner i båndmenuer oplyses nu korrekt, når du bevæger dig mellem dem med Ctrl+piletaster. (#7067)
* Tekst vil ikke længere vises på en ny linje i Google Chrome og Mozilla Firefox i gennemsynstilstand, når webindhold benytter CSS display: inline-flex. (#11075)
* Hvis indstillingen "Placer automatisk systemfokus på fokuserbare elementer i gennemsynstilstand" er deaktiveret, vil det nu være muligt at aktivere elementer der ikke er fokuserbare.
* Hvis indstillingen "Placer automatisk systemfokus på fokuserbare elementer i gennemsynstilstand" er deaktiveret, vil det nu være muligt at aktivere elementer, der kun kan nås ved at trykke på tab-tasten. (#8528)
* Hvis indstillingen "Placer automatisk systemfokus på fokuserbare elementer i gennemsynstilstand" er deaktiveret, vil NVDA ikke længere klikke på en ukorrekt placering i forhold til bestemte elementer. (#9886)
* NVDA afspiller ikke længere fejltoner, når DevExpress tekstkontrolelementer håndteres. (#10918)
* Værktøjstips oplyses ikke i meddelelsesområdet, hvis teksten er den samme som ikonet. (#6656)
* Hvis indstillingen "Placer automatisk systemfokus på fokuserbare elementer i gennemsynstilstand" er deaktiveret, vil NVDA+mellemrum for at skifte til fokustilstand fokusere elementet under markøren. (#11206)
* Det er nu igen muligt at søge efter opdateringer på bestemte systemer (f.eks. en ren Windows-installation). (#11253)
* Fokus flyttes ikke i Java-applikationer, når et valg ændres i en trævisning, tabel eller liste, der ikke har fokus. (#5989)

### Ændringer for udviklere

* execElevated og hasUiAccess er flyttet fra config-modulet til systemUtils-modulet. Brug via config-modulet er udfaset. (#10493)
* Opdaterede configobj til 5.1.0dev commit f9a265c4. (#10939)
* Automatiseret test af NVDA med Chrome og et HTML-eksempel er nu muligt. (#10553)
* IAccessibleHandler er blevet konverteret til en pakke, OrderedWinEventLimiter er blevet udtrukket til et modul, og enhedstest er tilføjet. (#10934)
* Opdaterede BrlApi til version 0.8 (BRLTTY 6.1). (#11065)
* Statuslinjehentning kan nu tilpasses af et AppModule. (#2125, #4640)
* NVDA lytter ikke længere efter IAccessible EVENT_OBJECT_REORDER. (#11076)
* Et ødelagt ScriptableObject (såsom en GlobalPlugin, der mangler et kald til sin baseklassens init-metode) ødelægger ikke længere NVDAs scripthåndtering. (#5446)

## 2020.1

Af væsentlige ændringer i denne udgave af NVDA kan nævnes understøttelse af nogle punktdisplays fra HumanWare og APH, samt mange andre vigtige fejlrettelser som den tilbagevendende evne til at læse matematisk indhold i Microsoft Word ved brug af MathPlayer/MathType.

### Nye funktioner

* Det aktuelt valgte emne i listbokse vises nu i gennemsynstilstand i Google Chrome, lignende fremgangsmåden i NVDA 2019.1. (#10713)
* Du kan nu udføre et højre klik på touch-enheder ved at trykke med en finger og holde nede. (#3886)
* Understøttelse for nye punktdisplays: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2, og NLS eReader. (#10830)

### Ændringer

* NVDA vil forhindre systemet i at låse eller slumre, når funktionen "sig alt" er aktiv. (#10643)
* Understøttelse for iframes in Mozilla Firefox, der ikke håndteres af den oprindelig proces der gengiver indholdet. (#10707)
* Opdaterede LibLouis punktoversættelse til version 3.12. (#10161)

### Fejlrettelser

* NVDA annoncérer nu korrekt Unicode minus symbol (U+2212). (#10633)
* Når du installerer tilføjelser ved hjælp af dialogen til styring af tilføjelser, vil navne og filmapper ikke længere annoncéres to gange, når du leder efter filen ved brug af knappen "Installér". (#10620, #2395)
* Når du indlæser Mastodon med det avancerede webinterface, vil alle tidslinjer nu gengives korrekt, når du bruger Mozilla Firefox. (#10776)
* NVDA vil nu korrekt rapportere "ikke markeret" for nogle check boxe, hvor dette ikke før var tilfældet i gennemsynstilstand. (#10781)
* ARIA-skifteknapper rapporterer ikke længere forvirrende information, såsom "ikke trykket markeret" eller "trykket markeret". (#9187)
* SAPI4-stemmer skulle nu udtale al tekst. (#10792)
* NVDA kan nu igen læse og interagere med matematiske udtryk i Microsoft Word. (#10803)
* NVDA vil nu igen annoncére, hvis tekst ikke længere er valgt, når du har valgt tekst og derefter bruger piletasterne i gennemsynstilstand. (#10731)
* NVDA vil ikke længere afslutte, hvis der er en fejl under initialisering af eSpeak. (#10607)
* Fejl forårsaget af Unicode-tegn i tastaturgenveje, der er en del af installationsprocessen, vil ikke længere forhindre installationen. Løst ved at benytte den engelske tekst i disse tilfælde. (#5166, #6326)
* Konstante meddelelser om at du har navigeret ind i eller forladt en liste eller tabel vil ikke længere opstå under skimlæsning, når du bruger kommandoen "Sig alt". (#10706)
* Rettede musesporing for MSHTML-elementer i Internet Explorer. (#10736)

### Ændringer for udviklere

* Udviklerdokumentation bygges nu med Sphinx. (#9840)
* Flere tale-funktioner er blevet delt i to. (#10593)
  SpeakX-versionen forbliver, men afhænger nu af en getXSpeech-funktion, der returnerer en talerækkefølge.
  * speakObjectProperties afhænger nu af getObjectPropertiesSpeech.
  * speakObject afhænger nu af getObjectSpeech.
  * speakTextInfo afhænger nu af getTextInfoSpeech.
  * speakWithoutPauses er blevet konverteret til en klasse og refaktoreret, men bør ikke bryde kompatibilitet.
  * getSpeechForSpelling er udfaset (dog stadig tilgængelig), brug i stedet getSpellingSpeech.
  Private ændringer, der ikke bør påvirke addon-udviklere:
  * _speakPlaceholderIfEmpty er nu _getPlaceholderSpeechIfTextEmpty.
  * _speakTextInfo_addMath er nu _extendSpeechSequence_addMathForTextInfo.
* Speech 'reason' er blevet konverteret til en Enum, se controlTypes.OutputReason-klasse. (#10703)
  * Modulniveau 'REASON_*' konstanter er udfaset.
* Kompilering af NVDA-afhængigheder kræver nu Visual Studio 2019 (16.2 eller nyere). (#10169)
* Opdaterede SCons til version 3.1.1. (#10169)
* Tillader igen at behaviors._FakeTableCell ikke har en defineret placering. (#10864)

## 2019.3

NVDA 2019.3 er en meget markant opgradering, da den indeholder mange ændringer under motorhjelmen, herunder omskrivningen fra Python 2 til Python 3 og en omskrivning af NVDAs måde at behandle tale.
Selvom denne ændring kan forårsage at nogle tilføjelser derfor ikke fungerer, så var denne ændring nødvendig på grund af sikkerhedsmæssige årsager. Denne opgradering af Python muliggør også nogle spændende innovationer i fremtiden i forhold til talesynteser.
 Af andre væsentlige ændringer i denne udgave af NVDA kan nævnes 64 bit support for Java VM, et skærmtæppe og mulighed for at fremhæve positionen af fokus på skærmen, understøttelse for flere punktdisplays og en ny viser for punktskrift og mange andre fejlrettelser.

### Nye funktioner

* Nøjagtigheden af kommandoen der flytter musen til navigatorobjektet er forbedret i tekstfelter i Java-applikationer. (#10157)
* Tilføjet understøttelse for følgende punktdisplays fra Handy Tech: (#8955)
 * Basic Braille Plus 40
 * Basic Braille Plus 32
 * Connect Braille
* Alle brugerdefinerede inputbevægelser kan nu fjernes ved hjælp af knappen "Gendan til fabriksindstillinger" i dialogen "Inputbevægelser". (#10293)
* Rapportering af skrifttype i Microsoft Word meddeler nu, hvis teksten er markeret som skjult. (#8713)
* Tilføjet en kommando, der flytter læsemarkørens position til markeringen, der tidligere var indstillet som starten af markeringen eller til kopiering: NVDA+shift+F9. (#1969)
* Landmærker vil nu blive oplyst, når du benytter fokustilstand eller objektnavigation i Internet Explorer, Microsoft Edge og nylige versioner af Firefox og Chrome. (#10101)
* Du kan nu navigere til landmærket for artikler ved brug af bogstavnavigation i Internet Explorer, Google Chrome og Mozilla Firefox. Denne kommando har dog ikke et bogstav tildelt som standard, så du skal gøre dette ved at åbne indstillingerne for Inputbevægelser, når du er i gennemsynstilstand. (#9227)
 * Figurer oplyses også, og kan flyttes til ved at bruge bogstavet O i gennemsynstilstand.
* Artikelelementer oplyses nu i Internet Explorer, Google Chrome og Mozilla Firefox, når du bruger objektnavigation. Du kan også få disse oplyst i gennemsynstilstand, hvis du slår landmærket til i indstillingerne for dokumentformatering. (#10424)
* Skærmtæppe gør skærmen sort, når funktionen er aktiveret. Dette gælder Windows 8 og nyere udgaver af Windows. (#7857)
 * Tilføjet en inputbevægelse til denne funktion, således skærmtæppet kan aktiveres og deaktiveres fra hvor som helst. Et tryk bevarer indstillingen indtil du genstarter programmet, og to tryk bevarer indstillingen permanent. Denne kommando skal tildeles i NVDA-menuen > Opsætning > Inputbevægelser, og har derfor ingen standardkommando.
 * Skærmtæppet kan aktiveres og konfigureres i kategorien "Syn" under indstillingerne.
* Tilføjede funktion for fremhævelse af fokus på skærmen til NVDA. (#971, #9064)
 * Fremhævelse af systemfokus, navigatorobjektet og markøren i gennemsynstilstand kan konfigureres i indstillingskategorien "Syn" i NVDAs indstillinger.
 * Bemærk: Tilføjelsespakken "Fremhævelse af fokus" er ikke kompatibel, hvis den indbyggede funktion til fremhævelse af fokus er aktiveret. Du kan stadig bruge tilføjelsen, hvis den indbyggede funktion slås fra i NVDA.
* Tilføjede "Punktviser", som er et værktøj, der viser punkt visuelt på skærmen i et vindue. (#7788)

### Ændringer

* Brugervejledningen beskriver nu, hvordan man bruger Windows-konsollen. (#9957)
* Ved at køre nvda.exe erstattes den aktuelle kørende kopi af programmet. Kommandoen -r|--replace som kommandolinjeparameter accepteres stadig, men ignoreres. (#8320)
* NVDA vil nu angive produktnavn og versionsnummer af apps, som dem hentet fra Microsoft Store, ved at indhente informationerne angivet af selve appen i Windows 8 og nyere. (#4259, #10108)
* Når du skifter indstillingen for sporing af ændringer med tastaturkommandoen i Microsoft Word, vil NVDA nu oplyse dette. (#942)
* NVDAs versionsnummer logges nu som den første hændelse i loggen. Dette forekommer også, hvis logning er deaktiveret fra indstillingspanelet. (#9803)
* Ændring af logningsniveau er ikke længere tilladt, hvis niveauet er gennemtvunget via kommandolinjen. (#10209)
* NVDA vil nu oplyse status for visningen af tegn, der ikke udskrives, ved et tryk på Ctrl+Shift+8. (#10241)
* Opdateret Liblouis-punktoversættelse til commit 58d67e63. (#10094)
* Når rapportering af CLDR-tegn (herunder emoji) er aktiveret, vil disse oplyses uanset tegnsætningsniveau. (#8826)
* Tredjepartspakker til Python, såsom comtypes, skriver nu deres fejl og advarsler til NVDAs logfil. (#10393)
* Opdateret Unicode Common Locale Data Repository emoji-data til version 36.0. (#10426)
* Beskrivelsen af en gruppe bliver nu læst op, når denne får fokus. (#10095)
* Java Access Bridge er nu en del af NVDA for at programmet kan få nemmere adgang til Java-applikationer, herunder 64 bit Java VMs. (#7724)
* Hvis Java Access Bridge ikke er aktiveret, vil NVDA automatisk gøre dette, når NVDA starter. (#7952)
* Opdaterede eSpeak-NG til 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### Fejlrettelser

* Emoji og andre 32 bit unicode-tegn optager nu mindre plads på punktdisplays, når disse vises som heksadecimale værdier. (#6695)
* NVDA vil oplyse værktøjstips fra universale apps, hvis denne indstilling er slået til i indstillingerne for objektpræsentation. (#8118)
* Indtastet tekst vil nu blive oplyst i Mintty i Windows 10 version 1607 og nyere. (#1348)
* Tekstoutput der vises nær markøren i Windows-konsoller i Windows 10 version 1607 bliver ikke længere stavet. (#513)
* Kontrolelementer i Audacitys kompressor-dialog oplyses nu under navigation. (#10103)
* NVDA opfatter ikke længere mellemrum som ord, hvis tekstlæsning er indstillet til objekttilstand i Scintilla baserede tekstredigeringsværktøjer som Notepad++. (#8295)
* NVDA vil forhindre systemet i at slumre, når du bruger et punktdisplay til at panorere tekst. (#9175)
* Punkt følger nu bedre efter i Windows 10, når du redigerer celleindhold i Microsoft Excel og andre UIA-kontroller, hvor punkt tidligere var forsinket. (#9749)
* NVDA vil nu igen oplyse forslag i adresselinjen i Microsoft Edge. (#7554)
* NVDA er ikke længere tavs, når du fokuserer på en HTML-fanekontroloverskrift i Microsoft Internet Explorer. (#8898)
* NVDA vil ikke længere afspille lyden for auto-forslag i Microsoft Edge baseret på EdgeHTML, når vinduet maksimeres. (#9110, #10002)
* ARIA 1.1 combo boxe understøttes nu i Mozilla Firefox og Google Chrome. (#9616)
* NVDA vil nu ikke længere oplyse indhold af visuelt skjulte kolonner for listeemner i SysListView32-controlelementer. (#8268)
* Indstillingsdialogen viser ikke længere "info" som det aktuelle logningsniveau, når du er i sikker tilstand. (#10209)
* NVDA vil nu oplyse detaljerne for de viste søgeresultater i startmenuen for Windows 10 Anniversary Update og nyere. (#10232)
* NVDA vil ikke længere oplyse det forkerte indhold, når et dokument ændres ved brug af bogstavnavigation eller når markøren flyttes. (#8831, #10343)
* Nogle navne for punkter er blevet rettet i Microsoft Word. (#10399)
* NVDA vil nu korrekt oplyse første valgte emne i emoji-panelet eller i udklipsholderen, når emoji-panelet eller historikken for udklipsholderen åbnes i Windows 10 May 2019 Update og nyere. (#9204)
* Det er nu igen muligt at læse nogle oversættelser i Poedit for sprog, hvor skriften går fra højre imod venstre. (#9931)
* NVDA vil ikke længere oplyse behandlingslinjer for lydstyrker, der er at finde i appen Indstillinger under System/Lyd i Windows 10 April 2018 Update og nyere. (#10284)
* Ugyldige regulære udtryk i stemmeordbøger forhindrer ikke længere tale i NVDA. (#10334)
* Når du læser punkter i en liste i Microsoft Word med UIA aktiveret, vil næste punkt i listen ikke længere oplæses. (#9613)
* Nogle sjældne fejl og problemer med punktoversættelser er nu løst med LibLouis. (#9982)
* Java-applikationer, der blev startet før NVDA, vil nu ikke længere være nød til at genstarte for at NVDA kunne bruge disse. (#10296)
* Når et element bliver markeret som "aktuelt" ved brug af (aria-current), vil dette ikke oplyses flere gange i Mozilla Firefox. (#8960)
* NVDA vil nu behandle bestemte komposit unicode tegn som e-igu (é), når du bevæger dig gennem tekst. (#10550)
* Spring Tool Suite Version 4 er nu understøttet. (#10001)
* NVDA vil ikke udtale navne to gange, når aria-labelledby er angivet. (#10552)
* Indtastede tegn på punkttastaturer i Windows 10 version 1607 og nyere, vil nu udtales i flere situationer. (#10569)
* Når du ændrer NVDAs output-enhed, vil toner NVDA afspiller korrekt udsendes gennem den valgte enhed. (#2167)
* Reaktionshastigheden, når fokus flyttes i gennemsynstilstand i Mozilla Firefox, vil nu være forbedret. Dette har også indflydelse på reaktionshastigheden, når du bruger markøren i gennemsynstilstand mange andre tilfælde. (#10584)

### Ændringer for udviklere

* Opdateret Python til version 3.7. (#7105)
* Opdateret pySerial til version 3.4. (#8815)
* Opdateret wxPython til 4.0.3 for at understøtte Python 3.5 og senere. (#9630)
* Opdateret six til version 1.12.0. (#9630)
* Opdateret py2exe til version 0.9.3.2 (under udvikling, commit b372a8e fra albertosottile/py2exe#13). (#9856)
* Opdateret UIAutomationCore.dll comtypes modul til version 10.0.18362. (#9829)
* Tab-fuldførelse i Python-konsollen foreslår kun attributter, der starter med en understregning, hvis understregningen skrives først. (#9918)
* Flake8 linting-værktøjet er integreret med SCons og afspejler kodekrav til Pull Requests. (#5918)
* Da NVDA ikke længere er afhængig af pyWin32, er moduler som win32api og win32con ikke længere tilgængelige for tilføjelser. (#9639)
 * win32api-kald kan erstattes med direkte kald til win32-dll-funktioner via ctypes.
 * win32con-konstanter skal defineres i dine filer.
* "async"-argumentet i nvwave.playWaveFile er blevet omdøbt til "asynchronous". (#8607)
* speakText og speakCharacter-metoder på synthDriver-objekter understøttes ikke længere.
 * Denne funktionalitet håndteres af SynthDriver.speak.
* SynthSetting-klasser i synthDriverHandler er blevet fjernet. Brug nu driverHandler.DriverSetting-klasser i stedet.
* SynthDriver-klasser bør ikke længere eksponere indekset via lastIndex-egenskaben.
 * I stedet skal de notificere synthDriverHandler.synthIndexReached-handlingen med indekset, når alt tidligere lyd er færdigafspillet før dette indeks.
* SynthDriver-klasser skal nu notificere synthDriverHandler.synthDoneSpeaking-handlingen, når al lyd fra et SynthDriver.speak-kald er afsluttet.
* SynthDriver-klasser skal understøtte speech.PitchCommand i deres speak-metode, da ændringer i tonehøjde for staveudtale nu afhænger af denne funktionalitet.
* Tale-funktionen getSpeechTextForProperties er blevet omdøbt til getPropertiesSpeech. (#10098)
* Punkt-funktionen getBrailleTextForProperties er blevet omdøbt til getPropertiesBraille. (#10469)
* Flere tale-funktioner er ændret til at returnere talerækkefølger. (#10098)
 * 2022.2.3
 * getFormatFieldSpeech
 * getSpeechTextForProperties, nu kaldet getPropertiesSpeech
 * getIndentationSpeech
 * getTableInfoSpeech
* Tilføjet textUtils-modul for at forenkle strengforskelle mellem Python 3-strenge og Windows unicode-strenge. (#9545)
 * Se modulets dokumentation og textInfos.offsets-modul for eksempelimplementeringer.
* Udgået funktionalitet er nu fjernet. (#9548)
 * Fjernede AppModules:
  * Windows XP-lydoptager.
  * Klango Player, som er forældet software og ikke længere under udvikling.
 * configobj.validate wrapper fjernet.
  * Ny kode skal bruge from configobj import validate i stedet for import validate.
 * textInfos.Point og textInfos.Rect erstattet af locationHelper.Point og locationHelper.RectLTRB henholdsvis.
 * braille.BrailleHandler._get_tether og braille.BrailleHandler.set_tether er blevet fjernet.
 * config.getConfigDirs er blevet fjernet.
 * config.ConfigManager.getConfigValidationParameter er blevet erstattet af getConfigValidation.
 * inputCore.InputGesture.logIdentifier-egenskab er blevet fjernet.
   * Brug _get_identifiers i inputCore.InputGesture i stedet.
 * synthDriverHandler.SynthDriver.speakText/speakCharacter er blevet fjernet.
 * Fjernede flere SynthSetting-klasser i synthDriverHandler.
   * Tidligere bevaret for bagudkompatibilitet (#8214), nu betragtet som forældet.
   * Drivere, der brugte SynthSetting-klasserne, bør opdateres til at bruge DriverSetting-klasserne.
 * Noget ældre kode er blevet fjernet, især:
  * Understøttelse af Outlook-meddelelseslisten før 2003.
  * En overlay-klasse for den klassiske startmenu, som kun fandtes i Windows Vista og tidligere.
  * Understøttelse af Skype 7 er droppet, da den ikke længere fungerer.
* Tilføjet en ramme til at oprette vision-enhancement-udbydere; moduler, der kan ændre skærmindhold, valgfrit baseret på input fra NVDA om objektplaceringer. (#9064)
 * Tilføjelser kan pakke deres egne udbydere i en visionEnhancementProviders-mappe.
 * Se vision- og visionEnhancementProviders-modulerne for implementeringen af rammen og eksempler.
 * Vision-enhancement-udbydere aktiveres og konfigureres via kategorien "Syn" i NVDAs indstillingsdialog.
* Abstrakte klasseegenskaber understøttes nu på objekter, der arver fra baseObject.AutoPropertyObject (f.eks. NVDAObjects og TextInfos). (#10102)
* Introducerede displayModel.UNIT_DISPLAYCHUNK som en textInfos-enhedskonstant specifik for DisplayModelTextInfo. (#10165)
 * Denne nye konstant muliggør gennemgang af teksten i en DisplayModelTextInfo på en måde, der mere ligner, hvordan tekststykkerne er gemt i den underliggende model.
* displayModel.getCaretRect returnerer nu en instans af locationHelper.RectLTRB. (#10233)
* UNIT_CONTROLFIELD- og UNIT_FORMATFIELD-konstanterne er blevet flyttet fra virtualBuffers.VirtualBufferTextInfo til textInfos-pakken. (#10396)
* For hver post i NVDA-loggen inkluderes nu information om den oprindende tråd. (#10259)
* UIA TextInfo-objekter kan nu flyttes/udvides efter side, historie og formatField-tekstenheder. (#10396)
* Eksterne moduler (appModules og globalPlugins) er nu mindre tilbøjelige til at bryde oprettelsen af NVDAObjects.
 * Undtagelser forårsaget af metoderne "chooseNVDAObjectOverlayClasses" og "event_NVDAObject_init" bliver nu korrekt fanget og logget.
* aria.htmlNodeNameToAriaLandmarkRoles-ordbogen er blevet omdøbt til aria.htmlNodeNameToAriaRoles. Den indeholder nu også roller, der ikke er landemærker.
* scriptHandler.isCurrentScript er blevet fjernet på grund af manglende brug. Der er ingen erstatning. (#8677)

## 2019.2.1

Dette er en mindre version der indeholder fejlrettelser i forhold til tilfælde, hvor NVDA gik ned, når man kører version 2019.2. Følgende er rettet:

* Rettet flere nedbrud med Gmail i både Firefox og Chrome, hvis man benyttede særlige pop-op-menuer, når man f.eks. oprettede filtre eller ændrede bestemte Gmail-indstillinger. (#10175, #9402, #8924)
* NVDA vil ikke længere få Windows Stifinder til at gå ned, hvis musen benyttes i startmenuen i Windows 7. (#9435)
* Windows Stifinder i Windows 7 vil ikke længere gå ned, når du indtaster metadata i redigeringsfelter. (#5337)
* NVDA vil ikke længere fryse, når der interageres med billeder der benytter en base64 URI i Mozilla Firefox eller Google Chrome. (#10227)

## 2019.2

Af forbedringer i denne version af NVDA kan nævnes automatisk detektion af punktdisplays fra Freedom Scientific, en eksperimentel indstilling i NVDAs avancerede indstillinger, der forhindrer gennemsynstilstand i automatisk at flytte systemfokus (hvilket kan forøge ydeevnen), en indstilling der øger hastigheden yderligere for talesyntesen Windows OneCore, der gør det muligt at opnå en meget høj talehastighed, samt mange fejlrettelser.

### Nye funktioner

* NVDAs understøttelse for chatklienten Miranda NG virker nu også med nyere versioner. (#9053)
* Du kan nu slå automatisk gennemsynstilstand fra ved brug af boksen "Aktivér gennemsynstilstand ved sideindlæsning" under NVDAs indstillinger for gennemsynstilstand. (#8716)
 * Bemærk, at hvis denne indstilling er slået fra, kan du stadig aktivere gennemsynstilstand ved at bruge NVDA+mellemrum.
* Du kan nu filtrere symboler i dialogen for udtale af sætningstegn og symboler, lignende filtrering af elementlisten og dialogen med inputbevægelser. (#5761)
* En kommando er blevet tilføjet, således du kan ændre oplæsning for tekst under musen, men denne er ikke tildelt som standard. (#9056)
* Talesyntesen Windows OneCore har nu fået en indstilling til højere talehastighed, hvilket muliggør en markant højere talehastighed. (#7498)
* Indstillingen for højere talehastighed kan nu benyttes med understøttede talesynteser. I øjeblikket gælder dette eSpeak NG og Windows OneCore. (#8934)
* Tastaturkommandoer kan nu tildeles indstillingsprofiler. (#4209)
 * Du kan tildele kommandoer til dine indstillingsprofiler via dialogboksen "Inputbevægelser" under "Indstillinger" i NVDA-menuen.
* Tilføjet understøttelse for autoforslag i koderedigering i Eclipse. (#5667)
 * Derudover kan Javadoc-information oplæses ved at trykke NVDA+D.
* Tilføjet en eksperimentel indstilling til NVDAs avancerede indstillinger. Denne indstilling lader dig forhindre, at systemfokus følger markøren i gennemsynstilstand (Placer automatisk systemfokus på fokuserbare elementer). (#2039) Det er muligvis ikke passende at slå denne indstilling fra på alle hjemmesider, men denne indstilling kan dog løse følgende problemer:
 * Rubber Band-effekten: NVDA fortryder automatisk og sporadisk det sidste tastetryk i gennemsynstilstand ved at hoppe til sidste placering.
 * Redigeringsfelter stjæler systemfokus, når du piler nedad på nogle hjemmesider.
 * Tastetryk i gennemsynstilstand responderer langsomt.
* For punktdisplays, der understøtter dette, kan driverindstillinger nu ændres fra NVDAs dialog med punktindstillinger. (#7452)
* Freedom Scientific punktdisplays er nu omfattet af automatisk detektion, når disse punktdisplays forbindes med computeren.
* Tilføjet en kommando, der viser erstatningen for symbolet under læsemarkøren. (#9286)
* Implementeret en avanceret indstilling, der lader dig bruge Microsoft UI Automation API ved læsning af Windows konsolvinduer. (#9614)
* Python-konsollen lader dig nu indsætte flere linjer fra udklipsholderen. (#9776)

### Ændringer

* Talesyntesens lydstyrke øges og falder nu med 5% i stedet for 10%, når du bruger ringen af talesynteseindstillinger. (#6754)
* Gjorde teksten mere forståelig i dialogen til styring af tilføjelsesprogrammer, når NVDA startes med kommandoparametret --disable-addons. (#9473)
* Opdaterede Unicode Common Locale Data Repository emoji til version 35.0. (#9445)
* Tastaturkommandoen for at gå til filtreringsfeltet i elementlisten i gennemsynstilstand er Alt+E. (#8728)
* Når et punktdisplay, der understøtter automatisk detektion, forbindes via Bluetooth, vil NVDA kontinuerligt søge efter den tilsvarende driver til opkobling af samme display via USB og forbinde til dette via USB, hvis denne opkoblingsmulighed bliver tilgængelig. (#8853)
* Opdaterede eSpeak-NG til commit 67324cc.
* Opdaterede LibLouis punktoversættelse til version 3.10.0. (#9439, #9678)
* NVDA vil nu annoncerer "valgt" efter NVDA har oplyst den valgte tekst. (#9028)
* I Microsoft Visual Studio Code vil gennemsynstilstand være slået fra som standard. (#9828)

### Fejlrettelser

* NVDA går ikke længere ned, når en mappe til en tilføjelsespakke er tom. (#7686)
* LTR og RTL-tegn rapporteres ikke længere i punkt eller tale, når du læser vinduet med egenskaber. (#8361)
* Når du hopper til formularfelter ved brug af bogstavnavigation i gennemsynstilstand, så vil hele formularfeltet annonceres i stedet for blot den første linje. (#9388)
* NVDA vil ikke længere være stille, når du afslutter Mail-appen i Windows 10. (#9341)
* NVDA vil ikke længere fejle under opstart, hvis områdeindstillingerne er indstillet til områder der ikke kendes af NVDA, såsom Engelsk, hollandsk. (#8726)
* Når gennemsynstilstand er aktiveret i Microsoft Excel, og du skifter til en browser i fokustilstand eller omvendt, vil NVDA nu rapportere dette som forventet. (#8846)
* NVDA rapporterer nu korrekt linjen ved musen i Notepad++ og andre Scintilla-baserede editors. (#5450)
* NVDA vil ikke længere vise "lst end" før markøren i midten af et listeelement, når punkt benyttes i Google Docs og andre web-baserede redigeringsværktøjer. (#9477)
* I Windows 10 May 2019 Update vil NVDA ikke længere sige mange notifikationer om ændring af lydstyrken, når hardwareknapperne benyttes og Windows Stifinder har fokus. (#9466)
* Indlæsning af dialogen til udtale af sætningstegn og symboler er nu meget hurtigere, når ordbogen indeholder 1000 emner eller flere. (#8790)
* I Scintilla-kontrolelementer såsom dem i Notepad+, vil NVDA nu læse den korrekte linje når tekstombrydning er slået til. (#9424)
* Celleplaceringen annonceres nu i Microsoft Excel, når denne ændres ved brug af Shift+enter eller Shift+numpadEnter. (#9499)
* I Visual Studio 2017 og nyere, vil det valgte emne i objects-træet eller members-træ med kategorier i objects explorer-vinduet annonceres korrekt. (#9311)
* Tilføjelsespakker, hvis eneste forskel er store eller små bogstaver i navnet, vil ikke længere omfattes som at være et separat tilføjelsesprogram. (#9334)
* Hastigheden for stemmerne tilhørende talesyntesen Windows OneCore påvirkes ikke længere af taleindstillingerne i Windows 10. (#7498)
* Loggen kan nu åbnes med NVDA+F1, hvis intet udviklerinformation eksisterer for det aktuelle navigatorobjekt. (#8613)
* Det er nu igen muligt at benytte tabelnavigationskommandoer i Google Docs, Firefox og Google Chrome. (#9494)
* Bumper-tasterne virker nu igen korrekt på punktdisplays fra Freedom Scientific. (#8849)
* Når det første tegn læses i et dokument i Notepad++ 7.7 X64, vil NVDA ikke længere fryse i 10 sekunder. (#9609)
* HTCom kan nu bruges med et Handy Tech punktdisplay sammen med NVDA. (#9691)
* NVDA vil ikke længere oplyse ændringer til dynamiske indholdsområder, når du bruger Mozilla Firefox, og en fane med dynamisk indhold befinder sig i baggrunden. (#1318)
* NVDAs dialogboks til søgning af tekst i gennemsynstilstand vil nu korrekt vises, når NVDAs dialogboks "Om" er åben i baggrunden. (#8566)

### Ændringer for udviklere

* Du kan nu sætte egenskaben "disableBrowseModeByDefault" på app-moduler for at deaktivere gennemsynstilstand som standard. (#8846)
* Udvidet vinduesstil for et vindue er nu eksponeret ved brug af `extendedWindowStyle`-egenskaben på vinduesobjekter og deres afledte klasser. (#9136)
* Opdateret comtypes-pakke til version 1.1.7. (#9440, #8522)
* Når kommandoen til rapportering af modulinformation anvendes, er rækkefølgen ændret, så modulet præsenteres først. (#7338)
* Tilføjet et eksempel, der demonstrerer brug af nvdaControllerClient.dll fra C#. (#9600)
* Tilføjet en ny funktion isWin10 til winVersion-modulet, som returnerer, om denne udgave af NVDA kører på (mindst) den angivne version af Windows 10 (som f.eks. 1903). (#9761)
* NVDA Python-konsollen indeholder nu flere nyttige moduler i sit namespace (såsom appModules, globalPlugins, config og textInfos). (#9789)
* Resultatet af den senest udførte kommando i NVDA Python-konsollen er nu tilgængeligt via variablen _ (linje). (#9782)
 * Bemærk, at dette skygger gettext-oversættelsesfunktionen, som også hedder "_". For at få adgang til oversættelsesfunktionen: del _

## 2019.1.1

Denne point-udgivelse løser følgende fejl:

* NVDA forårsager ikke længere, at Excel 2007 går ned, eller undlader at rapportere, hvis en celle indeholder en formel. (#9431)
* Google Chrome går ikke længere ned, når der interageres med bestemte listebokse. (#9364)
* Et problem er blevet løst, som forhindrede kopiering af en brugers konfiguration til systemkonfigurationsprofilen. (#9448)
* I Microsoft Excel bruger NVDA igen den lokaliserede besked, når  placeringen af flettede celler oplyses. (#9471)

## 2019.1

Af væsentlige forbedringer i denne version kan nævnes forbedringer til ydeevnen, når du bruger Microsoft Word og Excel, stabilitets- og sikkerhedsforbedringer for tilføjelsesprogrammer såsom bedre information om kompatibilitet med diverse tilføjelser, og mange andre fejlrettelser.

Bemærk venligst: Fra denne version af NVDA vil tilpassede appModules, globalPlugins samt drivere til punktdisplays og talesynteser ikke længere blive indlæst automatisk fra brugerkonfigurationsmappen i NVDA.
Disse skal i stedet installeres som en del af en tilføjelsespakke. For dem, som udvikler kode til brug med NVDA, skal du benytte den nye avancerede indstilling "Developer Scratchpad" og den tilsvarende mappe for at indlæse og teste kode sammen med NVDA.
Disse ændringer anses for nødvendige for bedre at kunne sikre kompatibiliteten af tilpasset kode, så NVDA ikke uhensigtsmæssigt går ned ved inkompatibilitet med nyere versioner af NVDA.
Læs venligst listen over ændringer længere nede for at se yderligere detaljer om dette, samt hvordan NVDA-tilføjelser nu versioneres.

### Nye funktioner

* Nye punkttabeller: Afrikaans, Arabisk 8 punkt computer braille, Arabisk niveau 2, Spansk niveau 2. (#4435, #9186)
* Tilføjet en indstilling til NVDAs museindstillinger, der lader brugeren bestemme, hvordan NVDA skal håndtere museinput fra andre applikationer. (#8452)
 * Dette vil lade NVDA følge musen, når systemet bliver styret via TeamViewer eller andet software til fjernstyring.
* Tilføjet en indstilling til brug på kommandolinjen `--disable-start-on-logon`. Denne indstilling vil tillade tavse installationer af NVDA, der normalt ikke kører på logon-skærmen som standard. (#8574)
* Det er nu muligt at deaktivere logning fuldstændigt under NVDAs generelle indstillinger. (#8516)
* Formularer i regneark i LibreOffice og Apache OpenOffice vil nu rapporteres. (#860)
* Gennemsynstilstand rapporterer nu den valgte tilstand for elementer i listbokse og trævisninger i Mozilla Firefox og Google Chrome.
 * Dette virker i Firefox 66 og senere.
 * Dette virker ikke for bestemte listbokse (HTML select-kontroller) i Chrome.
* Første understøttelse for apps som Mozilla Firefox på computere med ARM64 (f.eks. Qualcomm Snapdragon) processorer. (#9216)
* En ny kategori med avancerede indstillinger er nu at finde i NVDAs indstillingspanel, herunder en indstilling, der lader dig afprøve NVDAs understøttelse for UI Automation API. (#9200)
* Tilføjet understøttelse for den grafiske visning i Windows Diskhåndtering. (#1486)
* Tilføjet understøttelse for Handy Tech Connect Braille og Basic Braille 84. (#9249)

### Ændringer

* Opdateret LibLouis punktoversætter til version 3.8.0. (#9013)
* Forfattere af NVDA-tilføjelser kan nu kræve, at der er et minimumskrav for versionsnummeret til NVDA. Ikke-understøttede tilføjelser vil ikke indlæses eller installeres. (#6275)
* Forfattere af tilføjelser skal nu angive den sidste version, hvor tilføjelsen blev testet. Brugere vil blive advaret mod at installere eller aktivere ikke-testede tilføjelser. (#6275)
* Denne version af NVDA vil tillade installation og indlæsning af tilføjelser, der ikke indeholder information om minimumskrav til NVDA-version samt sidst testede version. Fremtidige versioner af NVDA (f.eks. NVDA 2019.2) vil evt. deaktivere disse tilføjelser.
* Kommandoen, der flytter musen til det aktuelle navigatorobjekt, er nu tilgængelig i Microsoft Word og UIA-kontroller, særligt Microsoft Edge. (#7916, #8371)
* Rapportering af tekst under musen er forbedret ved brug af Microsoft Edge og andre UIA-applikationer. (#8370)
* Når NVDA startes med kommandoen `--portable-path`, vil den angivne sti automatisk udfyldes, når der oprettes en flytbar kopi fra NVDA-menuen. (#8623)
* Opdaterede stien til den svenske punkttabel for at benytte standarden for 2015. (#9170)
* Når der navigeres via afsnit (Ctrl+piletaster) eller mellem tabelceller (Ctrl+Alt+piletaster), vil NVDA ikke længere oplyse stavefejl, selvom indstillingen er aktiveret. Dette skyldes, at nogle celler kan være ret store, og beregning af stavefejl kan tage lang tid. (#9217)
* NVDA indlæser ikke længere tilpassede appModules, globalPlugins og drivere for talesynteser og punktdisplays fra NVDAs mappe med brugerkonfiguration. Denne kode skal leveres som en tilføjelsespakke til NVDA med korrekte versionsnumre for at sikre kompatibilitet med aktuelle versioner af NVDA. (#9238)
 * For udviklere, der har brug for at afprøve kode under udvikling, aktiver indstillingen, der lader dig indlæse tilpasset kode fra mappen Developer Scratchpad. Denne indstilling findes i NVDAs indstillingskategori "Avanceret". Herefter skal du placere din kode i mappen "Scratchpad", som er i brugerkonfigurationsmappen.

### Fejlrettelser

* Store pauser vil ikke længere forekomme under oplæsning i Windows April 2018-opdateringen og nyere ved brug af talesyntesen Windows OneCore. (#8985)
* Når der bevæges mellem tegn i redigeringsfelter, som dem der bruges i Notepad eller i gennemsynstilstand, vil 32-bit emoji-tegn nu blive oplæst korrekt. (#8782)
* Forbedret dialog, når du skal bekræfte genstart af NVDA efter at have ændret sprog. Teksten og etiketterne på knapperne forekommer nu mere præcise og mindre forvirrende. (#6416)
* Hvis en tredjeparts talesyntese ikke kan indlæses, vil NVDA nu skifte til Windows OneCore i stedet for eSpeak-NG på Windows 10. (#9025)
* Fjernet indstilling til at fremkalde velkomstdialogen på sikre skærme. (#8520)
* Når du bruger tab eller hurtignavigation i gennemsynstilstand, vil legends på fanepaneler nu rapporteres mere konsekvent. (#709)
* NVDA vil nu annoncere ændringer i værdier, når du vælger fra bestemte kontroller til valg af tid (f.eks. appen Alarmer og Ur). (#5231)
* NVDA vil nu annoncere status, når hurtige handlinger som lysstyrke og fokushjælp slås til og fra i Handlingscenter i Windows 10. (#8954)
* NVDA vil nu genkende lysstyrkeknappen i Handlingscenter som en knap i stedet for en skiftknap i Windows 10 October 2018 Update og ældre. (#8845)
* NVDA vil nu igen følge markøren og annoncere slettede tegn i edit-felterne i Microsoft Excel, når du bruger felterne "Find" og "Gå til". (#9042)
* Rettede et sjældent nedbrud i Mozilla Firefox omfattende gennemsynstilstand. (#9152)
* NVDA har ikke længere problemer med at rapportere kontrolelementer i båndmenuen i Office 2016.
* NVDA vil nu korrekt rapportere foreslåede kontakter, når der oprettes en ny meddelelse i Outlook 2016. (#8502)
* Markørknapperne på Eurobraille 80-celler punktdisplay flytter ikke længere markøren til starten af linjen. (#9160)
* Rettede tabelnavigation i visning af meddelelsestråde i Mozilla Thunderbird. (#8396)
* I Mozilla Firefox og Google Chrome fungerer skift til fokustilstand nu korrekt for bestemte listbokse og trævisninger. (#3573, #9157)
* Gennemsynstilstand aktiveres nu korrekt under læsning af meddelelser i Microsoft Outlook 2016/365 med NVDAs nye UI Automation-funktionalitet. (#9188)
* NVDA skulle nu ikke længere fryse så ofte, og det skulle ikke længere være nødvendigt at logge ud for at løse det. (#6291)
* NVDA vil nu annoncere status af udklipsholderen, når du åbner udklipsholderoversigten, og udklipsholderen er tom i Windows 10 October 2018 Update. (#9103)
* NVDA vil nu annoncere topresultatet i emoji-panelet, når der søges efter emoji i Windows 10 October 2018 Update og nyere. (#9105)
* NVDA fryser ikke længere i hovedvinduet i VirtualBox 5.2 eller ældre. (#9202)
* Reaktionshastigheden ved navigation i linjer, afsnit eller tabelceller skulle være markant forbedret i Microsoft Word. For bedste ydeevne, indstil Microsoft Word til kladevisning med Alt, U, Æ. (#9217)
* Tomme beskeder i Mozilla Firefox og Google Chrome rapporteres ikke længere. (#5657)
* Markante forbedringer til ydeevnen ved navigation i celler i Microsoft Excel, særligt når regnearket indeholder kommentarer og/eller dropdown-lister til validering. (#7348)
* Det skulle ikke længere være nødvendigt at deaktivere indstillingen "Tillad redigering direkte i cellen" for at redigere celler med NVDA i Excel 2016/365. (#8146)
* Rettede et sjældent nedbrud i Mozilla Firefox, hvis der navigeres hurtigt mellem landmærker og tilføjelsen "Udvidet ARIA" er i brug. (#8980)

### Ændringer for udviklere

* NVDA kan nu bygges med alle udgaver af Microsoft Visual Studio 2017 (ikke kun Community-udgaven). (#8939)
* Du kan nu inkludere log-output fra liblouis i NVDA-loggen ved at sætte louis-flaget i debugLogging-sektionen af NVDA-konfigurationen til true. (#4554)
* Forfattere af tilføjelser kan nu angive NVDA-kompatibilitetsinformation i tilføjelsers manifestfiler. (#6275, #9055)
 * minimumNVDAVersion: Den minimum påkrævede version af NVDA for at tilføjelsen fungerer korrekt.
 * lastTestedNVDAVersion: Den seneste version af NVDA, som tilføjelsen er blevet testet med.
* OffsetsTextInfo-objekter kan nu implementere _getBoundingRectFromOffset-metoden for at tillade hentning af afgrænsningsrektangler per tegn i stedet for punkter. (#8572)
* Tilføjet en boundingRect-egenskab til TextInfo-objekter for at hente afgrænsningsrektanglet for et tekstområde. (#8371)
* Egenskaber og metoder i klasser kan nu markeres som abstrakte i NVDA. Disse klasser vil rejse en fejl, hvis de instantieres. (#8294, #8652, #8658)
* NVDA kan logge tiden siden input, når tekst bliver talt, hvilket hjælper med at måle oplevet reaktionstid. Dette kan aktiveres ved at sætte timeSinceInput-indstillingen til true i debugLog-sektionen af NVDA-konfigurationen. (#9167)

## 2018.4.1

Denne udgivelse retter et nedbrud ved opstart, hvis NVDAs brugergrænsefladesprog er indstillet til aragonesisk. (#9089)

## 2018.4

Af væsentlige forbedringer i denne version af NVDA kan nævnes bedre ydeevne i nylige versioner af Mozilla Firefox, annoncering af emoji med alle talesynteser, rapportering af statusflagene besvaret/videresendt for meddelelser i Microsoft Outlook, rapportering af afstand fra markørens aktuelle position til kanten af en side i Microsoft Word, samt mange fejlrettelser.

### Nye funktioner

* Nye punkttabeller: Kinesisk (Mandarin-kinesisk) niveau 1 og 2. (#5553)
* Status for besvarede/videresendte meddelelser rapporteres nu i meddelelseslisten i Microsoft Outlook. (#6911)
* NVDA kan nu læse emoji såvel som andre tegn, der er en del af Unicode Common Locale Data Repository. (#6523)
* Markørens position fra øverste og venstre kant på den aktuelle side kan nu blive oplyst ved at trykke NVDA+NumpadDelete i Microsoft Word. (#1939)
* NVDA vil ikke længere rapportere "Valgt" i Google Sheets, når der bevæges rundt imellem celler, hvis punkttilstand er aktiv. (#8879)
* Tilføjet understøttelse for Foxit Reader og Foxit Phantom PDF (#8944)
* Tilføjet understøttelse for databaseværktøjet DBeaver. (#8905)

### Ændringer

* Indstillingen "Oplys hjælpeballoner" i dialogen Objektpræsentation er blevet omdøbt til "Oplys meddelelser" for at inkludere toast-meddelelser i Windows 8 og nyere. (#5789)
* Check boxe til at slå NVDA-funktionstasten til og fra i NVDAs tastaturindstillinger er nu i en liste, i stedet for at vise som særskilte check boxe.
* NVDA vil ikke længere vise overflødige informationer om uret, når dette læses fra systembakken i nogle versioner af Windows. (#4364)
* Opdaterede LibLouis punktoversætter til version 3.7.0. (#8697)
* Opdaterede eSpeak-NG til commit 919f3240cbb

### Fejlrettelser

* Kategori- og status for flag er nu oplyst i Outlook 2016/365. (#8603)
* Når NVDA er indstillet til sprog som kirgisisk, mongolsk eller makedonsk, vil NVDA ikke længere meddele, at sproget ikke er understøttet af operativsystemet ved opstart. (#8603)
* Flytning af musen til navigatorobjektet vil nu meget mere nøjagtigt flytte musen til positionen i gennemsynstilstand, når du benytter Mozilla Firefox, Google Chrome og Acrobat Reader DC. (#6460)
* Interaktion med combo boxe på internettet med Firefox, Chrome og Internet Explorer er blevet forbedret. (#8664)
* Hvis NVDA køres på en japansk version af Windows XP og Vista, vil beskeden om krævet operativsystem blive vist som forventet. (#8771)
* Forbedring af ydeevne, når der navigeres rundt på store sider med mange dynamiske ændringer i Mozilla Firefox. (#8678)
* Punktskrift viser ikke længere skrifttypeegenskaber, hvis skrifttypeattributterne er slået fra i dokumentformateringsindstillinger. (#7615)
* NVDA vil ikke længere have problemer med at følge fokus i File Explorer og andre applikationer, der benytter UI Automation, når et andet program er optaget (f.eks. når der behandles flere lydfiler i et lydredigeringsprogram). (#7345)
* ESC-tasten i ARIA-menuer på internettet vil ikke længere deaktivere fokustilstand ubetinget, men vil i stedet blive videresendt til menuen. (#3215)
* Hele beskedindholdet vil ikke længere blive oplyst, når du benytter bogstavnavigation til at navigere til et element i det nye Gmail interface. (#8887)
* Efter opdatering af NVDA, skulle browsere som Google Chrome og Firefox ikke længere gå ned, og gennemsynstilstand skulle fortsat gengive alt opdateret indhold i de aktuelt indlæste dokumenter. (#7641)
* NVDA vil ikke længere oplyse "klikbart" flere gange lige efter hinanden, når du navigerer klikbart indhold. (#7430)
* Kommandoer udført via Baum Vario 40 punktdisplays vil ikke længere fejle. (#8894)
* I Google Slides med Mozilla Firefox, vil NVDA ikke længere rapportere "valgt tekst" ved hvert kontrolelement, der får fokus. (#8964)

### Ændringer for udviklere

* gui.nvdaControls indeholder nu to klasser til at oprette tilgængelige lister med afkrydsningsfelter. (#7325)
 * CustomCheckListBox er en tilgængelig underklasse af wx.CheckListBox.
 * AutoWidthColumnCheckListCtrl tilføjer tilgængelige afkrydsningsfelter til en AutoWidthColumnListCtrl, som selv er baseret på wx.ListCtrl.
* Hvis du har brug for at gøre en wx-widget tilgængelig, som ikke allerede er det, er det muligt at gøre dette ved at bruge en instans af gui.accPropServer.IAccPropServer_impl. (#7491)
 * Se implementeringen af gui.nvdaControls.ListCtrlAccPropServer for mere info.
* Opdateret configobj til 5.1.0dev commit 5b5de48a. (#4470)
* Handlingen config.post_configProfileSwitch tager nu det valgfrie prevConf-nøgleargument, som tillader handlere at tage handling baseret på forskelle mellem konfigurationen før og efter profilskiftet. (#8758)

## 2018.3.2

Dette er en mindre opdatering for at omgå et nedbrud i Google Chrome, når der navigeres i tweets på [www.twitter.com](http://www.twitter.com). (#8777)

## 2018.3.1

Dette er en mindre opdatering for at rette en kritisk fejl i NVDA, som fik 32-bit versioner af Mozilla Firefox til at gå ned. (#8759)

## 2018.3

Af væsentlige forbedringer i denne version af NVDA kan nævnes automatisk detektion af punktdisplays, understøttelse for nye Windows 10-funktioner herunder det nye emoji-panel, samt mange andre fejlrettelser.

### Nye Funktioner

* NVDA kan nu rapportere grammatikfejl på websider, når dette er passende angivet i Mozilla Firefox. (#8280)
* Indhold markeret som værende enten indsat eller slettet på websider rapporteres nu i Google Chrome. (#8558)
* Tilføjet understøttelse for BrailleNote QT og Apex BTs rullehjul, når BrailleNote benyttes som punktdisplay. (#6316)
* Tilføjet scripts til rapportering af den forløbne tid af et spor, samt den aktuelle længde af sporet i Foobar2000. (#6596)
* Annoncering af Mac-tasten "kommando" (⌘) rapporteres nu korrekt med enhver talesyntese. (#8366)
* Tilpassede roller der benytter attributten "aria-roledescription" understøttes nu i Mozilla Firefox, Google Chrome og Internet Explorer. (#8448)
* Nye punkttabeller: Tjekkisk 8-punkt, central kurdisk, esperanto, ungarsk, svensk 8-punkt computer braille. (#8226, #8437)
* Understøttelse for automatisk detektion af punktdisplays i baggrunden. (#1271)
 * ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille og HumanWare BrailleNote samt Brailliant BI/B displays er understøttet i øjeblikket.
 * Du kan slå denne indstilling til under NVDAs dialog til valg af punktdisplay, og vælge punktet "Automatisk" i listen over displays.
 * Se venligst dokumentation for yderligere oplysninger.
* Understøttelse for moderne inputmetoder i Windows 10. Disse omfatter emoji-panelet og diktering (Fall Creators Update), indtastningsforslag fra hardwaretastaturer (April 2018 Update) og Cloud Clipboard Paste (October 2018 Update). (#7273)
* Indhold markeret som et blokcitat ved brug af ARIA (role blockquote) er nu understøttet i Mozilla Firefox 63. (#8577)

### Ændringer

* Listen over tilgængelige sprog i den generelle indstillingskategori sorteres nu efter navn på de pågældende sprog i stedet for ISO 639. (#7284)
* Tilføjede standarddefineret inputbevægelse for ALT+Skift+Tab og Windows+Tab for alle Freedom Scientific punktdisplays. (#7387)
* Det er nu muligt at tildele andre funktioner til venstre og højre smartPad-knapper samt Thumb og eTouch på ALVA BC680 og Protocol Converter displays. (#8230)
* For ALVA BC6 displays, tastekombinationen SP2+SP3 vil nu annoncere den aktuelle dato og tid, og SP1+SP2 emulerer Windows-tasten. (#8230)
* Brugeren bliver nu spurgt en gang når NVDA starter, om der ønskes at der indsendes brugsstatistikker til NV Access, når der søges efter opdateringer. (#8217)
* Hvis brugeren har erklæret sig enig i indsendelsen af brugsstatistikker til NV Access under søgningen efter opdateringer, vil NVDA nu sende navnet på den aktuelle driver der benyttes som talesyntese og til punktskrift. Dette vil hjælpe med at prioritere fremtidigt arbejde på disse drivere. (#8217)
* Opdaterede liblouis punktoversætter til version 3.6.0. (#8365)
* Opdaterede stien således at den peger til den korrekte tabel for russisk 8-punkt. (#8446)
* Opdaterede eSpeak-ng til 1.49.3dev commit 910f4c2. (#8561)

### Fejlrettelser

* Tilgængelige etiketter i Google Chrome skulle gerne rapporteres oftere i gennemsynstilstand, særligt når selve etiketten ikke vises som indhold. (#4773)
* Notifikationer er nu understøttede i Zoom. Dette inkluderer f.eks. når lyd slås til og fra og når der bliver modtaget beskeder. (#7754)
* Punktoutput holder ikke længere op med at følge markøren i gennemsynstilstand, når der skiftes kontekstpræsentation i punkt. (#7741)
* ALVA BC680 punktdisplays vil ikke længere undlade at initialisere en gang imellem. (#8106)
* Som standard vil ALVA BC6 punktdisplays ikke længere udføre emulerede systemtastaturkommandoer, når der udføres tastekombinationer der inkluderer SP2+SP3 for at udløse intern funktionalitet. (#8230)
* Ved et tryk på SP3 på et ALVA BC6 punktdisplay, vil ALT-tasten nu blive emuleret som forventet. (#8360)
* NVDA annoncerer ikke længere overflødige tastaturskift. (#7383, #8419)
* Musefølgning er nu meget mere præcis i Notepad og i andre applikationer der benytter redigerbare kontrolelementer til indtastning af almindelig tekst, når du befinder dig i et dokument med mere end 65535 tegn. (#8397)
* NVDA vil genkende flere dialoger i Windows 10 og andre moderne applikationer. (#8405)
* I Windows October 10 2018 Update og Server 2019 og senere, vil NVDA ikke længere have problemer med at følge systemfokus når en applikation fryser eller overbelaster systemet med hændelser. (#7345, #8535)
* Brugere får nu at vide, hvis de forsøger at læse eller kopiere indholdet af en tom statuslinje. (#7789)
* Rettede en fejl hvor ikke-valgte check boxe ikke blev rapporteret med tale, hvis kontrollen tidligere var delvist markeret. (#6946)
* Navnet for det burmesiske sprog er nu vist korrekt under Windows 7 i NVDAs generelle indstillingspanel. (#8544)
* NVDA vil nu meddele notifikationer som tilgængeligheden af læservisning i Microsoft Edge, samt hvor meget af den aktuelle side er indlæst. (#8423)
* NVDA vil nu rapportere etiketten på en list, hvis forfatteren har angivet dette. (#7652)
* 64-bit versionen af Media Player Classic er nu understøttet. (#6066)
* Inputbevægelser, som du manuelt tildeler et bestemt punktdisplay, vil nu vises som at være tildelt det valgte display. Tidligere blev disse vist som om, at de tilhørte det aktuelle tilkoblede display. (#8108)
* Flere forbedringer til understøttelse af Microsoft Word, når du anvender et punktdisplay og UI Automation er slået til.
 * Lignende andre multilinje tekstfelter, vil dit display nu panorere for at vise det første tegn i dokumentet på punkt ved første celle på dit display, når positionen befinder sig ved starten af et dokument. (#8406)
 * Reducerede ordmængden af fokuspræsentation mht. punkt og tale, når et Word-dokument får fokus. (#8407)
 * Markørflytning på punkt virker nu korrekt i en liste i et Word-dokument. (#7971)
 * Nyindsatte punkter og numre rapporteres nu korrekt med tale og punkt. (#7970)
* Det er nu muligt at installere tilføjelsespakker under Windows 10 1803 og senere, når funktionen "Brug Unicode UTF-8 for verdensomspændende sprogunderstøttelse" er slået til. (#8599)
* NVDA vil ikke længere gøre iTunes 12.9 og nyere fuldstændig umulig at interagere med. (#8744)

### Ændringer for udviklere

* Tilføjet scriptHandler.script, som kan bruges som en dekorator til scripts på scriptbare objekter. (#6266)
* Et systemtest-framework er blevet introduceret til NVDA. (#708)
* Nogle ændringer er blevet foretaget i hwPortUtils-modulet: (#1271)
 * listUsbDevices returnerer nu ordbøger med enhedsoplysninger inklusive hardwareID og devicePath.
 * Ordbøger returneret af listComPorts indeholder nu også en usbID-post for COM-porte med USB VID/PID-oplysninger i deres hardware-ID.
* Opdateret wxPython til 4.0.3. (#7077)
* Da NVDA nu kun understøtter Windows 7 SP1 og nyere, er nøglen "minWindowsVersion" brugt til at kontrollere, om UIA skal aktiveres for en bestemt version af Windows, blevet fjernet. (#8422)
* Du kan nu registrere dig for at blive underrettet om konfigurationsgemnings-/nulstillingshandlinger via nye config.pre_configSave, config.post_configSave, config.pre_configReset og config.post_configReset handlinger. (#7598)
 * config.pre_configSave bruges til at blive underrettet, når NVDAs konfiguration er ved at blive gemt, og config.post_configSave kaldes efter konfigurationen er blevet gemt.
 * config.pre_configReset og config.post_configReset inkluderer et flag for fabriksindstillinger for at specificere, om indstillingerne genindlæses fra disk (false) eller nulstilles til standardindstillinger (true).
* config.configProfileSwitch er blevet omdøbt til config.post_configProfileSwitch for at afspejle det faktum, at denne handling kaldes efter profilswitch har fundet sted. (#7598)
* UI Automation interfaces opdateret til Windows 10 October 2018 Update og Server 2019 (IUIAutomation6 / IUIAutomationElement9). (#8473)

## 2018.2.1

Denne udgivelse indeholder opdateringer af oversættelser som følge af en sidste-øjebliks fjernelse af en funktion, der forårsagede problemer.

## 2018.2

Af væsentlige forbedringer i denne version kan nævnes understøttelse for tabeller i Kindle for PC, støtte for Humanwear BrailleNote Touch og BI14 punktdisplays, forbedringer til OneCore og SAPI5-talesynteser, forbedringer til Microsoft Outlook og meget mere.

### Nye Funktioner

* NVDA rapporterer nu hvor mange kolonner og rækker en tabel omfatter med tale og punkt. (#2642)
* Kommandoer til tabelnavigation kan nu benyttes i Google Docs (med braille-tilstand slået til). (#7946)
* Det er muligt at navigere rundt i tabeller i Kindle for PC. (#7977)
* Understøtter BrailleNote Touch og Brailliant BI 14 punktdisplays via både USB og bluetooth. (#6524)
* NVDA kan nu annoncere notifikationer fra apps som Lommeregner og Windows Store. (#8045)
* Nye punkttabeller: Litauisk ottepunkt, ukrainsk, mongolsk Niveau 2. (#7839)
* Tilføjede et script, der kan rapportere tekstformatering under den aktuelle punktcelle. (#7106)
* Det er nu muligt at udskyde installationen af NVDA til et mere bekvemt tidspunkt. (#4263)
* Nye sprog: Mongolsk, schweizisk tysk.
* Du kan nu benytte kommandotasterne CTRL, Skift, Alt, Windows og NVDA fra dit punkttastatur og kombinere disse kommandotaster med punktindtastning (f.eks. trykke CTRL+S.) (#7306)
 * Du kan tildele disse kommandotaster ved brug af kommandoerne, der er at finde under emulerede tastaturtryk i dialogen for inputbevægelser.
* Gendannede understøttelse for Handy Tech Braillino og Modular (med gammel firmware) displays. (#8016)
* Dato og tid for understøttede Handy Tech-enheder (herunder Active Braille og Active Star) vil nu blive automatisk synkroniseret ved hjælp af NVDA, hvis tiden er mere end 5 sekunder bagud. (#8016)
* En inputbevægelse kan nu tildeles for at midlertidigt deaktivere alle udløsere for alle indstillingsprofiler. (#4935)

### Ændringer

* Statuskolonnen i dialogen for styring af tilføjelsespakker vil nu indikere om pakken er aktiveret eller deaktiveret, hvor den før viste om pakken var i gang eller stoppet. (#7929)
* Opdaterede liblouis Braille Translator til 3.5.0. (#7839)
* Den litauiske punktoversættelsestabel er blevet omdøbt til litauisk sekspunkt for at undgå forvirring, da vi nu har en tabel til litauisk ottepunkt. (#7839)
* Det fransk (Canada) niveau 1 og niveau 2 punkttabeller er blevet erstattet med Fransk (Unified) og Fransk (Niveau 2). (#7839)
* De sekundære markørsammenføringsknapper på Alva BC6, EuroBraille og Papenmeier punktdisplays rapporterer nu tekstformateringen under den aktuelle punktcelle. (#7106)
* Forkortede punkttabeller vil nu automatisk falde tilbage til uforkortet tilstand, hvis du befinder dig på et uredigerbart kontrolelement (f.eks. kontroller hvor der ikke befinder sig en markør eller i gennemsynstilstand). (#7306)
* NVDA er nu mindre ordrig, når en aftale eller en tid i Outlook-kalenderen dækker hele dagen. (#7949)
* Alle NVDAs indstillinger kan nu findes i en enkelt indstillingsdialog under NVDA > Præferencer > Indstillinger. (#7302)
* Standardsyntesen for NVDA, når du kører Windows 10, vil nu være Windows OneCore i stedet for eSpeak. (#8176)

### Fejlrettelser

* NVDA har ikke længere problemer med at læse kontroller, når du befinder dig i indstillingerne du skal benytte for at logge ind på din Microsoft-konto, hvis du har indtastet en email-adresse. (#7997)
* NVDA vil ikke længere fejle ved oplæsning af en side, når du bevæger dig til den forrige side i Microsoft Edge. (#7997)
* NVDA vil ikke længere ukorrekt meddele det endelige tegn, når du logger på ved brug af en PIN-kode i Windows 10. (#7908)
* Mærker på check boxe og radioknapper i Chrome og Firefox annonceres ikke længere to gange, når der bruges bogstavnavigation eller tab-tasten benyttes. (#7960)
* Håndter aria-current med en værdi false som false i stedet for true (#7892).
* Stemmerne tilhørende Windows OneCore vil ikke længere være ude af stand til at indlæse, hvis en konfigureret stemme tilhørende den pågældende talesyntese er blevet fjernet. (#7999)
* Det er nu hurtigere at skifte imellem stemmer, når Windows OneCore benyttes. (#7999)
* Rettede ukorrekt punktoutput for flere punkttabeller, herunder store bogstaver i ottepunkt forkortet dansk punkt. (#7526, #7693)
* NVDA kan nu rapportere flere typer af punkter i Microsoft Word. (#6778)
* Udførelse af scriptet til rapportering af tekstformatering vil ikke længere have uventede resultater og flytte læsepositionen. (#7869)
* Punktindtastning vil ikke længere lade dig benytte forkortet punktskrift hvor det ikke er tilladt (f.eks. hele ord vil ikke længere blive sendt til systemet udenfor tekstindhold og i gennemsynstilstand). (#7306)
* Rettede forbindelsesproblemer med Handy Tech Easy Braille og Braille Wave displays. (#8016)
* I Windows 8 og nyere, vil NVDA ikke længere annoncere "Ukendt", når du åbner et menupunkt fra en hurtiglink-menu (Windows+X). (#8137)
* Modelspecifikke kommandoer til knapper på Hims-punktdisplays virker nu som forventet ifølge brugervejledningen. (#8096)
* NVDA vil nu forsøge at rette system COM registration-problemer, der kan gøre programmer som Firefox og Internet Explorer utilgængelige og rapportere "Ukendt". (#2807)
* Løste en fejl i joblisten der gjorde, at man ikke kunne benytte NVDA til at få bestemte detaljer for en proces oplyst. (#8147)
* Nyere Microsoft SAPI5-stemmer er ikke længere forsinkede når de er færdig med at tale. Dette gør disse stemmer mere effektive under navigering. (#8174)
* NVDA rapporterer ikke længere (LTR og RTL-tegn) med punkt eller under oplæsning af enkle tegn, når du bruger uret i nyere versioner af Windows. (#5729)
* Detektion af rulletaster på Hims Smart Beetle displays er nu igen pålidelig. (#6086)
* I nogle tekstkontroller, især Delfi-applikationer, er informationer oplyst vedr. navigation og redigering blevet meget mere pålidelige. (#636, #8102)
* I Windows 10 RS5, vil NVDA ikke længere rapportere yderligt overflødige informationer, når der skiftes mellem programmer med ALT+Tab. (#8258)

### Ændringer for udviklere

* Udviklerinfo for UIA-objekter indeholder nu en liste over tilgængelige UIA-mønstre. (#5712)
* App-moduler kan nu tvinge visse vinduer til altid at bruge UIA ved at implementere metoden isGoodUIAWindow. (#7961)
* Den skjulte boolske flag "outputPass1Only" i braille-sektionen af konfigurationen er igen blevet fjernet. Liblouis understøtter ikke længere kun pass 1 output. (#7839)

## 2018.1.1

Dette er en særlig udgivelse af NVDA, som adresserer en fejl i Onecore-talesyntesedriveren, som fik den til at tale med en højere tonehøjde og hastighed i Windows 10 Redstone 4 (1803). (#8082)

## 2018.1

Af væsentlige ændringer i denne version af NVDA kan nævnes understøttelse af diagrammer i Microsoft Word og Powerpoint, understøttelse for de nye Eurobraille-punktdisplays samt Optelec protokolomformer, forbedret understøttelse for Hims og Optelec-punktdisplays, forbedret ydeevne i Firefox 58 eller nyere og meget mere.

### Nye Funktioner

* Det er nu muligt at interagere med diagrammer i Microsoft Word og Microsoft Powerpoint, ligesom man kan i Microsoft Excel. (#7046)
 * Microsoft Word: Bevæg markøren til et diagram. Tryk dernæst enter for at interagere med diagrammet.
 * I Microsoft Powerpoint når et dias redigeres: Tab til et diagramobjekt. Dernæst tryk enter eller mellemrum for at aktivere med diagrammet.
 * For at stoppe med at interagere med et diagram, tryk ESC.
* Nyt sprog: Kirgisisk.
* Tilføjet understøttelse for VitalSource Bookshelf. (#7155)
* Understøttelse for Optelecs protokolomformer, der er en enhed der lader dig benytte punktdisplays som Braille Voyager og Satelite ved brug af ALVA BC6 kommunikationsprotokolen. (#6731)
* Det er nu muligt at bruge punktindtastning med et ALVA 640 Comfort punktdisplay. (#7733)
 * NVDAs punktindtastningsfunktionalitet kan benyttes med disse samt andre BC6-punktdisplays med firmwareversion 3.0.0 og nyere.
* Initiel understøttelse af Google Sheets med punkttilstand slået til. (#7935)
* Understøttelse for Eurobraille Esys, Esytime og Iris punktdisplays. (#7488)

### Ændringer

* HIMS Braille Sense/Braille EDGE/Smart Beetle og Hims SyncBraille punktdisplay-drivere er blevet erstattet af en driver. Denne driver bliver automatisk benyttet for brugere af SyncBraille punktdisplays. (#7459)
 * Nogle taster, navnligt dem der benyttes til at rulle displayet, er blevet tildelt de taster anvendt af Hims egne produkter. Se brugervejledningen for yderligere information.
* Hvis du benytter touch-tastaturet på skærmen til at indtaste tekst, skal du nu trykke to gange på en tast for at skrive. Dette er en standardindstilling. (#7309)
 * For at bruge den eksisterende tilstand for berøringsindstastning, hvor du blot kan løfte fingeren for at indtaste et tegn, skal du gå til dialogen "Touch-interaktion" under "Indstillinger" i NVDA-menuen.
* Det er ikke længere nødvendigt at indstille NVDA til at få punkt til at følge fokus eller læsemarkøren, da dette nu sker automatisk. (#2385)
 * Bemærk: Automatisk vil kun forekomme, hvis kommandoer til læsemarkøren eller objektnavigation benyttes. Punkt følger ikke automatisk, hvis du blot ruller dit punktdisplay.

### Fejlrettelser

* Meddelelser, der kan gennemses ved brug af gennemsynstilstand (som at vise den aktuelle tekstformatering ved brug af to tryk på NVDA+F) vil ikke længere fejle, når NVDA indstalleres til en sti med non-ASCII-tegn. (#7474)
* Fokus er nu igen gendannet korrekt, hvis du vender tilbage til Spotify fra en anden applikation. (#7689)
* NVDA vil ikke længere have problemer med at opdatere, når styret mappeadgang er slået til i Windows Defender Security Center i Windows 10 Fall Creators Update. (#7696)
* Aktivering af rulletaster på Hims Smart Beetle punktdisplays er ikke længere upålidelig. (#6086)
* Forbedret ydeevne, når der læses store mængder indhold i Mozilla Firefox 58 og nyere. (#7719)
* Læsning af emails der indeholder tabeller vil ikke længere resultere i fejl i Microsoft Outlook. (#6827)
* Punktdisplaytaster der emulere systemtastaturets funktionstaster kan nu kombineres med andre emulerede systemtastaturtaster, hvis bevægelsen er modelspecifik. (#7783)
* Mozilla Firefox: Gennemsynstilstand virker nu som forventet i pop-ops der fremkommer af udvidelser som LastPass og bitwarden. (#7809)
* NVDA vil ikke længere fryse nogle gange hvis fokus ændres, når Mozilla Firefox eller Google Chrome ikke længere svarer. (#7818)
* NVDA vil ikke længere ignorere de sidste tyve tegn i en tweet på 280 tegn i Twitter-klienter som Chicken Nugget. (#7828)
* NVDA benytter nu det korrekte sprog når symboler annonceres under valg af tekst. (#7687)
* I de seneste versioner af Office 365 er det nu igen muligt at bevæge sig rundt i Excel-diagrammer ved brug af piletasterne. (#7046)
* Kontroltilstande vil nu altid rapporteres med tale og punkt i samme rækkefølge, uanset om de er positive eller negative. (#7076)
* I apps som Windows 10 Mail vil NVDA nu korrekt rapportere når tegn slettes ved hjælp af backspace. (#7456)
* Alle taster på punktdisplayet Hims Braille Sense Polaris virker nu som forventet. (#7865)
* NVDA vil ikke længere klage over en manglende internal MS-API DLL og være ude af stand til at starte op i Windows 7, når en bestemt version af Visual Studio 2017 redistributables er blevet installeret af en anden applikation. (#7975)

### Ændringer for udviklere

* Tilføjet et skjult boolsk flag til punktafsnittet i konfigurationen: "outputPass1Only". (#7301, #7693, #7702)
 * Dette flag er som standard indstillet til true. Hvis det er sat til false, vil liblouis multi-pass regler blive brugt til punktudskrift.
* En ny ordbog (braille.RENAMED_DRIVERS) er blevet tilføjet for at muliggøre en glidende overgang for brugere, der anvender drivere, som er blevet erstattet af andre. (#7459)
* Opdateret comtypes-pakke til version 1.1.3. (#7831)
* Implementeret et generisk system i braille.BrailleDisplayDriver til at håndtere displays, der sender bekræftelses/acknowledgement-pakker. Se handyTech-punktdisplaydriveren som eksempel. (#7590, #7721)
* En ny variabel "isAppX" i config-modulet kan bruges til at opdage, om NVDA kører som en Windows Desktop Bridge Store-app. (#7851)
* For dokumentimplementeringer som NVDAObjects eller browseMode, der har en textInfo, er der nu en ny documentBase.documentWithTableNavigation-klasse, der kan nedarves fra for at opnå standard scripts til tabelnavigation. Se venligst denne klasse for at finde ud af, hvilke hjælpemetoder din implementering skal tilbyde for at få tabelnavigation til at fungere. (#7849)
* Scons batch-filen håndterer nu bedre, når Python 3 også er installeret, og gør brug af launcheren til specifikt at starte Python 2.7 32-bit. (#7541)
* hwIo.Hid tager nu en ekstra parameter, "exclusive", som er indstillet til true som standard. Hvis den er sat til false, får andre applikationer lov til at kommunikere med enheden, mens den er forbundet til NVDA. (#7859)

## 2017.4

Højdepunkter i denne version inkluderer mange fejlrettelser og forbedringer til websupport, herunder gennemsynstilstand for webdialoger som standard, bedre rapportering af feltgruppelabels i gennemsynstilstand, understøttelse af nye Windows 10-teknologier som Windows Defender Application Guard og Windows 10 på ARM64, samt automatisk rapportering af skærmretning og batteristatus.
Bemærk venligst, at denne version af NVDA ikke længere understøtter Windows XP eller Windows Vista. Den minimale krav til NVDA er nu Windows 7 med Service Pack 1.

### Nye funktioner

* I gennemsynstilstand er det nu muligt at springe til slutningen/til starten af landemærker ved hjælp af kommandoerne spring til slutningen/begyndelsen af beholder (komma/skift+komma). (#5482)
* I Firefox, Chrome og Internet Explorer inkluderer hurtig navigation til redigeringsfelter og formularfelter nu redigerbart righoldigt tekstindhold (dvs. contentEditable). (#5534)
* I webbrowsere kan elementlisten nu vise formularfelter og knapper. (#588)
* Indledende understøttelse af Windows 10 på ARM64. (#7508)
* Tidlig understøttelse af læsning og interaktiv navigation af matematisk indhold for Kindle-bøger med tilgængelig matematik. (#7536)
* Tilføjet understøttelse af Azardi e-bogslæser. (#5848)
* Versionsinformation for tilføjelser rapporteres nu ved opdatering. (#5324)
* Tilføjet nye kommandolinjeparametre for at oprette en bærbar kopi af NVDA. (#6329)
* Understøttelse af Microsoft Edge, der kører inden for Windows Defender Application Guard i Windows 10 Fall Creators Update. (#7600)
* Hvis NVDA kører på en bærbar eller tablet, vil den nu rapportere, når en oplader er tilsluttet/frakoblet, og når skærmretningen ændres. (#4574, #4612)
* Nyt sprog: Makedonsk.
* Nye punktskrift oversættelsestabeller: Kroatisk grad 1, Vietnamesisk grad 1. (#7518, #7565)
* Understøttelse af Actilino punktdisplay fra Handy Tech er tilføjet. (#7590)
* Punktskriftinput for Handy Tech punktdisplays understøttes nu. (#7590)

### Ændringer

* Den minimale understøttede operativsystem for NVDA er nu Windows 7 Service Pack 1, eller Windows Server 2008 R2 Service Pack 1. (#7546)
* Webdialoger i Firefox og Chrome-webbrowsere bruger nu automatisk gennemsynstilstand, medmindre de er inden for en webapplikation. (#4493)
* I gennemsynstilstand meddeler tabulering og bevægelse med hurtige navigationskommandoer ikke længere, at der hoppes ud af beholdere som lister og tabeller, hvilket gør navigation mere effektiv. (#2591)
* I gennemsynstilstand for Firefox og Chrome meddeles navnet på formularfeltgrupper nu, når man bevæger sig ind i dem med hurtig navigation eller ved tabulering. (#3321)
* I gennemsynstilstand inkluderer hurtig navigationskommandoen for indlejrede objekter (o og skift+o) nu også lyd- og videoelementer samt elementer med aria rollerne applikation og dialog. (#7239)
* Espeak-ng er blevet opdateret til 1.49.2, hvilket løser nogle problemer med at producere frigivelsesbygger. (#7385, #7583)
* Ved tredje aktivering af kommandoen 'læs statuslinje', kopieres dens indhold til udklipsholderen. (#1785)
* Når man tildeler kommandoer til taster på en Baum-enhed, kan man begrænse dem til modellen af det anvendte punktdisplay (f.eks. VarioUltra eller Pronto). (#7517)
* Genvejstasten for filterfeltet i elementlisten i gennemsynstilstand er ændret fra alt+f til alt+e. (#7569)
* En ikke-tilknyttet kommando er blevet tilføjet til gennemsynstilstand for at skifte inklusionen af layouttabeller til og fra dynamisk. Du kan finde denne kommando i kategorien Gennemsynstilstand i dialogboksen Indtastningskommandoer. (#7634)
* Liblouis-punktskriftoversætteren er opgraderet til 3.3.0. (#7565)
* Genvejstasten for regulært udtryk-radio-knappen i ordbogsdialogboksen er ændret fra alt+r til alt+e. (#6782)
* Stemmediktatfiler er nu versionsstyrede og er blevet flyttet til mappen 'speechDicts/voiceDicts.v1'. (#7592)
* Versionsstyrede filer (brugeropsætning, stemmeordbøger) ændringer gemmes ikke længere, når NVDA køres fra en launcher. (#7688)
* Braillino, Bookworm og Modular (med gammel firmware) punktdisplays fra Handy Tech understøttes ikke længere ud af boksen. Installer Handy Tech Universal Driver og NVDA-tilføjelse for at bruge disse displays. (#7590)

### Fejlrettelser

* Links angives nu i punktskrift i applikationer som Microsoft Word. (#6780)
* NVDA bliver ikke længere mærkbart langsommere, når mange faner er åbne i enten Firefox eller Chrome-webbrowsere. (#3138)
* Cursorrouting for MDV Lilli punktdisplay flytter ikke længere forkert én punktcelle fremad. (#7469)
* I Internet Explorer og andre MSHTML-dokumenter understøttes HTML5-krævet-attributten nu for at angive den krævede tilstand for et formularfelt. (#7321)
* Punktdisplays opdateres nu, når man indtaster arabiske tegn i et venstrejusteret WordPad-dokument. (#511)
* Tilgængelige labels for kontroller i Mozilla Firefox rapporteres nu mere konsekvent i gennemsynstilstand, når labelen ikke fremstår som indhold i sig selv. (#4773)
* På Windows 10 Creators Update kan NVDA igen tilgå Firefox efter en genstart af NVDA. (#7269)
* Ved genstart af NVDA med Mozilla Firefox i fokus vil gennemsynstilstand igen være tilgængelig, selvom du muligvis skal skifte væk med alt+tab og tilbage igen. (#5758)
* Det er nu muligt at tilgå matematikindhold i Google Chrome på et system uden Mozilla Firefox installeret. (#7308)
* Operativsystemet og andre applikationer bør være mere stabile lige efter installationen af NVDA, før genstart, sammenlignet med installationer af tidligere NVDA-versioner. (#7563)
* Når man bruger en indholdsgenkendelseskommando (f.eks. NVDA+r), rapporterer NVDA nu en fejlmeddelelse i stedet for ingenting, hvis navigatorobjektet er forsvundet. (#7567)
* Baglæns rulning er blevet rettet for Freedom Scientific punktdisplays, der har en venstre bumperstang. (#7713)

### Ændringer for udviklere

* "scons tests" kontrollerer nu, at oversættelige strenge har oversætterkommentarer. Du kan også køre dette alene med "scons checkPot". (#7492)
* Der er nu et nyt extensionPoints-modul, der giver en generisk ramme for at muliggøre kodeudvidelse på specifikke punkter i koden. Dette gør det muligt for interesserede parter at registrere for at blive underrettet, når en handling sker (extensionPoints.Action), for at ændre en bestemt slags data (extensionPoints.Filter) eller for at deltage i beslutningen om, hvorvidt noget vil blive gjort (extensionPoints.Decider). (#3393)
* Du kan nu registrere for at blive underrettet om konfigurationsprofilskift via config.configProfileSwitched Action. (#3393)
* Punktskriftkommandoer, der emulerer systemtastatur-modifikatortaster (såsom control og alt), kan nu kombineres med andre emulerede systemtastaturtaster uden eksplicit definition. (#6213)
 * For eksempel, hvis du har en tast på dit display bundet til alt-tasten og en anden display-tast til ned-pilen, vil kombination af disse taster resultere i emulering af alt+ned-pilen.
* Klassen braille.BrailleDisplayGesture har nu en ekstra model-egenskab. Hvis den angives, genererer et tryk på en tast en ekstra, modelspecifik kommando-identifikator. Dette gør det muligt for en bruger at tildele kommandoer begrænset til en specifik punktdisplaymodel.
 * Se baum-driveren som et eksempel på denne nye funktionalitet.
* NVDA kompileres nu med Visual Studio 2017 og Windows 10 SDK. (#7568)

## 2017.3

Højdepunkterne i denne version inkluderer input af forkortet punktskrift, understøttelse af de nye Windows OneCore-stemmer tilgængelige på Windows 10, indbygget understøttelse af Windows 10 OCR, og mange væsentlige forbedringer vedrørende punktskrift og internettet.

### Nye funktioner

* En punktskriftsindstilling er blevet tilføjet til at "vise meddelelser på ubestemt tid". (#6669)
* I Microsoft Outlook-meddelelseslister rapporterer NVDA nu, om en meddelelse er markeret. (#6374)
* I Microsoft PowerPoint rapporteres den præcise type af en form, når man redigerer en slide (såsom trekant, cirkel, video eller pil), frem for blot "form". (#7111)
* Matematiske indhold (givet som MathML) understøttes nu i Google Chrome. (#7184)
* NVDA kan nu tale ved brug af de nye Windows OneCore-stemmer (også kendt som Microsoft Mobile-stemmer), som er inkluderet i Windows 10. Du får adgang til disse ved at vælge Windows OneCore-stemmer i NVDA's Synthesizer-dialog. (#6159)
* NVDA-brugerkonfigurationsfiler kan nu gemmes i brugerens lokale programdata-mappe. Dette aktiveres via en indstilling i registreringsdatabasen. Se "Systemomspændende Parametre" i Brugervejledningen for flere detaljer. (#6812)
* I web-browsere rapporterer NVDA nu pladsholderværdier for felter (specifikt understøttes aria-placeholder). (#7004)
* I Gennemsynstilstand for Microsoft Word er det nu muligt at navigere til stavefejl ved brug af hurtig navigation (w og shift+w). (#6942)
* Tilføjet understøttelse for datovælgerkontrollen, der findes i Microsoft Outlook Aftaledialoger. (#7217)
* Den aktuelt valgte forslag rapporteres nu i Windows 10 Mail til/cc-felterne og i søgefeltet i Windows 10-indstillingerne. (#6241)
* En lyd afspilles nu for at indikere, når forslag vises i visse søgefelter i Windows 10 (f.eks. startskærm, søgning i indstillinger, Windows 10 mail til/cc-felter). (#6241)
* NVDA rapporterer nu automatisk meddelelser i Skype for Business Desktop, såsom når nogen starter en samtale med dig. (#7281)
* NVDA rapporterer nu automatisk indkommende chatbeskeder under en Skype for Business-samtale. (#7286)
* NVDA rapporterer nu automatisk meddelelser i Microsoft Edge, såsom når en download starter. (#7281)
* Du kan nu skrive i både forkortet og uforkortet punktskrift på et punktdisplay med et punkt-tastatur. Se afsnittet om Punktskriftsinput i Brugervejledningen for flere detaljer. (#2439)
* Du kan nu indtaste Unicode punktskrift-tegn fra punkt-tastaturet på et punktdisplay ved at vælge Unicode punktskrift som inputtabel i Punktskriftindstillinger. (#6449)
* Tilføjet understøttelse for SuperBraille-punktdisplayet, der anvendes i Taiwan. (#7352)
* Nye punktskrifttabeller: Dansk 8-punkt computer punktskrift, Litauisk, Persisk 8-punkt computer punktskrift, Persisk grad 1, Slovensk 8-punkt computer punktskrift. (#6188, #6550, #6773, #7367)
* Forbedret Engelsk (U.S.) 8-punkt computer punktskrift-tabel, herunder understøttelse for punkttegn, euro-tegn og accentuerede bogstaver. (#6836)
* NVDA kan nu bruge OCR-funktionaliteten, der er inkluderet i Windows 10, til at genkende teksten i billeder eller utilgængelige applikationer. (#7361)
 * Sproget kan indstilles fra den nye Windows 10 OCR-dialog i NVDA-præferencer.
 * For at genkende indholdet af det aktuelle navigatorobjekt, tryk NVDA+r.
 * Se afsnittet om Indholdsgenkendelse i Brugervejledningen for flere detaljer.
* Du kan nu vælge, hvilken kontekstinformation der vises på et punktdisplay, når et objekt får fokus ved hjælp af den nye indstilling "Fokus kontekstpræsentation" i Punktskriftindstillinger-dialogen. (#217)
 * For eksempel kan indstillingerne "Fyld display for kontekstændringer" og "Kun når man ruller tilbage" gøre arbejdet med lister og menuer mere effektivt, da elementerne ikke kontinuerligt ændrer position på displayet.
 * Se afsnittet om indstillingen "Fokus kontekstpræsentation" i Brugervejledningen for flere detaljer og eksempler.
* I Firefox og Chrome understøtter NVDA nu komplekse dynamiske gittere, såsom regneark, hvor kun en del af indholdet kan være indlæst eller vist (specifikt understøttes aria-rowcount, aria-colcount, aria-rowindex og aria-colindex attributterne, som blev introduceret i ARIA 1.1). (#7410)

### Ændringer

* En udefineret kommando er blevet tilføjet for at genstarte NVDA efter behov. Du kan finde den i kategorien Diverse i Kommandoindstillinger-dialogen. (#6396)
* Tastaturlayoutet kan nu indstilles fra NVDA's Velkomst-dialog. (#6863)
* Mange flere kontroltyper og tilstande er blevet forkortet for punktskrift. Landemærker er også blevet forkortet. Se "Kontroltype-, Tilstands- og Landemærkeforkortelser" under Punktskrift i Brugervejledningen for en komplet liste. (#7188, #3975)
* Opdateret eSpeak NG til 1.49.1. (#7280)
* Output- og inputtabellerne i Punktskriftindstillinger-dialogen sorteres nu alfabetisk. (#6113)
* Opdateret liblouis punktskriftoversætter til 3.2.0. (#6935)
* Standardpunktskriftstabel er nu Unified English Braille Code grad 1. (#6952)
* Som standard viser NVDA nu kun de dele af kontekstinformationen, der har ændret sig på et punktdisplay, når et objekt får fokus. (#217)
 * Tidligere viste den altid så meget kontekstinformation som muligt, uanset om du har set den samme kontekstinformation før.
 * Du kan vende tilbage til den gamle opførsel ved at ændre den nye indstilling "Fokus kontekstpræsentation" i Punktskriftindstillinger-dialogen til "Altid fyld display".
* Når du bruger punktskrift, kan markøren konfigureres til at have en anden form, når den er forbundet til fokus eller gennemsyn. (#7122)
* NVDA-logoet er blevet opdateret. Det opdaterede NVDA-logo er en stiliseret blanding af bogstaverne NVDA i hvidt, på en solid lilla baggrund. Dette sikrer, at det er synligt på enhver farvebaggrund, og bruger den lilla farve fra NV Access-logoet. (#7446)

### Fejlrettelser

* Redigerbare div-elementer i Chrome har ikke længere deres etikette rapporteret som deres værdi i gennemsynstilstand. (#7153)
* At trykke på slutningen i gennemsynstilstand for et tomt Microsoft Word-dokument forårsager ikke længere en runtime-fejl. (#7009)
* Gennemsynstilstand understøttes nu korrekt i Microsoft Edge, hvor et dokument har fået tildelt en specifik ARIA-rolle som dokument. (#6998)
* I gennemsynstilstand kan du nu vælge eller fravælge til slutningen af linjen ved hjælp af shift+end, selv når markøren er på det sidste tegn i linjen. (#7157)
* Hvis en dialog indeholder en statuslinje, opdateres dialogteksten nu i punktskrift, når statuslinjen ændres. Dette betyder for eksempel, at den resterende tid nu kan læses i NVDA's "Hentning af opdatering" dialog. (#6862)
* NVDA vil nu annoncere ændringer i valg for visse Windows 10-rullelister, såsom AutoPlay i Indstillinger. (#6337).
* Meningsløs information annonceres ikke længere, når man går ind i Møde-/Aftaleskabelsesdialoger i Microsoft Outlook. (#7216)
* Bip for uspecifikke statuslinjedialoger såsom opdateringstjekker afspilles kun, når statuslinjeoutput er konfigureret til at inkludere bip. (#6759)
* I Microsoft Excel 2003 og 2007 rapporteres celler igen, når man bruger piletasterne til at navigere rundt i et regneark. (#7243)
* I Windows 10 Creators Update og senere aktiveres gennemsynstilstand igen automatisk, når du læser e-mails i Windows 10 Mail. (#7289)
* På de fleste punktdisplays med et punkt-tastatur sletter punkt 7 nu den sidst indtastede punktskriftcelle eller tegn, og punkt 8 trykker på enter-tasten. (#6054)
* I redigerbar tekst, når markøren flyttes (f.eks. med piletasterne eller backspace), er NVDA's talte feedback nu mere præcis i mange tilfælde, især i Chrome og terminalapplikationer. (#6424)
* Indholdet af signaturredigeringsværktøjet i Microsoft Outlook 2016 kan nu læses. (#7253)
* I Java Swing-applikationer forårsager NVDA ikke længere, at applikationen undertiden går ned, når man navigerer i tabeller. (#6992)
* I Windows 10 Creators Update annoncerer NVDA ikke længere toastmeddelelser flere gange. (#7128)
* I startmenuen i Windows 10 forårsager tryk på enter for at lukke startmenuen efter en søgning ikke længere, at NVDA annoncerer søgetekst. (#7370)
* At udføre hurtig navigation til overskrifter i Microsoft Edge er nu betydeligt hurtigere. (#7343)
* I Microsoft Edge springer navigation i gennemsynstilstand ikke længere store dele af visse websider som f.eks. Wordpress 2015-temaet over. (#7143)
* I Microsoft Edge er landemærker korrekt lokaliseret på andre sprog end engelsk. (#7328)
* Punktskrift følger nu korrekt valget, når man vælger tekst ud over displayets bredde. For eksempel, hvis du vælger flere linjer med shift+pil ned, viser punktskrift nu den sidste linje, du har valgt. (#5770)
* I Firefox rapporterer NVDA ikke længere fejlagtigt "sektion" flere gange, når man åbner detaljer for en tweet på twitter.com. (#5741)
* Tabellens navigationskommandoer er ikke længere tilgængelige for layouttabeller i Gennemsynstilstand, medmindre rapportering af layouttabeller er aktiveret. (#7382)
* I Firefox og Chrome springer Gennemsynstilstandens tabellenavigationskommandoer nu over skjulte tabelceller. (#6652, #5655)

### Ændringer for udviklere

* Tidsstempler i loggen inkluderer nu millisekunder. (#7163)
* NVDA skal nu bygges med Visual Studio Community 2015. Visual Studio Express understøttes ikke længere. (#7110)
 * Windows 10-værktøjer og SDK er nu også påkrævet, hvilket kan aktiveres, når Visual Studio installeres.
 * Se afsnittet om installerede afhængigheder i readme for flere detaljer.
* Understøttelse af indholdsgenkendere såsom OCR og værktøjer til billedbeskrivelse kan nemt implementeres ved brug af den nye contentRecog-pakke. (#7361)
* Python json-pakken er nu inkluderet i NVDA's binære builds. (#3050)

## 2017.2

Højdepunkterne i denne version inkluderer fuld understøttelse af lydstyrkenedsættelse i Windows 10 Creators Update, rettelser af flere problemer med valg i gennemsynstilstand, herunder problemer med at vælge alt, betydelige forbedringer i understøttelsen af Microsoft Edge og forbedringer på internettet, såsom indikering af elementer markeret som aktuelle (ved brug af aria-current).

### Nye funktioner

* Cellegrænseoplysninger kan nu rapporteres i Microsoft Excel ved brug af NVDA+f. (#3044)
* I web-browsere angiver NVDA nu, når et element er markeret som aktuelt (specifikt ved brug af aria-current attributten). (#6358)
* Automatisk sprogskift understøttes nu i Microsoft Edge. (#6852)
* Tilføjet understøttelse for Windows Calculator på Windows 10 Enterprise LTSB (Long-Term Servicing Branch) og Server. (#6914)
* At udføre kommandoen "læs aktuel linje" tre gange hurtigt vil stave linjen med bogstavbeskrivelser. (#6893)
* Nyt sprog: Burmesisk.
* Unicode pil op og pil ned samt brøksymboler udtales nu korrekt. (#3805)

### Ændringer

* Når man navigerer med simpel gennemsyn i applikationer, der bruger UI Automation, ignoreres flere overflødige objekter nu, hvilket gør navigationen nemmere. (#6948, #6950)

### Fejlrettelser

* Menuemner på websider kan nu aktiveres i gennemsynstilstand. (#6735)
* Tryk på escape, mens dialogboksen "Bekræft sletning" for konfigurationsprofilen er aktiv, lukker nu dialogboksen. (#6851)
* Rettet nogle nedbrud i Mozilla Firefox og andre Gecko-applikationer, hvor multiproces-funktionen er aktiveret. (#6885)
* Rapporteringen af baggrundsfarve i skærmgennemsyn er nu mere præcis, når tekst blev tegnet med en gennemsigtig baggrund. (#6467)
* Forbedret understøttelse af kontrolbeskrivelser leveret på websider i Internet Explorer 11 (specifikt understøttelse af aria-describedby inden for iframes og når flere IDs er angivet). (#5784)
* I Windows 10 Creators Update fungerer NVDA's lydstyrkenedsættelse igen som i tidligere Windows-udgivelser; dvs. Nedsæt ved tale og lyde, altid nedsæt og ingen nedsættelse er alle tilgængelige. (#6933)
* NVDA vil ikke længere undlade at navigere til eller rapportere visse (UIA) kontroller, hvor en tastaturgenvej ikke er defineret. (#6779)
* To tomme mellemrum tilføjes ikke længere i oplysninger om tastaturgenveje for visse (UIA) kontroller. (#6790)
* Visse kombinationer af taster på HIMS-displays (f.eks. space+dot4) fejler ikke længere intermitterende. (#3157)
* Rettet et problem ved åbning af en seriel port på systemer, der bruger visse andre sprog end engelsk, som forårsagede, at tilslutning til punktskriftsdisplays mislykkedes i nogle tilfælde. (#6845)
* Reduceret risiko for, at konfigurationsfilen bliver beskadiget, når Windows lukkes ned. Konfigurationsfiler skrives nu til en midlertidig fil, før den faktiske konfigurationsfil erstattes. (#3165)
* Når kommandoen "læs aktuel linje" udføres to gange hurtigt for at stave linjen, bruges det korrekte sprog nu til de stavede tegn. (#6726)
* Navigation efter linje i Microsoft Edge er nu op til tre gange hurtigere i Windows 10 Creators Update. (#6994)
* NVDA annoncerer ikke længere "Web Runtime gruppering", når Microsoft Edge-dokumenter fokuseres i Windows 10 Creators Update. (#6948)
* Alle eksisterende versioner af SecureCRT understøttes nu. (#6302)
* Adobe Acrobat Reader går ikke længere ned i visse PDF-dokumenter (specifikt dem, der indeholder tomme ActualText-attributter). (#7021, #7034)
* I gennemsynstilstand i Microsoft Edge springes interaktive tabeller (ARIA-gittere) ikke længere over, når man navigerer til tabeller med t og shift+t. (#6977)
* I gennemsynstilstand fungerer shift+home korrekt efter fremadrettet valg ved at fravælge til begyndelsen af linjen som forventet. (#5746)
* I gennemsynstilstand fejler "vælg alt" (control+a) ikke længere i at vælge al tekst, hvis markøren ikke er i starten af teksten. (#6909)
* Rettet nogle andre sjældne valgproblemer i gennemsynstilstand. (#7131)

### Ændringer for udviklere

* Kommandolinjeargumenter behandles nu med Pythons argparse-modul i stedet for optparse. Dette tillader visse muligheder som -r og -q at blive håndteret eksklusivt. (#6865)
* core.callLater køer nu callbacken til NVDA's hovedkø efter den givne forsinkelse, i stedet for at vække kernen og udføre den direkte. Dette stopper mulige frysninger på grund af, at kernen ved et uheld går i dvale efter behandling af en callback, midt i et modalt opkald, såsom visning af en meddelelsesboks. (#6797)
* InputGesture.identifiers-ejendommen er ændret, så den ikke længere normaliseres. (#6945)
 * Underklasser behøver ikke længere normalisere identifiers, før de returneres fra denne ejendom.
 * Hvis du ønsker normaliserede identifiers, er der nu en InputGesture.normalizedIdentifiers-ejendom, der normaliserer identifiers returneret af identifiers-ejendommen.
* InputGesture.logIdentifier-ejendommen er nu forældet. Kaldere bør bruge InputGesture.identifiers[0] i stedet. (#6945)
* Fjernet noget forældet kode:
 * `speech.REASON_*`-konstanter: `controlTypes.REASON_*` bør bruges i stedet. (#6846)
 * `i18nName` for syntheindstillinger: `displayName` og `displayNameWithAccelerator` bør bruges i stedet. (#6846, #5185)
 * `config.validateConfig`. (#6846, #667)
 * `config.save`: `config.conf.save` bør bruges i stedet. (#6846, #667)
* Listen over fuldførelser i autocomplete-kontekstmenuen i Python-konsollen viser ikke længere nogen objektsti, der fører frem til det sidste symbol, der fuldføres. (#7023)
* Der er nu et enhedstestningsrammeværk for NVDA. (#7026)
 * Enhedstests og infrastruktur er placeret i tests/unit-mappen. Se docstringen i tests\unit\init.py-filen for detaljer.
 * Du kan køre tests ved hjælp af "scons tests". Se afsnittet "Køre Tests" i readme.md for detaljer.
 * Hvis du indsender en pull-anmodning for NVDA, bør du først køre testsene og sikre dig, at de består.

## 2017.1

Højdepunkterne i denne version inkluderer rapportering af sektioner og tekstkolonner i Microsoft Word; understøttelse af læsning, navigation og annotation af bøger i Kindle til PC; og forbedret understøttelse af Microsoft Edge.

### Nye funktioner

* I Microsoft Word kan sektionstyper og sektionsnumre nu rapporteres. Dette aktiveres med indstillingen "Rapporter sidetal" i Dokumentformateringsdialogen. (#5946)
* I Microsoft Word kan tekstkolonner nu rapporteres. Dette aktiveres med indstillingen "Rapporter sidetal" i dokumentformateringsdialogen. (#5946)
* Automatisk sprogskift understøttes nu i WordPad. (#6555)
* NVDA's søgekommando (NVDA+control+f) understøttes nu i gennemsynstilstand i Microsoft Edge. (#6580)
* Hurtig navigation til knapper i gennemsynstilstand (b og shift+b) understøttes nu i Microsoft Edge. (#6577)
* Når man kopierer et ark i Microsoft Excel, huskes kolonne- og rækkeoverskrifterne. (#6628)
* Understøttelse af læsning og navigation i bøger i Kindle til PC version 1.19, herunder adgang til links, fodnoter, grafik, fremhævet tekst og brugerkommentarer. Se venligst afsnittet om Kindle til PC i NVDA Brugervejledningen for yderligere oplysninger. (#6247, #6638)
* Gennemsynstilstands tabelnavigation understøttes nu i Microsoft Edge. (#6594)
* I Microsoft Excel rapporterer kommandoen "rapportér læsemarkørens placering" (desktop: NVDA+numpadDelete, laptop: NVDA+delete) nu navnet på regnearket og celleplaceringen. (#6613)
* En mulighed er tilføjet til afslutningsdialogen for at genstarte med fejlniveau-logning. (#6689)

### Ændringer

* Den mindste blinkhastighed for punktskriftmarkøren er nu 200 ms. Hvis dette tidligere var indstillet lavere, vil det blive øget til 200 ms. (#6470)
* En check box er blevet tilføjet til punktskriftsindstillingsdialogen for at muliggøre aktivering/deaktivering af punktskriftmarkørens blinkning. Tidligere blev en værdi på nul brugt til at opnå dette. (#6470)
* Opdateret eSpeak NG (commit e095f008, 10. januar 2017). (#6717)
* På grund af ændringer i Windows 10 Creators Update er "Altid nedsæt"-tilstanden ikke længere tilgængelig i NVDA's Lydstyrkenedsættelsesindstillinger. Den er stadig tilgængelig på ældre Windows 10-udgivelser. (#6684)
* På grund af ændringer i Windows 10 Creators Update kan tilstanden "Nedsæt ved tale og lyde" ikke længere sikre, at lyden er nedsat fuldt ud, før den begynder at tale, og vil heller ikke holde lyden nedsat længe nok efter tale for at stoppe hurtig volumenændring. Disse ændringer påvirker ikke ældre Windows 10-udgivelser. (#6684)

### Fejlrettelser

* Rettet frysefejl i Microsoft Word, når der navigeres med afsnit gennem et stort dokument i gennemsynstilstand. (#6368)
* Tabeller i Microsoft Word, der er kopieret fra Microsoft Excel, behandles ikke længere som layouttabeller og ignoreres derfor ikke længere. (#5927)
* Når man forsøger at skrive i Microsoft Excel, mens man er i beskyttet visning, afspiller NVDA nu en lyd i stedet for at tale tegn, der ikke blev skrevet. (#6570)
* Tryk på escape i Microsoft Excel skifter ikke længere forkert til gennemsynstilstand, medmindre brugeren tidligere har skiftet til gennemsynstilstand eksplicit med NVDA+space og derefter gået ind i fokustilstand ved at trykke på enter på et formularfelt. (#6569)
* NVDA fryser ikke længere i Microsoft Excel-regneark, hvor en hel række eller kolonne er flettet. (#6216)
* Rapportering af afskåret/overløbet tekst i Microsoft Excel-celler bør nu være mere præcis. (#6472)
* NVDA rapporterer nu, når en check box er skrivebeskyttet. (#6563)
* NVDA-launcheren viser ikke længere en advarselsdialog, når den ikke kan afspille logolyden på grund af manglende lydudstyr. (#6289)
* Kontroller i Microsoft Excel-båndet, der ikke er tilgængelige, rapporteres nu som sådan. (#6430)
* NVDA annoncerer ikke længere "rude", når vinduer minimeres. (#6671)
* Indtastede tegn udtales nu i Universal Windows Platform (UWP) apps (inklusive Microsoft Edge) i Windows 10 Creators Update. (#6017)
* Museovervågning fungerer nu på tværs af alle skærme på computere med flere skærme. (#6598)
* NVDA bliver ikke længere ubrugelig efter at have lukket Windows Media Player, mens der er fokus på en skydekontrol. (#5467)

### Ændringer for udviklere

* Profiler og konfigurationsfiler opgraderes nu automatisk for at opfylde kravene i skemamodifikationer. Hvis der opstår en fejl under opgraderingen, vises en meddelelse, konfigurationen nulstilles, og den gamle konfigurationsfil er tilgængelig i NVDA-loggen på 'Info'-niveau. (#6470)

## 2016.4

Højdepunkterne i denne udgivelse inkluderer forbedret understøttelse af Microsoft Edge; gennemsynstilstand i Windows 10 Mail-appen; og væsentlige forbedringer af NVDA's dialogbokse.

### Nye funktioner

* NVDA kan nu angive linjeindrykning ved hjælp af toner. Dette kan konfigureres ved hjælp af komboboksen "Linjeindrykningsrapportering" i NVDA's dialogboks for dokumentformatering. (#5906)
* Understøttelse af Orbit Reader 20 punktdisplay. (#6007)
* En mulighed for at åbne vinduet til talevisning ved opstart er tilføjet. Dette kan aktiveres via en check box i vinduet for talevisning. (#5050)
* Når talevisningsvinduet genåbnes, vil dets placering og dimensioner nu blive gendannet. (#5050)
* Krydsreferencer i Microsoft Word behandles nu som hyperlinks. De rapporteres som links og kan aktiveres. (#6102)
* Understøttelse af Baum SuperVario2, Baum Vario 340 og HumanWare Brailliant2 punktdisplays. (#6116)
* Indledende understøttelse af jubilæumsopdateringen af Microsoft Edge. (#6271)
* Gennemsynstilstand bruges nu, når der læses e-mails i Windows 10 Mail-appen. (#6271)
* Nyt sprog: Litauisk.

### Ændringer

* Opdateret liblouis punktoversætter til version 3.0.0. Dette inkluderer væsentlige forbedringer af Unified English Braille. (#6109, #4194, #6220, #6140)
* I tilføjelsesstyringen har knapperne Deaktiver tilføjelse og Aktiver tilføjelse nu tastaturgenveje (alt+d og alt+e). (#6388)
* Forskellige problemer med polstring og justering i NVDA's dialogbokse er løst. (#6317, #5548, #6342, #6343, #6349)
* Dokumentformateringsdialogen er justeret, så indholdet kan rulles. (#6348)
* Layoutet af dialogboksen for symboludtale er justeret, så hele dialogens bredde udnyttes til symbollisten. (#6101)
* I gennemsynstilstand i webbrowsere kan redigeringsfelter (e og shift+e) og formularfelter (f og shift+f) nu bruges til at navigere til skrivebeskyttede redigeringsfelter. (#4164)
* I NVDA's indstillinger for dokumentformatering er "Announce formatting changes after the cursor" omdøbt til "Rapporter formateringsændringer efter markøren", da det påvirker både punktskrift og tale. (#6336)
* Udseendet af NVDA's "Velkomstdialog" er justeret. (#6350)
* NVDA-dialogbokse har nu deres "ok"- og "annuller"-knapper justeret til højre i dialogen. (#6333)
* Spinkontroller bruges nu til numeriske indtastningsfelter, såsom indstillingen "Ændring af stor bogstav tonehøjde i procent" i stemmeindstillingerne. Du kan indtaste den ønskede værdi eller bruge pil op og ned for at justere værdien. (#6099)
* Måden, hvorpå IFrames (dokumenter indlejret i dokumenter) rapporteres, er gjort mere konsistent på tværs af webbrowsere. IFrames rapporteres nu som "ramme" i Firefox. (#6047)

### Fejlrettelser

* Rettet en sjælden fejl ved afslutning af NVDA, mens taleviseren er åben. (#5050)
* Billedkort gengives nu som forventet i gennemsynstilstand i Mozilla Firefox. (#6051)
* I ordbogsdialogen gemmer Enter-tasten nu de ændringer, du har foretaget, og lukker dialogen. Tidligere gjorde Enter-tasten ingenting. (#6206)
* Meddelelser vises nu i punktskrift, når inputtilstande ændres for en inputmetode (f.eks. native input/alfanumerisk, fuldt formet/halvt formet osv.). (#5892, #5893)
* Når en tilføjelse deaktiveres og derefter straks genaktiveres, genoprettes status for tilføjelsen nu korrekt til det, det var tidligere. (#6299)
* Når du bruger Microsoft Word, kan sidetalsfelter i sidehoveder nu læses. (#6004)
* Musen kan nu bruges til at flytte fokus mellem symbollisten og redigeringsfelterne i dialogboksen for symboludtale. (#6312)
* I gennemsynstilstand i Microsoft Word er et problem, der forhindrer, at elementlisten vises, når et dokument indeholder et ugyldigt hyperlink, rettet. (#5886)
* Når talevisningsvinduet lukkes via proceslinjen eller genvejstasten alt+F4, vil check boxen i NVDA-menuen nu afspejle vinduets faktiske synlighed. (#6340)
* Genindlæsning af plugins-kommandoen skaber ikke længere problemer for udløste konfigurationsprofiler, nye dokumenter i webbrowsere og skærmlæsningstilstand. (#2892, #5380)
* I listen over sprog i NVDA's generelle indstillinger vises sprog som Aragonese nu korrekt på Windows 10. (#6259)
* Emulerede systemtastaturtaster (f.eks. en knap på et punktdisplay, der emulerer tab-tasten) præsenteres nu i det konfigurerede NVDA-sprog i inputhjælp og kommandoer for inputkommandoer. Tidligere blev de altid præsenteret på engelsk. (#6212)
* Ændring af NVDA's sprog (fra dialogboksen for generelle indstillinger) har nu ingen effekt, før NVDA genstartes. (#4561)
* Det er ikke længere muligt at efterlade mønsterfeltet tomt for en ny indtastning i taleordbogen. (#6412)
* Rettet et sjældent problem ved scanning efter serielle porte på nogle systemer, hvilket gjorde nogle punktdisplay-drivere ubrugelige. (#6462)
* I Microsoft Word læses nummererede punkter i tabelceller nu, når der navigeres efter celle. (#6446)
* Det er nu muligt at tildele kommandoer til kommandoer for Handy Tech punktdisplay-driveren i NVDA's dialogboks for inputkommandoer. (#6461)
* I Microsoft Excel rapporteres navigation til næste række nu korrekt, når du trykker på Enter eller numpadEnter under navigering i et regneark. (#6500)
* iTunes fryser ikke længere intermitterende for evigt, når gennemsynstilstand bruges til iTunes Store, Apple Music osv. (#6502)
* Rettet nedbrud i 64-bit Mozilla- og Chrome-baserede applikationer. (#6497)
* I Firefox med multi-process aktiveret fungerer gennemsynstilstand og redigerbare tekstfelter nu korrekt. (#6380)

### Ændringer for udviklere

* Det er nu muligt at levere app-moduler til eksekverbare filer, der indeholder et punktum (.). Punktummer erstattes med understregninger (_). (#5323)
* Det nye gui.guiHelper-modul indeholder værktøjer til at forenkle oprettelsen af wxPython-GUI'er, inklusive automatisk styring af afstande. Dette muliggør bedre visuelt udseende og konsistens samt gør det nemmere at oprette nye GUI'er for blinde udviklere. (#6287)

## 2016.3

Højdepunkterne i denne udgivelse inkluderer muligheden for at deaktivere individuelle tilføjelser; understøttelse af formularfelter i Microsoft Excel; væsentlige forbedringer i rapporteringen af farver; fejlrettelser og forbedringer relateret til flere punktdisplays; og rettelser og forbedringer af understøttelsen af Microsoft Word.

### Nye funktioner

* Gennemsynstilstand kan nu bruges til at læse PDF-dokumenter i Microsoft Edge i Windows 10 jubilæumsopdateringen. (#5740)
* Overstregning og dobbelt overstregning rapporteres nu, hvis det er relevant i Microsoft Word. (#5800)
* I Microsoft Word rapporteres titlen på en tabel nu, hvis en sådan er angivet. Hvis der er en beskrivelse, kan den tilgås ved hjælp af kommandoen for lang beskrivelse (NVDA+d) i gennemsynstilstand. (#5943)
* I Microsoft Word rapporterer NVDA nu positionsoplysninger, når afsnit flyttes (alt+shift+pilNed og alt+shift+pilOp). (#5945)
* I Microsoft Word rapporteres linjeafstand nu via NVDA's kommando til rapportering af formatering, når den ændres med forskellige Microsoft Word-genvejstaster, og når der navigeres til tekst med forskellig linjeafstand, hvis rapportering af linjeafstand er aktiveret i NVDA's dokumentformateringsindstillinger. (#2961)
* I Internet Explorer genkendes HTML5-strukturelementer nu. (#5591)
* Rapportering af kommentarer (såsom i Microsoft Word) kan nu deaktiveres via en check box til rapportering af kommentarer i NVDA's dialogboks for dokumentformatering. (#5108)
* Det er nu muligt at deaktivere individuelle tilføjelser i tilføjelsesstyringen. (#3090)
* Yderligere tasteopgaver er tilføjet til ALVA BC640/680-seriens punktdisplays. (#5206)
* Der er nu en kommando til at flytte punktdisplayet til det aktuelle fokus. I øjeblikket har kun ALVA BC640/680-serien en tildelt tast til denne kommando, men den kan tildeles manuelt for andre displays i dialogboksen for inputkommandoer, hvis det ønskes. (#5250)
* I Microsoft Excel kan du nu interagere med formularfelter. Du kan navigere til formularfelter ved hjælp af elementlisten eller bogstavnavigation i gennemsynstilstand. (#4953)
* Du kan nu tildele en inputkommando til at slå simpel læsetilstand til/fra ved hjælp af dialogboksen for inputkommandoer. (#6173)

### Ændringer

* NVDA rapporterer nu farver ved hjælp af et grundlæggende, velkendt sæt af 9 farvenuancer og 3 nuancer med variationer i lysstyrke og bleghed. Dette er i stedet for at bruge mere subjektive og mindre forståede farvenavne. (#6029)
* Den eksisterende NVDA+F9 og derefter NVDA+F10-adfærd er blevet ændret til at vælge tekst ved første tryk på F10. Når F10 trykkes to gange (hurtigt efter hinanden), kopieres teksten til udklipsholderen. (#4636)
* Opdateret eSpeak NG til version Master 11b1a7b (22. juni 2016). (#6037)

### Fejlrettelser

* I gennemsynstilstand i Microsoft Word bevares formateringen nu ved kopiering til udklipsholderen. (#5956)
* I Microsoft Word rapporterer NVDA nu korrekt, når der bruges Words egne tabelnavigationskommandoer (alt+home, alt+end, alt+pageUp og alt+pageDown) og tabelmarkeringskommandoer (shift tilføjet til navigationskommandoerne). (#5961)
* I Microsoft Words dialogbokse er NVDA's objektnavigation blevet væsentligt forbedret. (#6036)
* I nogle applikationer som Visual Studio 2015 rapporteres genvejstaster (f.eks. control+c for kopiér) nu som forventet. (#6021)
* Rettet et sjældent problem ved scanning efter serielle porte på nogle systemer, hvilket gjorde nogle punktdisplay-drivere ubrugelige. (#6015)
* Rapportering af farver i Microsoft Word er nu mere nøjagtig, da ændringer i Microsoft Office-temaer nu tages i betragtning. (#5997)
* Gennemsynstilstand for Microsoft Edge og understøttelse af søgeforslag i Startmenuen er igen tilgængelig på Windows 10-versioner efter april 2016. (#5955)
* I Microsoft Word fungerer automatisk tabelhovedlæsning bedre, når der er tale om flettede celler. (#5926)
* I Windows 10 Mail-appen undlader NVDA ikke længere at læse indholdet af meddelelser. (#5635)
* Når kommandoen for tale af kommandoer er aktiveret, annonceres låsetaster som caps lock ikke længere to gange. (#5490)
* Dialoger for Windows-brugerkontokontrol læses igen korrekt i Windows 10 jubilæumsopdateringen. (#5942)
* I webkonference-pluginet (såsom brugt på out-of-sight.net) bipper NVDA ikke længere og taler statuslinjeopdateringer relateret til mikrofoninput. (#5888)
* Ved udførelse af en Find næste eller Find forrige-kommando i gennemsynstilstand udføres der nu korrekt en søgning, der skelner mellem store og små bogstaver, hvis den oprindelige søgning var følsom over for store og små bogstaver. (#5522)
* Når du redigerer ordbogsindgange, gives der nu feedback ved ugyldige regulære udtryk. NVDA går ikke længere ned, hvis en ordbogsfil indeholder et ugyldigt regulært udtryk. (#4834)
* Hvis NVDA ikke kan kommunikere med et punktdisplay (f.eks. fordi det er blevet afbrudt), deaktiverer det automatisk brugen af displayet. (#1555)
* Let forbedret ydeevne ved filtrering i elementlisten i gennemsynstilstand i nogle tilfælde. (#6126)
* I Microsoft Excel matcher NVDA nu baggrundsmønsternavne, som de bruges af Excel. (#6092)
* Forbedret understøttelse af Windows 10 logonskærm, inklusive annoncering af advarsler og aktivering af adgangskodefeltet med touch. (#6010)
* NVDA registrerer nu korrekt de sekundære routingknapper på ALVA BC640/680-seriens punktdisplays. (#5206)
* NVDA kan igen rapportere Windows Toast-meddelelser i nyere versioner af Windows 10. (#6096)
* NVDA stopper ikke længere med at genkende tastetryk lejlighedsvis på Baum-kompatible og HumanWare Brailliant B punktdisplays. (#6035)
* Hvis rapportering af linjenumre er aktiveret i NVDA's dokumentformateringsindstillinger, vises linjenumre nu på et punktdisplay. (#5941)
* Når tale er slået fra, vises rapportering af objekter (f.eks. ved at trykke på NVDA+tab for at rapportere fokus) nu i taleviseren som forventet. (#6049)
* I Outlook 2016-meddelelseslisten rapporteres der ikke længere tilknyttede kladdeoplysninger. (#6219)
* I Google Chrome og Chrome-baserede browsere på et andet sprog end engelsk fungerer gennemsynstilstand nu korrekt i mange dokumenter. (#6249)

### Ændringer for udviklere

* Logning af oplysninger direkte fra en egenskab resulterer ikke længere i, at egenskaben kaldes rekursivt igen og igen. (#6122)

## 2016.2.1

Denne udgivelse retter nedbrud i Microsoft Word:

* NVDA får ikke længere Microsoft Word til at gå ned umiddelbart efter opstart i Windows XP. (#6033)
* Fjernet rapportering af grammatikfejl, da dette forårsagede nedbrud i Microsoft Word. (#5954, #5877)

## 2016.2

Højdepunkterne i denne udgivelse inkluderer muligheden for at indikere stavefejl, mens du skriver; understøttelse af rapportering af grammatikfejl i Microsoft Word; og forbedringer og rettelser til understøttelse af Microsoft Office.

### Nye funktioner

* I gennemsynstilstand i Internet Explorer og andre MSHTML-kontroller bruges første bogstavsnavigation til at navigere ved annotation (a og shift+a) nu til indsatte og slettede tekster. (#5691)
* I Microsoft Excel rapporterer NVDA nu niveauet af en gruppe celler samt om den er sammenklappet eller udvidet. (#5690)
* Ved at trykke på kommandoen til at rapportere tekstformatering (NVDA+f) to gange præsenteres informationen i gennemsynstilstand, så den kan gennemgås. (#4908)
* I Microsoft Excel 2010 og nyere rapporteres cellefyld og gradientfyld nu. Automatisk rapportering styres af indstillingen Rapporter farver i NVDA's dokumentformateringsindstillinger. (#3683)
* Ny punktoversættelsestabel: Koine-græsk. (#5393)
* I logviseren kan du nu gemme loggen ved hjælp af genvejstasten control+s. (#4532)
* Hvis rapportering af stavefejl er aktiveret og understøttes i den fokuserede kontrol, afspiller NVDA en lyd for at advare om en stavefejl, mens du skriver. Dette kan deaktiveres ved hjælp af den nye mulighed "Afspil lyd for stavefejl under indtastning" i NVDA's dialogboks for tastaturindstillinger. (#2024)
* Grammatikfejl rapporteres nu i Microsoft Word. Dette kan deaktiveres ved hjælp af den nye mulighed "Rapporter grammatikfejl" i NVDA's dialogboks for dokumentformateringsindstillinger. (#5877)

### Ændringer

* I gennemsynstilstand og redigerbare tekstfelter behandler NVDA nu numpadEnter-tasten på samme måde som hoved-Enter-tasten. (#5385)
* NVDA er skiftet til eSpeak NG talesyntese. (#5651)
* I Microsoft Excel ignorerer NVDA ikke længere en kolonneoverskrift for en celle, når der er en tom række mellem cellen og overskriften. (#5396)
* I Microsoft Excel annonceres koordinater nu før overskrifter for at eliminere tvetydighed mellem overskrifter og indhold. (#5396)

### Fejlrettelser

* I gennemsynstilstand, når du forsøger at bruge navigation med enkelt bogstav til at flytte til et element, som ikke understøttes for dokumentet, rapporterer NVDA nu, at dette ikke understøttes, i stedet for at rapportere, at der ikke er noget element i den retning. (#5691)
* Når der vises ark i elementlisten i Microsoft Excel, er ark, der kun indeholder diagrammer, nu inkluderet. (#5698)
* NVDA rapporterer ikke længere overflødig information ved skift af vinduer i en Java-applikation med flere vinduer, såsom IntelliJ eller Android Studio. (#5732)
* I Scintilla-baserede redaktører som Notepad++ opdateres punktskrift nu korrekt, når markøren flyttes ved hjælp af et punktdisplay. (#5678)
* NVDA går ikke længere ned nogle gange, når punktudgang aktiveres. (#4457)
* I Microsoft Word rapporteres afsnitsindrykninger nu altid i den måleenhed, der er valgt af brugeren (f.eks. centimeter eller tommer). (#5804)
* Når du bruger et punktdisplay, vises mange NVDA-beskeder, der tidligere kun blev læst højt, nu også i punktskrift. (#5557)
* I tilgængelige Java-applikationer rapporteres niveauet for elementer i træstrukturer nu. (#5766)
* Rettet nedbrud i Adobe Flash i Mozilla Firefox i visse tilfælde. (#5367)
* I Google Chrome og Chrome-baserede browsere kan dokumenter i dialoger eller applikationer nu læses i gennemsynstilstand. (#5818)
* I Google Chrome og Chrome-baserede browsere kan du nu tvinge NVDA til at skifte til gennemsynstilstand i webdialoger eller applikationer. (#5818)
* I Internet Explorer og andre MSHTML-kontroller skifter fokus ikke længere forkert til gennemsynstilstand, når det flyttes til visse kontroller (specifikt når aria-activedescendant bruges). Dette skete f.eks. ved forslag i adressefelter, når der komponeres en besked i Gmail. (#5676)
* I Microsoft Word fryser NVDA ikke længere i store tabeller, når rapportering af tabelrække-/kolonneoverskrifter er aktiveret. (#5878)
* I Microsoft Word rapporterer NVDA ikke længere tekst med et dispositionsniveau (men ikke en indbygget overskriftsstil) forkert som en overskrift. (#5186)
* I gennemsynstilstand i Microsoft Word fungerer kommandoerne Flyt forbi slutning/til start af beholder (komma og shift+komma) nu for tabeller. (#5883)

### Ændringer for udviklere

* NVDA's C++-komponenter kompileres nu med Microsoft Visual Studio 2015. (#5592)
* Du kan nu præsentere en tekst- eller HTML-besked for brugeren i gennemsynstilstand ved hjælp af ui.browseableMessage. (#4908)
* I brugervejledningen kan en <!-- KC:setting-kommando bruges til en indstilling, der har en fælles tast for alle layout, hvor tasten nu kan placeres efter et fuldbredde-kolon (：) såvel som det almindelige kolon (:). (#5739)

## 2016.1

Højdepunkterne i denne udgivelse inkluderer muligheden for at sænke lydstyrken af andre lyde; forbedringer i punktskriftudgang og punktdisplay-understøttelse; flere væsentlige rettelser til understøttelsen af Microsoft Office; og rettelser til gennemsynstilstand i iTunes.

### Nye funktioner

* Nye punktoversættelsestabeller: Polsk 8-punkt computer braille, Mongolsk. (#5537, #5574)
* Du kan slå punktskriftsmarkøren fra og ændre dens form ved hjælp af de nye indstillinger Vis markør og Markørform i NVDA's punktindstillinger. (#5198)
* NVDA kan nu oprette forbindelse til et HIMS Smart Beetle punktdisplay via Bluetooth. (#5607)
* NVDA kan valgfrit sænke lydstyrken af andre lyde, når det er installeret på Windows 8 og nyere. Dette kan konfigureres ved hjælp af lydsænkningsindstillingen i NVDA's taleindstillinger eller ved at trykke på NVDA+shift+d. (#3830, #5575)
* Understøttelse af APH Refreshabraille i HID-tilstand samt Baum VarioUltra og Pronto! når de er forbundet via USB. (#5609)
* Understøttelse af HumanWare Brailliant BI/B punktdisplays, når protokollen er indstillet til OpenBraille. (#5612)

### Ændringer

* Rapportering af fremhævning er nu deaktiveret som standard. (#4920)
* I elementlisten i Microsoft Excel er genvejen til formler blevet ændret til alt+r, så den er forskellig fra genvejen til filterfeltet. (#5527)
* Opdateret liblouis punktoversætter til version 2.6.5. (#5574)
* Ordet "tekst" rapporteres ikke længere, når fokus eller læsemarkøren flyttes til tekstobjekter. (#5452)

### Fejlrettelser

* I iTunes 12 opdateres gennemsynstilstand nu korrekt, når en ny side indlæses i iTunes Store. (#5191)
* I Internet Explorer og andre MSHTML-kontroller fungerer navigation med enkelt bogstav til specifikke overskriftsniveauer nu som forventet, når overskriftsniveauet ændres for tilgængelighed (specifikt når aria-level ændrer niveauet for et h-tag). (#5434)
* I Spotify lander fokus ikke længere ofte på "ukendte" objekter. (#5439)
* Fokus gendannes nu korrekt, når du vender tilbage til Spotify fra en anden applikation. (#5439)
* Ved skift mellem gennemsynstilstand og fokustilstand rapporteres tilstanden nu i punktskrift såvel som i tale. (#5239)
* Startknappen på proceslinjen rapporteres ikke længere som en liste og/eller som markeret i nogle versioner af Windows. (#5178)
* Meddelelser som "indsat" rapporteres ikke længere, når du skriver beskeder i Microsoft Outlook. (#5486)
* Når du bruger et punktdisplay, og tekst er markeret på den aktuelle linje (f.eks. når du søger i en teksteditor efter tekst, der forekommer på samme linje), vil punktdisplayet blive rullet, hvis det er relevant. (#5410)
* NVDA afsluttes ikke længere lydløst, når et Windows-kommandokonsol lukkes med alt+f4 i Windows 10. (#5343)
* I elementlisten i gennemsynstilstand ryddes filtreringsfeltet nu, når du ændrer typen af element. (#5511)
* I redigerbar tekst i Mozilla-applikationer læses den relevante linje, ord osv. nu korrekt, når musen flyttes i stedet for hele indholdet. (#5535)
* Når musen flyttes i redigerbar tekst i Mozilla-applikationer, stopper læsningen ikke længere ved elementer som links inden for ordet eller linjen, der læses. (#2160, #5535)
* I Internet Explorer kan websitet shoprite.com nu læses i gennemsynstilstand i stedet for at blive rapporteret som tomt. (Specifikt håndteres misdannede lang-attributter nu korrekt.) (#5569)
* I Microsoft Word rapporteres sporbare ændringer som "indsat" ikke længere, når markeringen af ændringer ikke vises. (#5566)
* Når en skift-knap er i fokus, rapporterer NVDA nu, når den ændres fra trykket til ikke trykket. (#5441)
* Rapportering af museformændringer fungerer igen som forventet. (#5595)
* Når linjeindrykninger udtales, behandles hårde mellemrum nu som normale mellemrum. Tidligere kunne dette medføre annonceringer som "mellemrum mellemrum mellemrum" i stedet for "3 mellemrum". (#5610)
* Når en moderne Microsoft inputmetodeliste lukkes, gendannes fokus korrekt til enten inputkompositionen eller det underliggende dokument. (#4145)
* I Microsoft Office 2013 og nyere, når båndet er indstillet til kun at vise faner, rapporteres elementer i båndet igen som forventet, når en fane aktiveres. (#5504)
* Rettelser og forbedringer af registrering og binding af touchscreen-bevægelser. (#5652)
* Touchscreen-hovers rapporteres ikke længere i Tastaturhjælp. (#5652)
* NVDA undlader ikke længere at liste kommentarer i elementlisten for Microsoft Excel, hvis en kommentar findes på en flettet celle. (#5704)
* I en meget sjælden sag undlader NVDA ikke længere at læse arkindhold i Microsoft Excel, når rapportering af række- og kolonneoverskrifter er aktiveret. (#5705)
* I Google Chrome fungerer navigation inden for en inputkomposition, når østasiatiske tegn indtastes, nu som forventet. (#4080)
* Når der søges i Apple Music i iTunes, opdateres gennemsynstilstanden for søgeresultatdokumentet nu som forventet. (#5659)
* I Microsoft Excel rapporteres din nye position, når du trykker shift+f11 for at oprette et nyt ark, i stedet for at der ikke rapporteres noget. (#5689)
* Rettet problemer med punktdisplay-output ved indtastning af koreanske tegn. (#5640)

### Ændringer for udviklere

* Den nye audioDucking.AudioDucker-klasse gør det muligt for kode, der afspiller lyd, at angive, når baggrundslyd skal sænkes. (#3830)
* nvwave.WavePlayer's constructor har nu et wantDucking-nøgleargument, der angiver, om baggrundslyd skal sænkes, mens lyd afspilles. (#3830)
 * Når dette er aktiveret (hvilket er standardindstillingen), er det vigtigt, at WavePlayer.idle kaldes, når det er relevant.
* Forbedret I/O for punktdisplays: (#5609)
 * Tråd-sikre punktdisplay-drivere kan erklære sig som sådan ved hjælp af attributten BrailleDisplayDriver.isThreadSafe. En driver skal være tråd-sikker for at drage fordel af følgende funktioner.
 * Data skrives til tråd-sikre punktdisplay-drivere i baggrunden, hvilket forbedrer ydeevnen.
 * hwIo.Serial udvider pyserial til at kalde en callable, når data modtages, i stedet for at drivere skal poll.
 * hwIo.Hid understøtter punktdisplays, der kommunikerer via USB HID.
 * hwPortUtils og hwIo kan valgfrit levere detaljeret fejllogning, herunder fundne enheder og al data, der sendes og modtages.
* Der er flere nye egenskaber tilgængelige fra touchscreen-bevægelser: (#5652)
 * MultiTouchTracker-objekter indeholder nu en childTrackers-egenskab, der indeholder MultiTouchTrackers, som trackeren er sammensat af. For eksempel har dobbelt tap med to fingre childTrackers for to 2-finger tap. 2-finger tapene har selv childTrackers for to tap.
 * MultiTouchTracker-objekter indeholder nu også en rawSingleTouchTracker-egenskab, hvis trackeren er resultatet af en enkelt finger, der udfører et tap, flick eller hover. SingleTouchTracker giver adgang til det underliggende ID, der er tildelt fingeren af operativsystemet, og om fingeren stadig er i kontakt på det nuværende tidspunkt.
 * TouchInputGestures har nu x- og y-egenskaber, hvilket fjerner behovet for at få adgang til trackeren i trivielle tilfælde.
 * TouchInputGestures indeholder nu en preheldTracker-egenskab, som er et MultiTouchTracker-objekt, der repræsenterer de andre fingre, der blev holdt, mens denne handling blev udført.
* To nye touchscreen-bevægelser kan nu udsendes: (#5652)
 * Plural tap and hold (f.eks. dobbelt tryk og hold)
 * En generaliseret identifikator med fjernet fingerantal for hold (f.eks. hold+hover for 1finger_hold+hover).

## 2015.4

Højdepunkter i denne udgivelse inkluderer ydelsesforbedringer i Windows 10; inkludering i center for nem adgang i Windows 8 og senere; forbedringer til Microsoft Excel, inklusive visning og omdøbning af ark samt adgang til låste celler i beskyttede ark; og understøttelse af redigering af rig tekst i Mozilla Firefox, Google Chrome og Mozilla Thunderbird.

### Nye Funktioner

* NVDA vises nu i center for nem adgang i Windows 8 og senere. (#308)
* Når man bevæger sig rundt i celler i Excel, rapporteres formateringsændringer nu automatisk, hvis de relevante indstillinger er slået til i NVDA's dokumentformateringsindstillinger. (#4878)
* En Rapportér Fremhævning indstilling er blevet tilføjet til NVDA's dokumentformateringsindstillinger. Som standard slået til gør denne indstilling det muligt for NVDA automatisk at rapportere tilstedeværelsen af fremhævet tekst i dokumenter. Indtil videre er dette kun understøttet for em og strong tags i Gennemsynstilstand for Internet Explorer og andre MSHTML kontroller. (#4920)
* Eksistensen af indsat og slettet tekst rapporteres nu i Gennemsynstilstand for Internet Explorer og andre MSHTML kontroller, hvis NVDA's Rapportér Redaktør Revisioner indstilling er aktiveret. (#4920)
* Når man ser sporændringer i NVDA's elementliste for Microsoft Word, vises flere oplysninger som f.eks. hvilke formateringsindstillinger der er ændret. (#4920)
* Microsoft Excel: visning og omdøbning af ark er nu muligt fra NVDA's elementliste (NVDA+f7). (#4630, #4414)
* Det er nu muligt at konfigurere, om faktiske symboler sendes til talesynteserne (f.eks. for at forårsage en pause eller ændring i tonefald) i Symboludtalelsesdialogen. (#5234)
* I Microsoft Excel rapporterer NVDA nu eventuelle indtastningsbeskeder, der er angivet af arkets forfatter på celler. (#5051)
* Understøttelse af Baum Pronto! V4 og VarioUltra punktdisplays, når de er tilsluttet via Bluetooth. (#3717)
* Understøttelse af redigering af rig tekst i Mozilla-applikationer såsom Google Docs med punktunderstøttelse aktiveret i Mozilla Firefox og HTML-komposition i Mozilla Thunderbird. (#1668)
* Understøttelse af redigering af rig tekst i Google Chrome og Chrome-baserede browsere såsom Google Docs med punktunderstøttelse aktiveret. (#2634)
 * Dette kræver Chrome version 47 eller senere.
* I Gennemsynstilstand i Microsoft Excel kan du navigere til låste celler i beskyttede ark. (#4952)

### Ændringer

* Rapportér Redaktør Revisioner indstillingen i NVDA's dokumentformateringsindstillinger er nu som standard slået til. (#4920)
* Når man bevæger sig med tegn i Microsoft Word med NVDA's Rapportér Redaktør Revisioner indstilling aktiveret, rapporteres der nu færre oplysninger for sporændringer, hvilket gør navigationen mere effektiv. For at se de ekstra oplysninger kan du bruge Elementlisten. (#4920)
* Opdateret liblouis punktoversætter til 2.6.4. (#5341)
* Flere symboler (inklusive grundlæggende matematiske symboler) er flyttet til niveau nogle, så de nu bliver talt som standard. (#3799)
* Hvis talesyntesen understøtter det, bør talen nu pause ved parenteser og tankestreg (–). (#3799)
* Når man markerer tekst, rapporteres teksten før angivelsen af markering i stedet for efter. (#1707)

### Fejlrettelser

* Store ydelsesforbedringer ved navigation i Outlook 2010/2013 meddelelsesliste. (#5268)
* I et diagram i Microsoft Excel fungerer navigation med bestemte taster (såsom at skifte ark med control+pageUp og control+pageDown) nu korrekt. (#5336)
* Rettet det visuelle udseende af knapperne i advarselsdialogen, der vises, når du forsøger at nedgradere NVDA. (#5325)
* I Windows 8 og senere starter NVDA nu meget tidligere, når det er konfigureret til at starte efter login på Windows. (#308)
 * Hvis du aktiverede dette med en tidligere version af NVDA, skal du deaktivere det og aktivere det igen for at ændringen træder i kraft. Følg denne procedure:
  1. Åbn Generelle indstillinger dialogen.
  1. Fjern markeringen i check boxen  Start NVDA automatisk efter login på Windows.
  1. Tryk på OK knappen.
  1. Åbn Generelle indstillinger dialogen igen.
  1. Marker check boxen Start NVDA automatisk efter login på Windows.
  1. Tryk på OK knappen.
* Ydelsesforbedringer for UI Automation, inklusive File Explorer og Opgavefremviser. (#5293)
* NVDA skifter nu korrekt til fokustilstand, når der tabbes til skrivebeskyttede ARIA gitterkontroller i Gennemsynstilstand for Mozilla Firefox og andre Gecko-baserede kontroller. (#5118)
